/*===========================================================================*/
/*   (Llib/bigloo.scm)                                                       */
/*   Bigloo (3.2b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jun 2 11:20:18 CEST 2009        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.2b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Llib/bigloo.scm -indent -o objs/obj_u/Llib/bigloo.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_opaquezd2nilzd2zz__biglooz00();
	BGL_EXPORTED_DECL bool_t bigloo_class_mangledp(obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_procedurezd2attrzd2zz__biglooz00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl__bigloozd2needzd2manglin2198z00zz__biglooz00(obj_t, obj_t);
	static obj_t BGl__time2203z00zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__biglooz00 = BUNSPEC;
	static obj_t BGl__bigloozd2exitzd2applyz00zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bigloo_mangle(obj_t);
	static obj_t BGl__bigloozd2modulezd2mangl2196z00zz__biglooz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__biglooz00();
	BGL_EXPORTED_DECL obj_t bigloo_demangle(obj_t);
	extern bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl__bigloozd2classzd2demang2201z00zz__biglooz00(obj_t, obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl__registerzd2exitzd2funct2202z00zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bigloo_module_mangle(obj_t, obj_t);
	static obj_t BGl__bigloozd2mangledzf32197z21zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_za2modulesza2z00zz__biglooz00 = BUNSPEC;
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__biglooz00();
	static obj_t BGl_za2levelza2z00zz__biglooz00 = BUNSPEC;
	static long BGl_getzd28bitszd2integerz00zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00();
	BGL_EXPORTED_DECL obj_t BGl_bmemzd2resetz12zc0zz__biglooz00();
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__bigloozd2mangle2195zd2zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_bigloozd2demanglezd2atz00zz__biglooz00(obj_t, long, obj_t);
	static obj_t BGl_symbol2232z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_symbol2237z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_symbol2240z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_symbol2243z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_symbol2245z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_symbol2251z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_symbol2255z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_symbol2257z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_symbol2259z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_symbol2264z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_symbol2266z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_symbol2269z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_symbol2273z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_symbol2275z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_symbol2277z00zz__biglooz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t bigloo_mangledp(obj_t);
	static obj_t BGl__bigloozd2classzd2mangle2200z00zz__biglooz00(obj_t, obj_t);
	extern bool_t bigloo_strncmp(obj_t, obj_t, long);
	BGL_EXPORTED_DECL obj_t BGl_unspecifiedz00zz__biglooz00();
	BGL_EXPORTED_DECL int BGl_procedurezd2arityzd2zz__biglooz00(obj_t);
	static obj_t BGl__opaquezf3zf3zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t, char *,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t bgl_bmem_reset();
	extern obj_t make_string(long, unsigned char);
	static obj_t BGl_toplevelzd2initzd2zz__biglooz00();
	BGL_EXPORTED_DECL obj_t bgl_exit_mutex();
	extern obj_t string_append(obj_t, obj_t);
	static long BGl_manglezd2atz12zc0zz__biglooz00(obj_t, obj_t, long, long);
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	static obj_t BGl__procedurezd2arityzd2zz__biglooz00(obj_t, obj_t);
	extern obj_t c_substring(obj_t, long, long);
	extern obj_t string_to_bstring(char *);
	static obj_t BGl_za2releaseza2z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl__bmemzd2resetz12zc0zz__biglooz00(obj_t);
	static obj_t BGl__checkzd2versionz122194zc0zz__biglooz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__opaquezd2nilzd2zz__biglooz00(obj_t);
	static obj_t BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t bigloo_class_demangle(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_procedurezd2attrzd2setz12z12zz__biglooz00(obj_t,
		obj_t);
	static obj_t BGl__unspecifiedz00zz__biglooz00(obj_t);
	static long BGl_charzd2ze3digitz31zz__biglooz00(unsigned char);
	static obj_t BGl__procedurezd2attrzd2setz12z12zz__biglooz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t);
	static obj_t BGl__bigloozd2exitzd2mutexz00zz__biglooz00(obj_t);
	static obj_t BGl__procedurezd2attrzd2zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t);
	static obj_t BGl__bigloozd2demangle2199zd2zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_za2exitzd2mutexza2zd2zz__biglooz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t bigloo_exit_apply(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_timez00zz__biglooz00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__biglooz00();
	static obj_t BGl__cnstzf3zf3zz__biglooz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2classzd2demanglezd2envzd2zz__biglooz00,
		BgL_bgl__biglooza7d2classza72280z00,
		BGl__bigloozd2classzd2demang2201z00zz__biglooz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_procedurezd2attrzd2setz12zd2envzc0zz__biglooz00,
		BgL_bgl__procedureza7d2att2281za7,
		BGl__procedurezd2attrzd2setz12z12zz__biglooz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unspecifiedzd2envzd2zz__biglooz00,
		BgL_bgl__unspecifiedza700za72282z00, BGl__unspecifiedz00zz__biglooz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_opaquezf3zd2envz21zz__biglooz00,
		BgL_bgl__opaqueza7f3za7f3za7za7_2283z00, BGl__opaquezf3zf3zz__biglooz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2exitzd2mutexzd2envzd2zz__biglooz00,
		BgL_bgl__biglooza7d2exitza7d2284z00,
		BGl__bigloozd2exitzd2mutexz00zz__biglooz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2exitzd2applyzd2envzd2zz__biglooz00,
		BgL_bgl__biglooza7d2exitza7d2285z00,
		BGl__bigloozd2exitzd2applyz00zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cnstzf3zd2envz21zz__biglooz00,
		BgL_bgl__cnstza7f3za7f3za7za7__b2286z00, BGl__cnstzf3zf3zz__biglooz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2manglezd2envz00zz__biglooz00,
		BgL_bgl__biglooza7d2mangle2287za7, BGl__bigloozd2mangle2195zd2zz__biglooz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2mangledzf3zd2envzf3zz__biglooz00,
		BgL_bgl__biglooza7d2mangle2288za7,
		BGl__bigloozd2mangledzf32197z21zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_opaquezd2nilzd2envz00zz__biglooz00,
		BgL_bgl__opaqueza7d2nilza7d22289z00, BGl__opaquezd2nilzd2zz__biglooz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2classzd2mangledzf3zd2envz21zz__biglooz00,
		BgL_bgl__biglooza7d2classza72290z00,
		BGl__bigloozd2classzd2mangle2200z00zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bmemzd2resetz12zd2envz12zz__biglooz00,
		BgL_bgl__bmemza7d2resetza7122291z00, BGl__bmemzd2resetz12zc0zz__biglooz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2modulezd2manglezd2envzd2zz__biglooz00,
		BgL_bgl__biglooza7d2module2292za7,
		BGl__bigloozd2modulezd2mangl2196z00zz__biglooz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_procedurezd2arityzd2envz00zz__biglooz00,
		BgL_bgl__procedureza7d2ari2293za7, BGl__procedurezd2arityzd2zz__biglooz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2needzd2manglingzf3zd2envz21zz__biglooz00,
		BgL_bgl__biglooza7d2needza7d2294z00,
		BGl__bigloozd2needzd2manglin2198z00zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_procedurezd2attrzd2envz00zz__biglooz00,
		BgL_bgl__procedureza7d2att2295za7, BGl__procedurezd2attrzd2zz__biglooz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2233z00zz__biglooz00,
		BgL_bgl_string2233za700za7za7_2296za7, "bigloo-exit", 11);
	      DEFINE_STRING(BGl_string2234z00zz__biglooz00,
		BgL_bgl_string2234za700za7za7_2297za7, " (level 0)", 10);
	      DEFINE_STRING(BGl_string2235z00zz__biglooz00,
		BgL_bgl_string2235za700za7za7_2298za7,
		"Some modules have been compiled by: ", 36);
	      DEFINE_STRING(BGl_string2236z00zz__biglooz00,
		BgL_bgl_string2236za700za7za7_2299za7, "and other by: ", 14);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_timezd2envzd2zz__biglooz00,
		BgL_bgl__time2203za700za7za7__2300za7, BGl__time2203z00zz__biglooz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2238z00zz__biglooz00,
		BgL_bgl_string2238za700za7za7_2301za7, "_check-version!2194", 19);
	      DEFINE_STRING(BGl_string2239z00zz__biglooz00,
		BgL_bgl_string2239za700za7za7_2302za7, "string", 6);
	      DEFINE_STRING(BGl_string2241z00zz__biglooz00,
		BgL_bgl_string2241za700za7za7_2303za7, "_procedure-arity", 16);
	      DEFINE_STRING(BGl_string2242z00zz__biglooz00,
		BgL_bgl_string2242za700za7za7_2304za7, "procedure", 9);
	      DEFINE_STRING(BGl_string2244z00zz__biglooz00,
		BgL_bgl_string2244za700za7za7_2305za7, "_procedure-attr", 15);
	      DEFINE_STRING(BGl_string2246z00zz__biglooz00,
		BgL_bgl_string2246za700za7za7_2306za7, "_procedure-attr-set!", 20);
	      DEFINE_STRING(BGl_string2247z00zz__biglooz00,
		BgL_bgl_string2247za700za7za7_2307za7, "0123456789abcdef", 16);
	      DEFINE_STRING(BGl_string2248z00zz__biglooz00,
		BgL_bgl_string2248za700za7za7_2308za7, "bigloo-mangle-string", 20);
	      DEFINE_STRING(BGl_string2250z00zz__biglooz00,
		BgL_bgl_string2250za700za7za7_2309za7, "BgL_", 4);
	      DEFINE_STRING(BGl_string2249z00zz__biglooz00,
		BgL_bgl_string2249za700za7za7_2310za7, "Can't mangle empty string", 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_checkzd2versionz12zd2envz12zz__biglooz00,
		BgL_bgl__checkza7d2version2311za7,
		BGl__checkzd2versionz122194zc0zz__biglooz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2252z00zz__biglooz00,
		BgL_bgl_string2252za700za7za7_2312za7, "_bigloo-mangle2195", 18);
	      DEFINE_STRING(BGl_string2253z00zz__biglooz00,
		BgL_bgl_string2253za700za7za7_2313za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2254z00zz__biglooz00,
		BgL_bgl_string2254za700za7za7_2314za7, "BGl_", 4);
	      DEFINE_STRING(BGl_string2256z00zz__biglooz00,
		BgL_bgl_string2256za700za7za7_2315za7, "_bigloo-module-mangl2196", 24);
	      DEFINE_STRING(BGl_string2258z00zz__biglooz00,
		BgL_bgl_string2258za700za7za7_2316za7, "_bigloo-mangled?2197", 20);
	      DEFINE_STRING(BGl_string2260z00zz__biglooz00,
		BgL_bgl_string2260za700za7za7_2317za7, "_bigloo-need-manglin2198", 24);
	      DEFINE_STRING(BGl_string2261z00zz__biglooz00,
		BgL_bgl_string2261za700za7za7_2318za7, "bigloo-demangle", 15);
	      DEFINE_STRING(BGl_string2262z00zz__biglooz00,
		BgL_bgl_string2262za700za7za7_2319za7, "Not a Bigloo mangled identifier",
		31);
	      DEFINE_STRING(BGl_string2263z00zz__biglooz00,
		BgL_bgl_string2263za700za7za7_2320za7, "Illegal mangling on", 19);
	      DEFINE_STRING(BGl_string2265z00zz__biglooz00,
		BgL_bgl_string2265za700za7za7_2321za7, "_bigloo-demangle2199", 20);
	      DEFINE_STRING(BGl_string2267z00zz__biglooz00,
		BgL_bgl_string2267za700za7za7_2322za7, "_bigloo-class-mangle2200", 24);
	      DEFINE_STRING(BGl_string2268z00zz__biglooz00,
		BgL_bgl_string2268za700za7za7_2323za7, "_bglt", 5);
	      DEFINE_STRING(BGl_string2270z00zz__biglooz00,
		BgL_bgl_string2270za700za7za7_2324za7, "_bigloo-class-demang2201", 24);
	      DEFINE_STRING(BGl_string2271z00zz__biglooz00,
		BgL_bgl_string2271za700za7za7_2325za7, "bigloo-exit-register!", 21);
	      DEFINE_STRING(BGl_string2272z00zz__biglooz00,
		BgL_bgl_string2272za700za7za7_2326za7, "Wrong procedure arity", 21);
	      DEFINE_STRING(BGl_string2274z00zz__biglooz00,
		BgL_bgl_string2274za700za7za7_2327za7, "_register-exit-funct2202", 24);
	      DEFINE_STRING(BGl_string2276z00zz__biglooz00,
		BgL_bgl_string2276za700za7za7_2328za7, "time", 4);
	      DEFINE_STRING(BGl_string2278z00zz__biglooz00,
		BgL_bgl_string2278za700za7za7_2329za7, "_time2203", 9);
	      DEFINE_STRING(BGl_string2279z00zz__biglooz00,
		BgL_bgl_string2279za700za7za7_2330za7, "__bigloo", 8);
	extern obj_t BGl_stringzd2envzd2zz__r4_strings_6_7z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2demanglezd2envz00zz__biglooz00,
		BgL_bgl__biglooza7d2demang2331za7,
		BGl__bigloozd2demangle2199zd2zz__biglooz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_registerzd2exitzd2functionz12zd2envzc0zz__biglooz00,
		BgL_bgl__registerza7d2exit2332za7,
		BGl__registerzd2exitzd2funct2202z00zz__biglooz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long
		BgL_checksumz00_2098, char *BgL_fromz00_2099)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__biglooz00))
				{
					BGl_requirezd2initializa7ationz75zz__biglooz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__biglooz00();
					BGl_importedzd2moduleszd2initz00zz__biglooz00();
					BGl_toplevelzd2initzd2zz__biglooz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			BGl_symbol2232z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2233z00zz__biglooz00);
			BGl_symbol2237z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2238z00zz__biglooz00);
			BGl_symbol2240z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2241z00zz__biglooz00);
			BGl_symbol2243z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2244z00zz__biglooz00);
			BGl_symbol2245z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2246z00zz__biglooz00);
			BGl_symbol2251z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2252z00zz__biglooz00);
			BGl_symbol2255z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2256z00zz__biglooz00);
			BGl_symbol2257z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2258z00zz__biglooz00);
			BGl_symbol2259z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2260z00zz__biglooz00);
			BGl_symbol2264z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2265z00zz__biglooz00);
			BGl_symbol2266z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2267z00zz__biglooz00);
			BGl_symbol2269z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2270z00zz__biglooz00);
			BGl_symbol2273z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2274z00zz__biglooz00);
			BGl_symbol2275z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2276z00zz__biglooz00);
			return (BGl_symbol2277z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2278z00zz__biglooz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			BGl_za2releaseza2z00zz__biglooz00 = BFALSE;
			BGl_za2levelza2z00zz__biglooz00 = BFALSE;
			BGl_za2modulesza2z00zz__biglooz00 = BNIL;
			BGl_za2exitzd2mutexza2zd2zz__biglooz00 =
				bgl_make_mutex(BGl_symbol2232z00zz__biglooz00);
			return (BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 =
				BNIL, BUNSPEC);
		}
	}



/* check-version! */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t
		BgL_modulez00_1, char *BgL_releasez00_2, obj_t BgL_levelz00_3)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 333 */
			if (STRINGP(BGl_za2releaseza2z00zz__biglooz00))
				{	/* Llib/bigloo.scm 339 */
					bool_t BgL_testz00_2124;

					{	/* Llib/bigloo.scm 339 */
						bool_t BgL_testz00_2125;

						{	/* Llib/bigloo.scm 339 */
							long BgL_minz00_768;

							{	/* Llib/bigloo.scm 339 */
								long BgL_arg1740z00_772;

								{	/* Llib/bigloo.scm 339 */
									long BgL_xz00_774;

									long BgL_yz00_775;

									BgL_xz00_774 =
										STRING_LENGTH(string_to_bstring(BgL_releasez00_2));
									BgL_yz00_775 =
										STRING_LENGTH(BGl_za2releaseza2z00zz__biglooz00);
									if ((BgL_xz00_774 < BgL_yz00_775))
										{	/* Llib/bigloo.scm 339 */
											BgL_arg1740z00_772 = BgL_xz00_774;
										}
									else
										{	/* Llib/bigloo.scm 339 */
											BgL_arg1740z00_772 = BgL_yz00_775;
										}
								}
								BgL_minz00_768 = (BgL_arg1740z00_772 - ((long) 1));
							}
							if (bigloo_strcmp(c_substring(string_to_bstring(BgL_releasez00_2),
										((long) 0), BgL_minz00_768),
									c_substring(BGl_za2releaseza2z00zz__biglooz00, ((long) 0),
										BgL_minz00_768)))
								{	/* Llib/bigloo.scm 342 */
									BgL_testz00_2125 = ((bool_t) 0);
								}
							else
								{	/* Llib/bigloo.scm 342 */
									BgL_testz00_2125 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_2125)
							{	/* Llib/bigloo.scm 339 */
								BgL_testz00_2124 = ((bool_t) 1);
							}
						else
							{	/* Llib/bigloo.scm 339 */
								if (CHARP(BgL_levelz00_3))
									{	/* Llib/bigloo.scm 344 */
										if (CHARP(BGl_za2levelza2z00zz__biglooz00))
											{	/* Llib/bigloo.scm 344 */
												if (
													(CCHAR(BGl_za2levelza2z00zz__biglooz00) ==
														CCHAR(BgL_levelz00_3)))
													{	/* Llib/bigloo.scm 344 */
														BgL_testz00_2124 = ((bool_t) 0);
													}
												else
													{	/* Llib/bigloo.scm 344 */
														BgL_testz00_2124 = ((bool_t) 1);
													}
											}
										else
											{	/* Llib/bigloo.scm 344 */
												BgL_testz00_2124 = ((bool_t) 0);
											}
									}
								else
									{	/* Llib/bigloo.scm 344 */
										BgL_testz00_2124 = ((bool_t) 0);
									}
							}
					}
					if (BgL_testz00_2124)
						{	/* Llib/bigloo.scm 351 */
							obj_t BgL_arg1725z00_751;

							obj_t BgL_arg1726z00_752;

							obj_t BgL_arg1727z00_753;

							{	/* Llib/bigloo.scm 351 */
								obj_t BgL_arg1730z00_755;

								{	/* Llib/bigloo.scm 352 */
									obj_t BgL_releasez00_1468;

									obj_t BgL_levelz00_1469;

									BgL_releasez00_1468 = BGl_za2releaseza2z00zz__biglooz00;
									BgL_levelz00_1469 = BGl_za2levelza2z00zz__biglooz00;
									if (CHARP(BgL_levelz00_1469))
										{	/* Llib/bigloo.scm 352 */
											obj_t BgL_sz00_1471;

											BgL_sz00_1471 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BGl_string2234z00zz__biglooz00);
											{	/* Llib/bigloo.scm 352 */
												unsigned char BgL_auxz00_2148;

												BgL_auxz00_2148 = CCHAR(BgL_levelz00_1469);
												STRING_SET(BgL_sz00_1471, ((long) 8), BgL_auxz00_2148);
											}
											BgL_arg1730z00_755 =
												string_append(BgL_releasez00_1468, BgL_sz00_1471);
										}
									else
										{	/* Llib/bigloo.scm 352 */
											BgL_arg1730z00_755 = BgL_releasez00_1468;
										}
								}
								BgL_arg1725z00_751 =
									string_append(BGl_string2235z00zz__biglooz00,
									BgL_arg1730z00_755);
							}
							{	/* Llib/bigloo.scm 353 */
								obj_t BgL_arg1732z00_757;

								if (CHARP(BgL_levelz00_3))
									{	/* Llib/bigloo.scm 354 */
										obj_t BgL_sz00_1479;

										BgL_sz00_1479 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BGl_string2234z00zz__biglooz00);
										{	/* Llib/bigloo.scm 354 */
											unsigned char BgL_auxz00_2156;

											BgL_auxz00_2156 = CCHAR(BgL_levelz00_3);
											STRING_SET(BgL_sz00_1479, ((long) 8), BgL_auxz00_2156);
										}
										BgL_arg1732z00_757 =
											string_append(string_to_bstring(BgL_releasez00_2),
											BgL_sz00_1479);
									}
								else
									{	/* Llib/bigloo.scm 354 */
										BgL_arg1732z00_757 = string_to_bstring(BgL_releasez00_2);
									}
								BgL_arg1726z00_752 =
									string_append(BGl_string2236z00zz__biglooz00,
									BgL_arg1732z00_757);
							}
							BgL_arg1727z00_753 =
								MAKE_PAIR(BgL_modulez00_1, BGl_za2modulesza2z00zz__biglooz00);
							return
								BGl_errorz00zz__errorz00(BgL_arg1725z00_751, BgL_arg1726z00_752,
								BgL_arg1727z00_753);
						}
					else
						{	/* Llib/bigloo.scm 339 */
							return (BGl_za2modulesza2z00zz__biglooz00 =
								MAKE_PAIR(BgL_modulez00_1, BGl_za2modulesza2z00zz__biglooz00),
								BUNSPEC);
						}
				}
			else
				{	/* Llib/bigloo.scm 335 */
					{	/* Llib/bigloo.scm 336 */
						obj_t BgL_list1743z00_777;

						BgL_list1743z00_777 = MAKE_PAIR(BgL_modulez00_1, BNIL);
						BGl_za2modulesza2z00zz__biglooz00 = BgL_list1743z00_777;
					}
					BGl_za2releaseza2z00zz__biglooz00 =
						string_to_bstring(BgL_releasez00_2);
					return (BGl_za2levelza2z00zz__biglooz00 = BgL_levelz00_3, BUNSPEC);
				}
		}
	}



/* _check-version!2194 */
	obj_t BGl__checkzd2versionz122194zc0zz__biglooz00(obj_t BgL_envz00_2018,
		obj_t BgL_modulez00_2019, obj_t BgL_releasez00_2020,
		obj_t BgL_levelz00_2021)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 333 */
			{	/* Llib/bigloo.scm 335 */
				char *BgL_auxz00_2168;

				{	/* Llib/bigloo.scm 335 */
					obj_t BgL_auxz00_2169;

					if (STRINGP(BgL_releasez00_2020))
						{	/* Llib/bigloo.scm 335 */
							BgL_auxz00_2169 = BgL_releasez00_2020;
						}
					else
						{	/* Llib/bigloo.scm 335 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2237z00zz__biglooz00, BGl_string2239z00zz__biglooz00,
								BgL_releasez00_2020);
							exit(-1);
						}
					BgL_auxz00_2168 = BSTRING_TO_STRING(BgL_auxz00_2169);
				}
				return
					BGl_checkzd2versionz12zc0zz__biglooz00(BgL_modulez00_2019,
					BgL_auxz00_2168, BgL_levelz00_2021);
			}
		}
	}



/* procedure-arity */
	BGL_EXPORTED_DEF int BGl_procedurezd2arityzd2zz__biglooz00(obj_t
		BgL_procz00_4)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 369 */
			return PROCEDURE_ARITY(BgL_procz00_4);
		}
	}



/* _procedure-arity */
	obj_t BGl__procedurezd2arityzd2zz__biglooz00(obj_t BgL_envz00_2022,
		obj_t BgL_procz00_2023)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 369 */
			{	/* Llib/bigloo.scm 370 */
				int BgL_auxz00_2177;

				{	/* Llib/bigloo.scm 370 */
					obj_t BgL_procz00_2092;

					if (PROCEDUREP(BgL_procz00_2023))
						{	/* Llib/bigloo.scm 370 */
							BgL_procz00_2092 = BgL_procz00_2023;
						}
					else
						{	/* Llib/bigloo.scm 370 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2240z00zz__biglooz00, BGl_string2242z00zz__biglooz00,
								BgL_procz00_2023);
							exit(-1);
						}
					BgL_auxz00_2177 = PROCEDURE_ARITY(BgL_procz00_2092);
				}
				return BINT(BgL_auxz00_2177);
			}
		}
	}



/* procedure-attr */
	BGL_EXPORTED_DEF obj_t BGl_procedurezd2attrzd2zz__biglooz00(obj_t
		BgL_procz00_5)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 375 */
			return PROCEDURE_ATTR(BgL_procz00_5);
		}
	}



/* _procedure-attr */
	obj_t BGl__procedurezd2attrzd2zz__biglooz00(obj_t BgL_envz00_2024,
		obj_t BgL_procz00_2025)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 375 */
			{	/* Llib/bigloo.scm 376 */
				obj_t BgL_procz00_2093;

				if (PROCEDUREP(BgL_procz00_2025))
					{	/* Llib/bigloo.scm 376 */
						BgL_procz00_2093 = BgL_procz00_2025;
					}
				else
					{	/* Llib/bigloo.scm 376 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2243z00zz__biglooz00, BGl_string2242z00zz__biglooz00,
							BgL_procz00_2025);
						exit(-1);
					}
				return PROCEDURE_ATTR(BgL_procz00_2093);
			}
		}
	}



/* procedure-attr-set! */
	BGL_EXPORTED_DEF obj_t BGl_procedurezd2attrzd2setz12z12zz__biglooz00(obj_t
		BgL_procz00_6, obj_t BgL_objz00_7)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 381 */
			PROCEDURE_ATTR_SET(BgL_procz00_6, BgL_objz00_7);
			return BgL_objz00_7;
		}
	}



/* _procedure-attr-set! */
	obj_t BGl__procedurezd2attrzd2setz12z12zz__biglooz00(obj_t BgL_envz00_2026,
		obj_t BgL_procz00_2027, obj_t BgL_objz00_2028)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 381 */
			{	/* Llib/bigloo.scm 383 */
				obj_t BgL_procz00_2094;

				if (PROCEDUREP(BgL_procz00_2027))
					{	/* Llib/bigloo.scm 383 */
						BgL_procz00_2094 = BgL_procz00_2027;
					}
				else
					{	/* Llib/bigloo.scm 383 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2245z00zz__biglooz00, BGl_string2242z00zz__biglooz00,
							BgL_procz00_2027);
						exit(-1);
					}
				PROCEDURE_ATTR_SET(BgL_procz00_2094, BgL_objz00_2028);
				return BgL_objz00_2028;
			}
		}
	}



/* unspecified */
	BGL_EXPORTED_DEF obj_t BGl_unspecifiedz00zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 388 */
			return BUNSPEC;
		}
	}



/* _unspecified */
	obj_t BGl__unspecifiedz00zz__biglooz00(obj_t BgL_envz00_2029)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 388 */
			return BUNSPEC;
		}
	}



/* cnst? */
	BGL_EXPORTED_DEF bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t BgL_objz00_8)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 394 */
			return CNSTP(BgL_objz00_8);
		}
	}



/* _cnst? */
	obj_t BGl__cnstzf3zf3zz__biglooz00(obj_t BgL_envz00_2030,
		obj_t BgL_objz00_2031)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 394 */
			return BBOOL(CNSTP(BgL_objz00_2031));
		}
	}



/* opaque? */
	BGL_EXPORTED_DEF bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t BgL_objz00_9)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 400 */
			return OPAQUEP(BgL_objz00_9);
		}
	}



/* _opaque? */
	obj_t BGl__opaquezf3zf3zz__biglooz00(obj_t BgL_envz00_2032,
		obj_t BgL_objz00_2033)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 400 */
			return BBOOL(OPAQUEP(BgL_objz00_2033));
		}
	}



/* opaque-nil */
	BGL_EXPORTED_DEF obj_t BGl_opaquezd2nilzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 406 */
			return BGL_OPAQUE_NIL();
		}
	}



/* _opaque-nil */
	obj_t BGl__opaquezd2nilzd2zz__biglooz00(obj_t BgL_envz00_2034)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 406 */
			return BGL_OPAQUE_NIL();
		}
	}



/* mangle-at! */
	long BGl_manglezd2atz12zc0zz__biglooz00(obj_t BgL_newz00_11,
		obj_t BgL_oldz00_12, long BgL_lenz00_13, long BgL_offsetz00_14)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 419 */
			{
				long BgL_rz00_779;

				long BgL_wz00_780;

				long BgL_newzd2lenzd2_781;

				long BgL_checksumz00_782;

				BgL_rz00_779 = ((long) 0);
				BgL_wz00_780 = BgL_offsetz00_14;
				BgL_newzd2lenzd2_781 = BgL_offsetz00_14;
				BgL_checksumz00_782 = ((long) 0);
			BgL_loopz00_783:
				if ((BgL_rz00_779 == BgL_lenz00_13))
					{	/* Llib/bigloo.scm 424 */
						STRING_SET(BgL_newz00_11, BgL_wz00_780, ((unsigned char) 'z'));
						{	/* Llib/bigloo.scm 427 */
							unsigned char BgL_auxz00_2209;

							long BgL_auxz00_2207;

							BgL_auxz00_2209 =
								STRING_REF(BGl_string2247z00zz__biglooz00,
								(BgL_checksumz00_782 & ((long) 15)));
							BgL_auxz00_2207 = (BgL_wz00_780 + ((long) 1));
							STRING_SET(BgL_newz00_11, BgL_auxz00_2207, BgL_auxz00_2209);
						}
						{	/* Llib/bigloo.scm 430 */
							unsigned char BgL_auxz00_2215;

							long BgL_auxz00_2213;

							BgL_auxz00_2215 =
								STRING_REF(BGl_string2247z00zz__biglooz00,
								((BgL_checksumz00_782 >> (int) (((long) 4))) & ((long) 15)));
							BgL_auxz00_2213 = (BgL_wz00_780 + ((long) 2));
							STRING_SET(BgL_newz00_11, BgL_auxz00_2213, BgL_auxz00_2215);
						}
						return (BgL_wz00_780 + ((long) 3));
					}
				else
					{	/* Llib/bigloo.scm 434 */
						unsigned char BgL_cz00_793;

						BgL_cz00_793 = STRING_REF(BgL_oldz00_12, BgL_rz00_779);
						{	/* Llib/bigloo.scm 435 */
							bool_t BgL_testz00_2223;

							{	/* Llib/bigloo.scm 435 */
								bool_t BgL_testz00_2224;

								if (isalpha(BgL_cz00_793))
									{	/* Llib/bigloo.scm 435 */
										if ((BgL_cz00_793 == ((unsigned char) 'z')))
											{	/* Llib/bigloo.scm 435 */
												BgL_testz00_2224 = ((bool_t) 0);
											}
										else
											{	/* Llib/bigloo.scm 435 */
												BgL_testz00_2224 = ((bool_t) 1);
											}
									}
								else
									{	/* Llib/bigloo.scm 435 */
										BgL_testz00_2224 = ((bool_t) 0);
									}
								if (BgL_testz00_2224)
									{	/* Llib/bigloo.scm 435 */
										BgL_testz00_2223 = ((bool_t) 1);
									}
								else
									{	/* Llib/bigloo.scm 435 */
										if (isdigit(BgL_cz00_793))
											{	/* Llib/bigloo.scm 436 */
												BgL_testz00_2223 = ((bool_t) 1);
											}
										else
											{	/* Llib/bigloo.scm 436 */
												BgL_testz00_2223 =
													(BgL_cz00_793 == ((unsigned char) '_'));
							}}}
							if (BgL_testz00_2223)
								{	/* Llib/bigloo.scm 435 */
									STRING_SET(BgL_newz00_11, BgL_wz00_780, BgL_cz00_793);
									{
										long BgL_newzd2lenzd2_2237;

										long BgL_wz00_2235;

										long BgL_rz00_2233;

										BgL_rz00_2233 = (BgL_rz00_779 + ((long) 1));
										BgL_wz00_2235 = (BgL_wz00_780 + ((long) 1));
										BgL_newzd2lenzd2_2237 = (BgL_newzd2lenzd2_781 + ((long) 1));
										BgL_newzd2lenzd2_781 = BgL_newzd2lenzd2_2237;
										BgL_wz00_780 = BgL_wz00_2235;
										BgL_rz00_779 = BgL_rz00_2233;
										goto BgL_loopz00_783;
									}
								}
							else
								{	/* Llib/bigloo.scm 444 */
									long BgL_icz00_798;

									BgL_icz00_798 = (BgL_cz00_793);
									STRING_SET(BgL_newz00_11, BgL_wz00_780,
										((unsigned char) 'z'));
									{	/* Llib/bigloo.scm 446 */
										unsigned char BgL_auxz00_2243;

										long BgL_auxz00_2241;

										BgL_auxz00_2243 =
											STRING_REF(BGl_string2247z00zz__biglooz00,
											(BgL_icz00_798 & ((long) 15)));
										BgL_auxz00_2241 = (BgL_wz00_780 + ((long) 1));
										STRING_SET(BgL_newz00_11, BgL_auxz00_2241, BgL_auxz00_2243);
									}
									{	/* Llib/bigloo.scm 449 */
										unsigned char BgL_auxz00_2249;

										long BgL_auxz00_2247;

										BgL_auxz00_2249 =
											STRING_REF(BGl_string2247z00zz__biglooz00,
											((BgL_icz00_798 >> (int) (((long) 4))) & ((long) 15)));
										BgL_auxz00_2247 = (BgL_wz00_780 + ((long) 2));
										STRING_SET(BgL_newz00_11, BgL_auxz00_2247, BgL_auxz00_2249);
									}
									{
										long BgL_checksumz00_2261;

										long BgL_newzd2lenzd2_2259;

										long BgL_wz00_2257;

										long BgL_rz00_2255;

										BgL_rz00_2255 = (BgL_rz00_779 + ((long) 1));
										BgL_wz00_2257 = (BgL_wz00_780 + ((long) 3));
										BgL_newzd2lenzd2_2259 = (BgL_newzd2lenzd2_781 + ((long) 3));
										BgL_checksumz00_2261 =
											(BgL_checksumz00_782 ^ (BgL_cz00_793));
										BgL_checksumz00_782 = BgL_checksumz00_2261;
										BgL_newzd2lenzd2_781 = BgL_newzd2lenzd2_2259;
										BgL_wz00_780 = BgL_wz00_2257;
										BgL_rz00_779 = BgL_rz00_2255;
										goto BgL_loopz00_783;
									}
								}
						}
					}
			}
		}
	}



/* bigloo-mangle */
	BGL_EXPORTED_DEF obj_t bigloo_mangle(obj_t BgL_stringz00_15)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 460 */
			{	/* Llib/bigloo.scm 461 */
				long BgL_lenz00_816;

				BgL_lenz00_816 = STRING_LENGTH(BgL_stringz00_15);
				{	/* Llib/bigloo.scm 461 */
					obj_t BgL_newz00_817;

					BgL_newz00_817 =
						make_string(
						((BgL_lenz00_816 * ((long) 3)) + ((long) 7)),
						((unsigned char) ' '));
					{	/* Llib/bigloo.scm 462 */

						if ((BgL_lenz00_816 == ((long) 0)))
							{	/* Llib/bigloo.scm 463 */
								return
									BGl_errorz00zz__errorz00(BGl_string2248z00zz__biglooz00,
									BGl_string2249z00zz__biglooz00, BgL_stringz00_15);
							}
						else
							{	/* Llib/bigloo.scm 465 */
								long BgL_stopz00_819;

								BgL_stopz00_819 =
									BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_817,
									BgL_stringz00_15, BgL_lenz00_816, ((long) 4));
								blit_string(BGl_string2250z00zz__biglooz00, ((long) 0),
									BgL_newz00_817, ((long) 0), ((long) 4));
								return c_substring(BgL_newz00_817, ((long) 0), BgL_stopz00_819);
		}}}}}
	}



/* _bigloo-mangle2195 */
	obj_t BGl__bigloozd2mangle2195zd2zz__biglooz00(obj_t BgL_envz00_2035,
		obj_t BgL_stringz00_2036)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 460 */
			{	/* Llib/bigloo.scm 461 */
				obj_t BgL_auxz00_2274;

				if (STRINGP(BgL_stringz00_2036))
					{	/* Llib/bigloo.scm 461 */
						BgL_auxz00_2274 = BgL_stringz00_2036;
					}
				else
					{	/* Llib/bigloo.scm 461 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2251z00zz__biglooz00, BGl_string2253z00zz__biglooz00,
							BgL_stringz00_2036);
						exit(-1);
					}
				return bigloo_mangle(BgL_auxz00_2274);
			}
		}
	}



/* bigloo-module-mangle */
	BGL_EXPORTED_DEF obj_t bigloo_module_mangle(obj_t BgL_idz00_16,
		obj_t BgL_modulez00_17)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 472 */
			{	/* Llib/bigloo.scm 473 */
				long BgL_lenz00_824;

				BgL_lenz00_824 =
					(STRING_LENGTH(BgL_idz00_16) + STRING_LENGTH(BgL_modulez00_17));
				{	/* Llib/bigloo.scm 473 */
					obj_t BgL_newz00_825;

					BgL_newz00_825 =
						make_string(
						((BgL_lenz00_824 * ((long) 3)) + ((long) 12)),
						((unsigned char) ' '));
					{	/* Llib/bigloo.scm 474 */

						if ((BgL_lenz00_824 == ((long) 0)))
							{	/* Llib/bigloo.scm 475 */
								return
									BGl_errorz00zz__errorz00(BGl_string2248z00zz__biglooz00,
									BGl_string2249z00zz__biglooz00,
									BGl_stringzd2envzd2zz__r4_strings_6_7z00);
							}
						else
							{	/* Llib/bigloo.scm 477 */
								long BgL_modzd2startzd2_827;

								BgL_modzd2startzd2_827 =
									BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_825,
									BgL_idz00_16, STRING_LENGTH(BgL_idz00_16), ((long) 4));
								STRING_SET(BgL_newz00_825, BgL_modzd2startzd2_827,
									((unsigned char) 'z'));
								{	/* Llib/bigloo.scm 479 */
									long BgL_auxz00_2292;

									BgL_auxz00_2292 = (((long) 1) + BgL_modzd2startzd2_827);
									STRING_SET(BgL_newz00_825, BgL_auxz00_2292,
										((unsigned char) 'z'));
								}
								{	/* Llib/bigloo.scm 480 */
									long BgL_stopz00_829;

									BgL_stopz00_829 =
										BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_825,
										BgL_modulez00_17, STRING_LENGTH(BgL_modulez00_17),
										(BgL_modzd2startzd2_827 + ((long) 2)));
									blit_string(BGl_string2254z00zz__biglooz00, ((long) 0),
										BgL_newz00_825, ((long) 0), ((long) 4));
									return c_substring(BgL_newz00_825, ((long) 0),
										BgL_stopz00_829);
		}}}}}}
	}



/* _bigloo-module-mangl2196 */
	obj_t BGl__bigloozd2modulezd2mangl2196z00zz__biglooz00(obj_t BgL_envz00_2037,
		obj_t BgL_idz00_2038, obj_t BgL_modulez00_2039)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 472 */
			{	/* Llib/bigloo.scm 473 */
				obj_t BgL_auxz00_2305;

				obj_t BgL_auxz00_2300;

				if (STRINGP(BgL_modulez00_2039))
					{	/* Llib/bigloo.scm 473 */
						BgL_auxz00_2305 = BgL_modulez00_2039;
					}
				else
					{	/* Llib/bigloo.scm 473 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2255z00zz__biglooz00, BGl_string2253z00zz__biglooz00,
							BgL_modulez00_2039);
						exit(-1);
					}
				if (STRINGP(BgL_idz00_2038))
					{	/* Llib/bigloo.scm 473 */
						BgL_auxz00_2300 = BgL_idz00_2038;
					}
				else
					{	/* Llib/bigloo.scm 473 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2255z00zz__biglooz00, BGl_string2253z00zz__biglooz00,
							BgL_idz00_2038);
						exit(-1);
					}
				return bigloo_module_mangle(BgL_auxz00_2300, BgL_auxz00_2305);
			}
		}
	}



/* bigloo-mangled? */
	BGL_EXPORTED_DEF bool_t bigloo_mangledp(obj_t BgL_stringz00_18)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 489 */
			{	/* Llib/bigloo.scm 490 */
				long BgL_lenz00_840;

				BgL_lenz00_840 = STRING_LENGTH(BgL_stringz00_18);
				if ((BgL_lenz00_840 > ((long) 7)))
					{	/* Llib/bigloo.scm 492 */
						bool_t BgL_testz00_2314;

						{	/* Llib/bigloo.scm 492 */
							bool_t BgL__ortest_1646z00_857;

							BgL__ortest_1646z00_857 =
								bigloo_strncmp(BgL_stringz00_18, BGl_string2250z00zz__biglooz00,
								((long) 4));
							if (BgL__ortest_1646z00_857)
								{	/* Llib/bigloo.scm 492 */
									BgL_testz00_2314 = BgL__ortest_1646z00_857;
								}
							else
								{	/* Llib/bigloo.scm 492 */
									BgL_testz00_2314 =
										bigloo_strncmp(BgL_stringz00_18,
										BGl_string2254z00zz__biglooz00, ((long) 4));
						}}
						if (BgL_testz00_2314)
							{	/* Llib/bigloo.scm 492 */
								if (
									(STRING_REF(BgL_stringz00_18,
											(BgL_lenz00_840 - ((long) 3))) == ((unsigned char) 'z')))
									{	/* Llib/bigloo.scm 495 */
										bool_t BgL_testz00_2322;

										{	/* Llib/bigloo.scm 495 */
											bool_t BgL__ortest_1647z00_850;

											{	/* Llib/bigloo.scm 495 */
												unsigned char BgL_auxz00_2323;

												BgL_auxz00_2323 =
													STRING_REF(BgL_stringz00_18,
													(BgL_lenz00_840 - ((long) 2)));
												BgL__ortest_1647z00_850 = isalpha(BgL_auxz00_2323);
											}
											if (BgL__ortest_1647z00_850)
												{	/* Llib/bigloo.scm 495 */
													BgL_testz00_2322 = BgL__ortest_1647z00_850;
												}
											else
												{	/* Llib/bigloo.scm 496 */
													unsigned char BgL_auxz00_2328;

													BgL_auxz00_2328 =
														STRING_REF(BgL_stringz00_18,
														(BgL_lenz00_840 - ((long) 2)));
													BgL_testz00_2322 = isdigit(BgL_auxz00_2328);
										}}
										if (BgL_testz00_2322)
											{	/* Llib/bigloo.scm 497 */
												bool_t BgL__ortest_1648z00_845;

												{	/* Llib/bigloo.scm 497 */
													unsigned char BgL_auxz00_2332;

													BgL_auxz00_2332 =
														STRING_REF(BgL_stringz00_18,
														(BgL_lenz00_840 - ((long) 1)));
													BgL__ortest_1648z00_845 = isalpha(BgL_auxz00_2332);
												}
												if (BgL__ortest_1648z00_845)
													{	/* Llib/bigloo.scm 497 */
														return BgL__ortest_1648z00_845;
													}
												else
													{	/* Llib/bigloo.scm 498 */
														unsigned char BgL_auxz00_2337;

														BgL_auxz00_2337 =
															STRING_REF(BgL_stringz00_18,
															(BgL_lenz00_840 - ((long) 1)));
														return isdigit(BgL_auxz00_2337);
													}
											}
										else
											{	/* Llib/bigloo.scm 495 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Llib/bigloo.scm 494 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Llib/bigloo.scm 492 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Llib/bigloo.scm 491 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* _bigloo-mangled?2197 */
	obj_t BGl__bigloozd2mangledzf32197z21zz__biglooz00(obj_t BgL_envz00_2042,
		obj_t BgL_stringz00_2043)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 489 */
			{	/* Llib/bigloo.scm 490 */
				bool_t BgL_auxz00_2341;

				{	/* Llib/bigloo.scm 490 */
					obj_t BgL_auxz00_2342;

					if (STRINGP(BgL_stringz00_2043))
						{	/* Llib/bigloo.scm 490 */
							BgL_auxz00_2342 = BgL_stringz00_2043;
						}
					else
						{	/* Llib/bigloo.scm 490 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2257z00zz__biglooz00, BGl_string2253z00zz__biglooz00,
								BgL_stringz00_2043);
							exit(-1);
						}
					BgL_auxz00_2341 = bigloo_mangledp(BgL_auxz00_2342);
				}
				return BBOOL(BgL_auxz00_2341);
			}
		}
	}



/* bigloo-need-mangling? */
	BGL_EXPORTED_DEF bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t
		BgL_stringz00_19)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 503 */
			{	/* Llib/bigloo.scm 504 */
				long BgL_lenz00_858;

				BgL_lenz00_858 = STRING_LENGTH(BgL_stringz00_19);
				if ((BgL_lenz00_858 > ((long) 0)))
					{	/* Llib/bigloo.scm 506 */
						bool_t BgL__ortest_1650z00_860;

						{	/* Llib/bigloo.scm 506 */
							bool_t BgL_testz00_2352;

							{	/* Llib/bigloo.scm 506 */
								bool_t BgL_testz00_2353;

								{	/* Llib/bigloo.scm 506 */
									unsigned char BgL_auxz00_2354;

									BgL_auxz00_2354 = STRING_REF(BgL_stringz00_19, ((long) 0));
									BgL_testz00_2353 = isalpha(BgL_auxz00_2354);
								}
								if (BgL_testz00_2353)
									{	/* Llib/bigloo.scm 506 */
										BgL_testz00_2352 = ((bool_t) 1);
									}
								else
									{	/* Llib/bigloo.scm 506 */
										BgL_testz00_2352 =
											(STRING_REF(BgL_stringz00_19,
												((long) 0)) == ((unsigned char) '_'));
							}}
							if (BgL_testz00_2352)
								{	/* Llib/bigloo.scm 506 */
									BgL__ortest_1650z00_860 = ((bool_t) 0);
								}
							else
								{	/* Llib/bigloo.scm 506 */
									BgL__ortest_1650z00_860 = ((bool_t) 1);
								}
						}
						if (BgL__ortest_1650z00_860)
							{	/* Llib/bigloo.scm 506 */
								return BgL__ortest_1650z00_860;
							}
						else
							{
								long BgL_iz00_861;

								BgL_iz00_861 = ((long) 1);
							BgL_loopz00_862:
								if ((BgL_iz00_861 >= BgL_lenz00_858))
									{	/* Llib/bigloo.scm 509 */
										return ((bool_t) 0);
									}
								else
									{	/* Llib/bigloo.scm 511 */
										unsigned char BgL_cz00_864;

										BgL_cz00_864 = STRING_REF(BgL_stringz00_19, BgL_iz00_861);
										{	/* Llib/bigloo.scm 512 */
											bool_t BgL_testz00_2363;

											if (isalpha(BgL_cz00_864))
												{	/* Llib/bigloo.scm 512 */
													BgL_testz00_2363 = ((bool_t) 1);
												}
											else
												{	/* Llib/bigloo.scm 512 */
													if (isdigit(BgL_cz00_864))
														{	/* Llib/bigloo.scm 513 */
															BgL_testz00_2363 = ((bool_t) 1);
														}
													else
														{	/* Llib/bigloo.scm 513 */
															BgL_testz00_2363 =
																(BgL_cz00_864 == ((unsigned char) '_'));
												}}
											if (BgL_testz00_2363)
												{
													long BgL_iz00_2369;

													BgL_iz00_2369 = (BgL_iz00_861 + ((long) 1));
													BgL_iz00_861 = BgL_iz00_2369;
													goto BgL_loopz00_862;
												}
											else
												{	/* Llib/bigloo.scm 512 */
													return ((bool_t) 1);
												}
										}
									}
							}
					}
				else
					{	/* Llib/bigloo.scm 505 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* _bigloo-need-manglin2198 */
	obj_t BGl__bigloozd2needzd2manglin2198z00zz__biglooz00(obj_t BgL_envz00_2044,
		obj_t BgL_stringz00_2045)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 503 */
			{	/* Llib/bigloo.scm 504 */
				bool_t BgL_auxz00_2371;

				{	/* Llib/bigloo.scm 504 */
					obj_t BgL_auxz00_2372;

					if (STRINGP(BgL_stringz00_2045))
						{	/* Llib/bigloo.scm 504 */
							BgL_auxz00_2372 = BgL_stringz00_2045;
						}
					else
						{	/* Llib/bigloo.scm 504 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2259z00zz__biglooz00, BGl_string2253z00zz__biglooz00,
								BgL_stringz00_2045);
							exit(-1);
						}
					BgL_auxz00_2371 =
						BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_auxz00_2372);
				}
				return BBOOL(BgL_auxz00_2371);
			}
		}
	}



/* bigloo-demangle */
	BGL_EXPORTED_DEF obj_t bigloo_demangle(obj_t BgL_stringz00_20)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 521 */
			{	/* Llib/bigloo.scm 522 */
				long BgL_lenz00_873;

				BgL_lenz00_873 = STRING_LENGTH(BgL_stringz00_20);
				{	/* Llib/bigloo.scm 522 */
					long BgL_clenz00_874;

					BgL_clenz00_874 = (BgL_lenz00_873 - ((long) 3));
					{	/* Llib/bigloo.scm 523 */

						{

							if ((BgL_lenz00_873 < ((long) 8)))
								{	/* Llib/bigloo.scm 572 */
									return
										BGl_errorz00zz__errorz00(BGl_string2261z00zz__biglooz00,
										BGl_string2262z00zz__biglooz00, BgL_stringz00_20);
								}
							else
								{	/* Llib/bigloo.scm 572 */
									if (bigloo_strncmp(BgL_stringz00_20,
											BGl_string2250z00zz__biglooz00, ((long) 4)))
										{	/* Llib/bigloo.scm 574 */
											{	/* Llib/bigloo.scm 562 */
												obj_t BgL_strz00_892;

												BgL_strz00_892 =
													BGl_bigloozd2demanglezd2atz00zz__biglooz00
													(BgL_stringz00_20, BgL_clenz00_874, BINT(((long) 4)));
												{	/* Llib/bigloo.scm 564 */
													obj_t BgL_offsetz00_893;

													{	/* Llib/bigloo.scm 564 */
														int BgL_auxz00_2388;

														BgL_auxz00_2388 = (int) (((long) 1));
														BgL_offsetz00_893 =
															BGL_MVALUES_VAL(BgL_auxz00_2388);
													}
													{	/* Llib/bigloo.scm 564 */
														int BgL_auxz00_2391;

														BgL_auxz00_2391 = (int) (((long) 2));
														BGL_MVALUES_NUMBER_SET(BgL_auxz00_2391);
													}
													{	/* Llib/bigloo.scm 564 */
														int BgL_auxz00_2394;

														BgL_auxz00_2394 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_auxz00_2394, BUNSPEC);
													}
													return BgL_strz00_892;
												}
											}
										}
									else
										{	/* Llib/bigloo.scm 574 */
											if (bigloo_strncmp(BgL_stringz00_20,
													BGl_string2254z00zz__biglooz00, ((long) 4)))
												{	/* Llib/bigloo.scm 576 */
													{	/* Llib/bigloo.scm 566 */
														obj_t BgL_idz00_885;

														BgL_idz00_885 =
															BGl_bigloozd2demanglezd2atz00zz__biglooz00
															(BgL_stringz00_20, BgL_clenz00_874,
															BINT(((long) 4)));
														{	/* Llib/bigloo.scm 568 */
															obj_t BgL_offsetz00_886;

															{	/* Llib/bigloo.scm 568 */
																int BgL_auxz00_2401;

																BgL_auxz00_2401 = (int) (((long) 1));
																BgL_offsetz00_886 =
																	BGL_MVALUES_VAL(BgL_auxz00_2401);
															}
															{	/* Llib/bigloo.scm 568 */
																obj_t BgL_modulez00_887;

																BgL_modulez00_887 =
																	BGl_bigloozd2demanglezd2atz00zz__biglooz00
																	(BgL_stringz00_20, BgL_clenz00_874,
																	BgL_offsetz00_886);
																{	/* Llib/bigloo.scm 570 */
																	obj_t BgL_offsetz00_888;

																	{	/* Llib/bigloo.scm 570 */
																		int BgL_auxz00_2405;

																		BgL_auxz00_2405 = (int) (((long) 1));
																		BgL_offsetz00_888 =
																			BGL_MVALUES_VAL(BgL_auxz00_2405);
																	}
																	{	/* Llib/bigloo.scm 570 */
																		int BgL_auxz00_2408;

																		BgL_auxz00_2408 = (int) (((long) 2));
																		BGL_MVALUES_NUMBER_SET(BgL_auxz00_2408);
																	}
																	{	/* Llib/bigloo.scm 570 */
																		int BgL_auxz00_2411;

																		BgL_auxz00_2411 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_auxz00_2411,
																			BgL_modulez00_887);
																	}
																	return BgL_idz00_885;
																}
															}
														}
													}
												}
											else
												{	/* Llib/bigloo.scm 576 */
													return BgL_stringz00_20;
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* bigloo-demangle-at */
	obj_t BGl_bigloozd2demanglezd2atz00zz__biglooz00(obj_t BgL_stringz00_2061,
		long BgL_clenz00_2060, obj_t BgL_offsetz00_896)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 560 */
			{	/* Llib/bigloo.scm 537 */
				obj_t BgL_newz00_898;

				BgL_newz00_898 = make_string(BgL_clenz00_2060, ((unsigned char) ' '));
				{
					obj_t BgL_rz00_899;

					long BgL_wz00_900;

					long BgL_checksumz00_901;

					BgL_rz00_899 = BgL_offsetz00_896;
					BgL_wz00_900 = ((long) 0);
					BgL_checksumz00_901 = ((long) 0);
				BgL_loopz00_902:
					if (((long) CINT(BgL_rz00_899) == BgL_clenz00_2060))
						{	/* Llib/bigloo.scm 541 */
							if (
								(BgL_checksumz00_901 ==
									BGl_getzd28bitszd2integerz00zz__biglooz00(BgL_stringz00_2061,
										BgL_rz00_899)))
								{	/* Llib/bigloo.scm 544 */
									obj_t BgL_val0_1684z00_905;

									long BgL_val1_1685z00_906;

									BgL_val0_1684z00_905 =
										c_substring(BgL_newz00_898, ((long) 0), BgL_wz00_900);
									BgL_val1_1685z00_906 =
										((long) CINT(BgL_rz00_899) + ((long) 3));
									{	/* Llib/bigloo.scm 544 */
										int BgL_auxz00_2424;

										BgL_auxz00_2424 = (int) (((long) 2));
										BGL_MVALUES_NUMBER_SET(BgL_auxz00_2424);
									}
									{	/* Llib/bigloo.scm 544 */
										obj_t BgL_auxz00_2429;

										int BgL_auxz00_2427;

										BgL_auxz00_2429 = BINT(BgL_val1_1685z00_906);
										BgL_auxz00_2427 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_2427, BgL_auxz00_2429);
									}
									return BgL_val0_1684z00_905;
								}
							else
								{	/* Llib/bigloo.scm 543 */
									return
										BGl_errorz00zz__errorz00(BGl_string2261z00zz__biglooz00,
										BGl_string2263z00zz__biglooz00, BgL_stringz00_2061);
								}
						}
					else
						{	/* Llib/bigloo.scm 546 */
							unsigned char BgL_cz00_908;

							BgL_cz00_908 =
								STRING_REF(BgL_stringz00_2061, (long) CINT(BgL_rz00_899));
							if ((BgL_cz00_908 == ((unsigned char) 'z')))
								{	/* Llib/bigloo.scm 547 */
									if (
										(STRING_REF(BgL_stringz00_2061,
												((long) CINT(BgL_rz00_899) + ((long) 1))) ==
											((unsigned char) 'z')))
										{	/* Llib/bigloo.scm 549 */
											obj_t BgL_val0_1686z00_911;

											long BgL_val1_1687z00_912;

											BgL_val0_1686z00_911 =
												c_substring(BgL_newz00_898, ((long) 0),
												(BgL_wz00_900 - ((long) 1)));
											BgL_val1_1687z00_912 =
												((long) CINT(BgL_rz00_899) + ((long) 2));
											{	/* Llib/bigloo.scm 549 */
												int BgL_auxz00_2446;

												BgL_auxz00_2446 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_2446);
											}
											{	/* Llib/bigloo.scm 549 */
												obj_t BgL_auxz00_2451;

												int BgL_auxz00_2449;

												BgL_auxz00_2451 = BINT(BgL_val1_1687z00_912);
												BgL_auxz00_2449 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_auxz00_2449, BgL_auxz00_2451);
											}
											return BgL_val0_1686z00_911;
										}
									else
										{	/* Llib/bigloo.scm 550 */
											long BgL_iz00_915;

											BgL_iz00_915 =
												BGl_getzd28bitszd2integerz00zz__biglooz00
												(BgL_stringz00_2061, BgL_rz00_899);
											{	/* Llib/bigloo.scm 550 */
												unsigned char BgL_ncz00_916;

												BgL_ncz00_916 = (BgL_iz00_915);
												{	/* Llib/bigloo.scm 551 */

													STRING_SET(BgL_newz00_898, BgL_wz00_900,
														BgL_ncz00_916);
													{	/* Llib/bigloo.scm 553 */
														long BgL_arg1828z00_917;

														long BgL_arg1829z00_918;

														long BgL_arg1830z00_919;

														BgL_arg1828z00_917 =
															((long) CINT(BgL_rz00_899) + ((long) 3));
														BgL_arg1829z00_918 = (BgL_wz00_900 + ((long) 1));
														BgL_arg1830z00_919 =
															(BgL_checksumz00_901 ^ BgL_iz00_915);
														{
															long BgL_checksumz00_2464;

															long BgL_wz00_2463;

															obj_t BgL_rz00_2461;

															BgL_rz00_2461 = BINT(BgL_arg1828z00_917);
															BgL_wz00_2463 = BgL_arg1829z00_918;
															BgL_checksumz00_2464 = BgL_arg1830z00_919;
															BgL_checksumz00_901 = BgL_checksumz00_2464;
															BgL_wz00_900 = BgL_wz00_2463;
															BgL_rz00_899 = BgL_rz00_2461;
															goto BgL_loopz00_902;
														}
													}
												}
											}
										}
								}
							else
								{	/* Llib/bigloo.scm 547 */
									STRING_SET(BgL_newz00_898, BgL_wz00_900, BgL_cz00_908);
									{	/* Llib/bigloo.scm 558 */
										long BgL_arg1833z00_922;

										long BgL_arg1834z00_923;

										BgL_arg1833z00_922 =
											((long) CINT(BgL_rz00_899) + ((long) 1));
										BgL_arg1834z00_923 = (BgL_wz00_900 + ((long) 1));
										{
											long BgL_wz00_2471;

											obj_t BgL_rz00_2469;

											BgL_rz00_2469 = BINT(BgL_arg1833z00_922);
											BgL_wz00_2471 = BgL_arg1834z00_923;
											BgL_wz00_900 = BgL_wz00_2471;
											BgL_rz00_899 = BgL_rz00_2469;
											goto BgL_loopz00_902;
										}
									}
								}
						}
				}
			}
		}
	}



/* get-8bits-integer */
	long BGl_getzd28bitszd2integerz00zz__biglooz00(obj_t BgL_stringz00_2062,
		obj_t BgL_rz00_925)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 535 */
			{	/* Llib/bigloo.scm 534 */

				return
					(BGl_charzd2ze3digitz31zz__biglooz00(STRING_REF(BgL_stringz00_2062,
							((long) CINT(BgL_rz00_925) + ((long) 1)))) +
					(BGl_charzd2ze3digitz31zz__biglooz00(STRING_REF(BgL_stringz00_2062,
								((long) CINT(BgL_rz00_925) + ((long) 2)))) <<
						(int) (((long) 4))));
		}}
	}



/* char->digit */
	long BGl_charzd2ze3digitz31zz__biglooz00(unsigned char BgL_cz00_934)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 529 */
			if (isdigit(BgL_cz00_934))
				{	/* Llib/bigloo.scm 527 */
					return ((BgL_cz00_934) - ((long) 48));
				}
			else
				{	/* Llib/bigloo.scm 527 */
					return (((long) 10) + ((BgL_cz00_934) - ((long) 97)));
		}}
	}



/* _bigloo-demangle2199 */
	obj_t BGl__bigloozd2demangle2199zd2zz__biglooz00(obj_t BgL_envz00_2046,
		obj_t BgL_stringz00_2047)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 521 */
			{	/* Llib/bigloo.scm 522 */
				obj_t BgL_auxz00_2490;

				if (STRINGP(BgL_stringz00_2047))
					{	/* Llib/bigloo.scm 522 */
						BgL_auxz00_2490 = BgL_stringz00_2047;
					}
				else
					{	/* Llib/bigloo.scm 522 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2264z00zz__biglooz00, BGl_string2253z00zz__biglooz00,
							BgL_stringz00_2047);
						exit(-1);
					}
				return bigloo_demangle(BgL_auxz00_2490);
			}
		}
	}



/* bigloo-class-mangled? */
	BGL_EXPORTED_DEF bool_t bigloo_class_mangledp(obj_t BgL_stringz00_21)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 584 */
			{	/* Llib/bigloo.scm 585 */
				long BgL_lenz00_950;

				BgL_lenz00_950 = STRING_LENGTH(BgL_stringz00_21);
				if ((BgL_lenz00_950 > ((long) 8)))
					{	/* Llib/bigloo.scm 586 */
						if (
							(STRING_REF(BgL_stringz00_21,
									(BgL_lenz00_950 - ((long) 1))) == ((unsigned char) 't')))
							{	/* Llib/bigloo.scm 587 */
								if (
									(STRING_REF(BgL_stringz00_21,
											(BgL_lenz00_950 - ((long) 2))) == ((unsigned char) 'l')))
									{	/* Llib/bigloo.scm 588 */
										if (
											(STRING_REF(BgL_stringz00_21,
													(BgL_lenz00_950 - ((long) 3))) ==
												((unsigned char) 'g')))
											{	/* Llib/bigloo.scm 589 */
												if (
													(STRING_REF(BgL_stringz00_21,
															(BgL_lenz00_950 - ((long) 4))) ==
														((unsigned char) 'b')))
													{	/* Llib/bigloo.scm 590 */
														if (
															(STRING_REF(BgL_stringz00_21,
																	(BgL_lenz00_950 - ((long) 5))) ==
																((unsigned char) '_')))
															{	/* Llib/bigloo.scm 591 */
																return
																	bigloo_mangledp(c_substring(BgL_stringz00_21,
																		((long) 0), (BgL_lenz00_950 - ((long) 5))));
															}
														else
															{	/* Llib/bigloo.scm 591 */
																return ((bool_t) 0);
															}
													}
												else
													{	/* Llib/bigloo.scm 590 */
														return ((bool_t) 0);
													}
											}
										else
											{	/* Llib/bigloo.scm 589 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Llib/bigloo.scm 588 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Llib/bigloo.scm 587 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Llib/bigloo.scm 586 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* _bigloo-class-mangle2200 */
	obj_t BGl__bigloozd2classzd2mangle2200z00zz__biglooz00(obj_t BgL_envz00_2048,
		obj_t BgL_stringz00_2049)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 584 */
			{	/* Llib/bigloo.scm 585 */
				bool_t BgL_auxz00_2522;

				{	/* Llib/bigloo.scm 585 */
					obj_t BgL_auxz00_2523;

					if (STRINGP(BgL_stringz00_2049))
						{	/* Llib/bigloo.scm 585 */
							BgL_auxz00_2523 = BgL_stringz00_2049;
						}
					else
						{	/* Llib/bigloo.scm 585 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2266z00zz__biglooz00, BGl_string2253z00zz__biglooz00,
								BgL_stringz00_2049);
							exit(-1);
						}
					BgL_auxz00_2522 = bigloo_class_mangledp(BgL_auxz00_2523);
				}
				return BBOOL(BgL_auxz00_2522);
			}
		}
	}



/* bigloo-class-demangle */
	BGL_EXPORTED_DEF obj_t bigloo_class_demangle(obj_t BgL_stringz00_22)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 597 */
			return
				string_append(bigloo_demangle(c_substring(BgL_stringz00_22, ((long) 0),
						(STRING_LENGTH(BgL_stringz00_22) - ((long) 5)))),
				BGl_string2268z00zz__biglooz00);
		}
	}



/* _bigloo-class-demang2201 */
	obj_t BGl__bigloozd2classzd2demang2201z00zz__biglooz00(obj_t BgL_envz00_2050,
		obj_t BgL_stringz00_2051)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 597 */
			{	/* Llib/bigloo.scm 599 */
				obj_t BgL_auxz00_2535;

				if (STRINGP(BgL_stringz00_2051))
					{	/* Llib/bigloo.scm 599 */
						BgL_auxz00_2535 = BgL_stringz00_2051;
					}
				else
					{	/* Llib/bigloo.scm 599 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2269z00zz__biglooz00, BGl_string2253z00zz__biglooz00,
							BgL_stringz00_2051);
						exit(-1);
					}
				return bigloo_class_demangle(BgL_auxz00_2535);
			}
		}
	}



/* bigloo-exit-mutex */
	BGL_EXPORTED_DEF obj_t bgl_exit_mutex()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 610 */
			return BGl_za2exitzd2mutexza2zd2zz__biglooz00;
		}
	}



/* _bigloo-exit-mutex */
	obj_t BGl__bigloozd2exitzd2mutexz00zz__biglooz00(obj_t BgL_envz00_2052)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 610 */
			return BGl_za2exitzd2mutexza2zd2zz__biglooz00;
		}
	}



/* register-exit-function! */
	BGL_EXPORTED_DEF obj_t BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t
		BgL_funz00_23)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 621 */
			{	/* Llib/bigloo.scm 622 */
				obj_t BgL_arg1872z00_977;

				BgL_arg1872z00_977 = BGl_za2exitzd2mutexza2zd2zz__biglooz00;
				{	/* Llib/thread.scm 198 */

					if ((((long) 0) == ((long) 0)))
						{	/* Llib/thread.scm 198 */
							bgl_mutex_lock(BgL_arg1872z00_977);
						}
					else
						{	/* Llib/thread.scm 198 */
							bgl_mutex_timed_lock(BgL_arg1872z00_977, ((long) 0));
			}}}
			if (PROCEDURE_CORRECT_ARITYP(BgL_funz00_23, (int) (((long) 1))))
				{	/* Llib/bigloo.scm 623 */
					BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 =
						MAKE_PAIR(BgL_funz00_23,
						BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00);
				}
			else
				{	/* Llib/bigloo.scm 623 */
					BGl_errorz00zz__errorz00(BGl_string2271z00zz__biglooz00,
						BGl_string2272z00zz__biglooz00, BgL_funz00_23);
				}
			{	/* Llib/bigloo.scm 628 */
				obj_t BgL_arg1874z00_981;

				BgL_arg1874z00_981 = BGl_za2exitzd2mutexza2zd2zz__biglooz00;
				return BBOOL(bgl_mutex_unlock(BgL_arg1874z00_981));
			}
		}
	}



/* _register-exit-funct2202 */
	obj_t BGl__registerzd2exitzd2funct2202z00zz__biglooz00(obj_t BgL_envz00_2053,
		obj_t BgL_funz00_2054)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 621 */
			{	/* Llib/bigloo.scm 628 */
				obj_t BgL_auxz00_2552;

				if (PROCEDUREP(BgL_funz00_2054))
					{	/* Llib/bigloo.scm 628 */
						BgL_auxz00_2552 = BgL_funz00_2054;
					}
				else
					{	/* Llib/bigloo.scm 628 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2273z00zz__biglooz00, BGl_string2242z00zz__biglooz00,
							BgL_funz00_2054);
						exit(-1);
					}
				return
					BGl_registerzd2exitzd2functionz12z12zz__biglooz00(BgL_auxz00_2552);
			}
		}
	}



/* bigloo-exit-apply */
	BGL_EXPORTED_DEF obj_t bigloo_exit_apply(obj_t BgL_valz00_24)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 633 */
			{	/* Llib/bigloo.scm 634 */
				obj_t BgL_mutz00_982;

				if (BGL_MUTEXP(BGl_za2exitzd2mutexza2zd2zz__biglooz00))
					{	/* Llib/bigloo.scm 634 */
						BgL_mutz00_982 = BGl_za2exitzd2mutexza2zd2zz__biglooz00;
					}
				else
					{	/* Llib/bigloo.scm 634 */
						BgL_mutz00_982 = bgl_make_mutex(BGl_symbol2232z00zz__biglooz00);
					}
				{	/* Llib/thread.scm 198 */

					if ((((long) 0) == ((long) 0)))
						{	/* Llib/thread.scm 198 */
							bgl_mutex_lock(BgL_mutz00_982);
						}
					else
						{	/* Llib/thread.scm 198 */
							bgl_mutex_timed_lock(BgL_mutz00_982, ((long) 0));
				}}
				{
					obj_t BgL_valz00_985;

					BgL_valz00_985 = BgL_valz00_24;
				BgL_loopz00_986:
					{	/* Llib/bigloo.scm 639 */
						obj_t BgL_valz00_987;

						if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_valz00_985))
							{	/* Llib/bigloo.scm 639 */
								BgL_valz00_987 = BgL_valz00_985;
							}
						else
							{	/* Llib/bigloo.scm 639 */
								BgL_valz00_987 = BINT(((long) 0));
							}
						if (PAIRP(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00))
							{	/* Llib/bigloo.scm 643 */
								obj_t BgL_funz00_989;

								BgL_funz00_989 =
									CAR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00);
								BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 =
									CDR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00);
								{	/* Llib/bigloo.scm 645 */
									obj_t BgL_nvalz00_990;

									BgL_nvalz00_990 =
										PROCEDURE_ENTRY(BgL_funz00_989) (BgL_funz00_989,
										BgL_valz00_987, BEOA);
									{	/* Llib/bigloo.scm 646 */
										obj_t BgL_arg1877z00_991;

										if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
											(BgL_nvalz00_990))
											{	/* Llib/bigloo.scm 646 */
												BgL_arg1877z00_991 = BgL_nvalz00_990;
											}
										else
											{	/* Llib/bigloo.scm 646 */
												BgL_arg1877z00_991 = BgL_valz00_987;
											}
										{
											obj_t BgL_valz00_2576;

											BgL_valz00_2576 = BgL_arg1877z00_991;
											BgL_valz00_985 = BgL_valz00_2576;
											goto BgL_loopz00_986;
										}
									}
								}
							}
						else
							{	/* Llib/bigloo.scm 642 */
								bgl_mutex_unlock(BgL_mutz00_982);
								return BgL_valz00_987;
							}
					}
				}
			}
		}
	}



/* _bigloo-exit-apply */
	obj_t BGl__bigloozd2exitzd2applyz00zz__biglooz00(obj_t BgL_envz00_2055,
		obj_t BgL_valz00_2056)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 633 */
			return bigloo_exit_apply(BgL_valz00_2056);
		}
	}



/* time */
	BGL_EXPORTED_DEF obj_t BGl_timez00zz__biglooz00(obj_t BgL_procz00_25)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 654 */
			if (PROCEDURE_CORRECT_ARITYP(BgL_procz00_25, (int) (((long) 0))))
				{	/* Llib/bigloo.scm 655 */
					return bgl_time(BgL_procz00_25);
				}
			else
				{	/* Llib/bigloo.scm 655 */
					return
						BGl_errorz00zz__errorz00(BGl_symbol2275z00zz__biglooz00,
						BGl_string2272z00zz__biglooz00, BgL_procz00_25);
				}
		}
	}



/* _time2203 */
	obj_t BGl__time2203z00zz__biglooz00(obj_t BgL_envz00_2057,
		obj_t BgL_procz00_2058)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 654 */
			{	/* Llib/bigloo.scm 655 */
				obj_t BgL_auxz00_2584;

				if (PROCEDUREP(BgL_procz00_2058))
					{	/* Llib/bigloo.scm 655 */
						BgL_auxz00_2584 = BgL_procz00_2058;
					}
				else
					{	/* Llib/bigloo.scm 655 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2277z00zz__biglooz00, BGl_string2242z00zz__biglooz00,
							BgL_procz00_2058);
						exit(-1);
					}
				return BGl_timez00zz__biglooz00(BgL_auxz00_2584);
			}
		}
	}



/* bmem-reset! */
	BGL_EXPORTED_DEF obj_t BGl_bmemzd2resetz12zc0zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 666 */
			return bgl_bmem_reset();
		}
	}



/* _bmem-reset! */
	obj_t BGl__bmemzd2resetz12zc0zz__biglooz00(obj_t BgL_envz00_2059)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 666 */
			return bgl_bmem_reset();
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19979746),
				BSTRING_TO_STRING(BGl_string2279z00zz__biglooz00));
			BGl_modulezd2initializa7ationz75zz__configurez00(((long) 17455400),
				BSTRING_TO_STRING(BGl_string2279z00zz__biglooz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 327583589),
				BSTRING_TO_STRING(BGl_string2279z00zz__biglooz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 441587319),
				BSTRING_TO_STRING(BGl_string2279z00zz__biglooz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 414563758),
				BSTRING_TO_STRING(BGl_string2279z00zz__biglooz00));
			return
				BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 503395061),
				BSTRING_TO_STRING(BGl_string2279z00zz__biglooz00));
		}
	}

#ifdef __cplusplus
}
#endif
