/*===========================================================================*/
/*   (Unsafe/hmac.scm)                                                       */
/*   Bigloo (3.2b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jun 2 11:20:18 CEST 2009        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.2b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Unsafe/hmac.scm -indent -o objs/obj_u/Unsafe/hmac.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__hmacz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zz__hmacz00();
	BGL_EXPORTED_DECL obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__hmacz00();
	extern obj_t make_string_sans_fill(long);
	static obj_t BGl_importedzd2moduleszd2initz00zz__hmacz00();
	static obj_t BGl_symbol2297z00zz__hmacz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl__hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t make_string(long, unsigned char);
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	extern obj_t BGl_stringzd2hexzd2internz12z12zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__hmacz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hmaczd2stringzd2envz00zz__hmacz00,
		BgL_bgl__hmacza7d2stringza7d2302z00, BGl__hmaczd2stringzd2zz__hmacz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2300z00zz__hmacz00,
		BgL_bgl_string2300za700za7za7_2303za7, "procedure", 9);
	      DEFINE_STRING(BGl_string2301z00zz__hmacz00,
		BgL_bgl_string2301za700za7za7_2304za7, "__hmac", 6);
	      DEFINE_STRING(BGl_string2298z00zz__hmacz00,
		BgL_bgl_string2298za700za7za7_2305za7, "_hmac-string", 12);
	      DEFINE_STRING(BGl_string2299z00zz__hmacz00,
		BgL_bgl_string2299za700za7za7_2306za7, "bstring", 7);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long
		BgL_checksumz00_1847, char *BgL_fromz00_1848)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__hmacz00))
				{
					BGl_requirezd2initializa7ationz75zz__hmacz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__hmacz00();
					BGl_importedzd2moduleszd2initz00zz__hmacz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__hmacz00()
	{
		AN_OBJECT;
		{	/* Unsafe/hmac.scm 15 */
			return (BGl_symbol2297z00zz__hmacz00 =
				bstring_to_symbol(BGl_string2298z00zz__hmacz00), BUNSPEC);
		}
	}



/* hmac-string */
	BGL_EXPORTED_DEF obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t BgL_keyz00_1,
		obj_t BgL_messagez00_2, obj_t BgL_hashz00_3)
	{
		AN_OBJECT;
		{	/* Unsafe/hmac.scm 56 */
			{	/* Unsafe/hmac.scm 67 */
				obj_t BgL_oxorz00_849;

				obj_t BgL_ixorz00_850;

				obj_t BgL_keybz00_851;

				obj_t BgL_opadcz00_852;

				obj_t BgL_ipadcz00_853;

				obj_t BgL_blockzd2siza7ez75_854;

				BgL_oxorz00_849 = BUNSPEC;
				BgL_ixorz00_850 = BUNSPEC;
				BgL_keybz00_851 = BUNSPEC;
				BgL_opadcz00_852 = BUNSPEC;
				BgL_ipadcz00_853 = BUNSPEC;
				BgL_blockzd2siza7ez75_854 = BUNSPEC;
				BgL_blockzd2siza7ez75_854 = BINT(((long) 64));
				BgL_ipadcz00_853 = BINT(((long) 54));
				BgL_opadcz00_852 = BINT(((long) 92));
				{	/* Unsafe/hmac.scm 65 */
					obj_t BgL_list1729z00_877;

					BgL_list1729z00_877 =
						MAKE_PAIR(BCHAR(((unsigned char) '\000')), BNIL);
					{	/* Unsafe/hmac.scm 65 */
						obj_t BgL_res2281z00_1622;

						{	/* Unsafe/hmac.scm 65 */
							long BgL_kz00_1616;

							BgL_kz00_1616 = (long) CINT(BgL_blockzd2siza7ez75_854);
							{	/* Unsafe/hmac.scm 65 */
								obj_t BgL_arg2095z00_1619;

								BgL_arg2095z00_1619 = CAR(BgL_list1729z00_877);
								BgL_res2281z00_1622 =
									make_string(BgL_kz00_1616, CCHAR(BgL_arg2095z00_1619));
						}}
						BgL_keybz00_851 = BgL_res2281z00_1622;
				}}
				BgL_ixorz00_850 =
					make_string_sans_fill((long) CINT(BgL_blockzd2siza7ez75_854));
				BgL_oxorz00_849 =
					make_string_sans_fill((long) CINT(BgL_blockzd2siza7ez75_854));
				{	/* Unsafe/hmac.scm 69 */
					long BgL_keyzd2lengthzd2_856;

					BgL_keyzd2lengthzd2_856 = STRING_LENGTH(BgL_keyz00_1);
					if (
						(BgL_keyzd2lengthzd2_856 > (long) CINT(BgL_blockzd2siza7ez75_854)))
						{	/* Unsafe/hmac.scm 71 */
							obj_t BgL_arg1709z00_858;

							{	/* Unsafe/hmac.scm 71 */
								obj_t BgL_arg1713z00_862;

								BgL_arg1713z00_862 =
									PROCEDURE_ENTRY(BgL_hashz00_3) (BgL_hashz00_3, BgL_keyz00_1,
									BEOA);
								BgL_arg1709z00_858 =
									BGl_stringzd2hexzd2internz12z12zz__r4_strings_6_7z00
									(BgL_arg1713z00_862);
							}
							blit_string(BgL_arg1709z00_858, ((long) 0), BgL_keybz00_851,
								((long) 0), ((long) 16));
						}
					else
						{	/* Unsafe/hmac.scm 70 */
							blit_string(BgL_keyz00_1, ((long) 0), BgL_keybz00_851, ((long) 0),
								BgL_keyzd2lengthzd2_856);
				}}
				{
					long BgL_iz00_863;

					BgL_iz00_863 = ((long) 0);
				BgL_loopz00_864:
					if ((BgL_iz00_863 < (long) CINT(BgL_blockzd2siza7ez75_854)))
						{	/* Unsafe/hmac.scm 76 */
							long BgL_xiz00_866;

							BgL_xiz00_866 = (STRING_REF(BgL_keybz00_851, BgL_iz00_863));
							{	/* Unsafe/hmac.scm 77 */
								unsigned char BgL_arg1717z00_867;

								BgL_arg1717z00_867 =
									(((long) CINT(BgL_ipadcz00_853) ^ BgL_xiz00_866));
								STRING_SET(BgL_ixorz00_850, BgL_iz00_863, BgL_arg1717z00_867);
							}
							{	/* Unsafe/hmac.scm 78 */
								unsigned char BgL_arg1721z00_869;

								BgL_arg1721z00_869 =
									(((long) CINT(BgL_opadcz00_852) ^ BgL_xiz00_866));
								STRING_SET(BgL_oxorz00_849, BgL_iz00_863, BgL_arg1721z00_869);
							}
							{
								long BgL_iz00_1890;

								BgL_iz00_1890 = (BgL_iz00_863 + ((long) 1));
								BgL_iz00_863 = BgL_iz00_1890;
								goto BgL_loopz00_864;
							}
						}
					else
						{	/* Unsafe/hmac.scm 75 */
							((bool_t) 0);
						}
				}
				{	/* Unsafe/hmac.scm 84 */
					obj_t BgL_arg1725z00_873;

					{	/* Unsafe/hmac.scm 84 */
						obj_t BgL_arg1726z00_874;

						{	/* Unsafe/hmac.scm 84 */
							obj_t BgL_arg1727z00_875;

							{	/* Unsafe/hmac.scm 84 */
								obj_t BgL_arg1728z00_876;

								BgL_arg1728z00_876 =
									string_append(BgL_ixorz00_850, BgL_messagez00_2);
								BgL_arg1727z00_875 =
									PROCEDURE_ENTRY(BgL_hashz00_3) (BgL_hashz00_3,
									BgL_arg1728z00_876, BEOA);
							}
							BgL_arg1726z00_874 =
								BGl_stringzd2hexzd2internz12z12zz__r4_strings_6_7z00
								(BgL_arg1727z00_875);
						}
						BgL_arg1725z00_873 =
							string_append(BgL_oxorz00_849, BgL_arg1726z00_874);
					}
					return
						PROCEDURE_ENTRY(BgL_hashz00_3) (BgL_hashz00_3, BgL_arg1725z00_873,
						BEOA);
				}
			}
		}
	}



/* _hmac-string */
	obj_t BGl__hmaczd2stringzd2zz__hmacz00(obj_t BgL_envz00_1837,
		obj_t BgL_keyz00_1838, obj_t BgL_messagez00_1839, obj_t BgL_hashz00_1840)
	{
		AN_OBJECT;
		{	/* Unsafe/hmac.scm 56 */
			{	/* Unsafe/hmac.scm 67 */
				obj_t BgL_auxz00_1909;

				obj_t BgL_auxz00_1904;

				obj_t BgL_auxz00_1899;

				if (PROCEDUREP(BgL_hashz00_1840))
					{	/* Unsafe/hmac.scm 67 */
						BgL_auxz00_1909 = BgL_hashz00_1840;
					}
				else
					{	/* Unsafe/hmac.scm 67 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2297z00zz__hmacz00, BGl_string2300z00zz__hmacz00,
							BgL_hashz00_1840);
						exit(-1);
					}
				if (STRINGP(BgL_messagez00_1839))
					{	/* Unsafe/hmac.scm 67 */
						BgL_auxz00_1904 = BgL_messagez00_1839;
					}
				else
					{	/* Unsafe/hmac.scm 67 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2297z00zz__hmacz00, BGl_string2299z00zz__hmacz00,
							BgL_messagez00_1839);
						exit(-1);
					}
				if (STRINGP(BgL_keyz00_1838))
					{	/* Unsafe/hmac.scm 67 */
						BgL_auxz00_1899 = BgL_keyz00_1838;
					}
				else
					{	/* Unsafe/hmac.scm 67 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2297z00zz__hmacz00, BGl_string2299z00zz__hmacz00,
							BgL_keyz00_1838);
						exit(-1);
					}
				return
					BGl_hmaczd2stringzd2zz__hmacz00(BgL_auxz00_1899, BgL_auxz00_1904,
					BgL_auxz00_1909);
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__hmacz00()
	{
		AN_OBJECT;
		{	/* Unsafe/hmac.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__hmacz00()
	{
		AN_OBJECT;
		{	/* Unsafe/hmac.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__hmacz00()
	{
		AN_OBJECT;
		{	/* Unsafe/hmac.scm 15 */
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 327583589),
				BSTRING_TO_STRING(BGl_string2301z00zz__hmacz00));
			return
				BGl_modulezd2initializa7ationz75zz__base64z00(((long) 111334751),
				BSTRING_TO_STRING(BGl_string2301z00zz__hmacz00));
		}
	}

#ifdef __cplusplus
}
#endif
