/*===========================================================================*/
/*   (Eval/progn.scm)                                                        */
/*   Bigloo (3.2b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jun 2 11:20:18 CEST 2009        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.2b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Eval/progn.scm -indent -o objs/obj_u/Eval/progn.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__prognz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_evepairifyza2za2zz__prognz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__prognz00();
	BGL_EXPORTED_DECL obj_t BGl_evepairifyz00zz__prognz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__prognz00();
	static obj_t BGl_symbol2124z00zz__prognz00 = BUNSPEC;
	static obj_t BGl_symbol2127z00zz__prognz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__prognz00();
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__evepairifyza2za2zz__prognz00(obj_t, obj_t, obj_t);
	static obj_t BGl_flattenzd2sequencezd2zz__prognz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl__expandzd2prognzd2zz__prognz00(obj_t, obj_t);
	static obj_t BGl_loopz00zz__prognz00(obj_t, obj_t);
	static obj_t BGl_loopz72z72zz__prognz00(obj_t, obj_t);
	extern obj_t bgl_append2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	static obj_t BGl__evepairifyz00zz__prognz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__prognz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evepairifyza2zd2envz70zz__prognz00,
		BgL_bgl__evepairifyza7a2za7a2132z00, BGl__evepairifyza2za2zz__prognz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evepairifyzd2envzd2zz__prognz00,
		BgL_bgl__evepairifyza700za7za72133za7, BGl__evepairifyz00zz__prognz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2125z00zz__prognz00,
		BgL_bgl_string2125za700za7za7_2134za7, "begin", 5);
	      DEFINE_STRING(BGl_string2126z00zz__prognz00,
		BgL_bgl_string2126za700za7za7_2135za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2128z00zz__prognz00,
		BgL_bgl_string2128za700za7za7_2136za7, "_expand-progn", 13);
	      DEFINE_STRING(BGl_string2130z00zz__prognz00,
		BgL_bgl_string2130za700za7za7_2137za7, "__progn", 7);
	      DEFINE_STRING(BGl_string2129z00zz__prognz00,
		BgL_bgl_string2129za700za7za7_2138za7, "pair-nil", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2prognzd2envz00zz__prognz00,
		BgL_bgl__expandza7d2prognza72139z00, BGl__expandzd2prognzd2zz__prognz00, 0L,
		BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long
		BgL_checksumz00_1600, char *BgL_fromz00_1601)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__prognz00))
				{
					BGl_requirezd2initializa7ationz75zz__prognz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__prognz00();
					BGl_importedzd2moduleszd2initz00zz__prognz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__prognz00()
	{
		AN_OBJECT;
		{	/* Eval/progn.scm 14 */
			BGl_symbol2124z00zz__prognz00 =
				bstring_to_symbol(BGl_string2125z00zz__prognz00);
			return (BGl_symbol2127z00zz__prognz00 =
				bstring_to_symbol(BGl_string2128z00zz__prognz00), BUNSPEC);
		}
	}



/* evepairify */
	BGL_EXPORTED_DEF obj_t BGl_evepairifyz00zz__prognz00(obj_t BgL_pairz00_3,
		obj_t BgL_epairz00_4)
	{
		AN_OBJECT;
		{	/* Eval/progn.scm 70 */
			if (EXTENDED_PAIRP(BgL_epairz00_4))
				{	/* Eval/progn.scm 72 */
					if (EXTENDED_PAIRP(BgL_pairz00_3))
						{	/* Eval/progn.scm 74 */
							return BgL_pairz00_3;
						}
					else
						{	/* Eval/progn.scm 74 */
							if (PAIRP(BgL_pairz00_3))
								{	/* Eval/progn.scm 79 */
									obj_t BgL_arg1717z00_743;

									obj_t BgL_arg1718z00_744;

									obj_t BgL_arg1721z00_745;

									BgL_arg1717z00_743 = CAR(BgL_pairz00_3);
									BgL_arg1718z00_744 = CDR(BgL_pairz00_3);
									BgL_arg1721z00_745 = CER(BgL_epairz00_4);
									{	/* Eval/progn.scm 79 */
										obj_t BgL_res2107z00_1324;

										BgL_res2107z00_1324 =
											MAKE_EXTENDED_PAIR(BgL_arg1717z00_743, BgL_arg1718z00_744,
											BgL_arg1721z00_745);
										return BgL_res2107z00_1324;
									}
								}
							else
								{	/* Eval/progn.scm 76 */
									return BgL_pairz00_3;
								}
						}
				}
			else
				{	/* Eval/progn.scm 72 */
					return BgL_pairz00_3;
				}
		}
	}



/* _evepairify */
	obj_t BGl__evepairifyz00zz__prognz00(obj_t BgL_envz00_1583,
		obj_t BgL_pairz00_1584, obj_t BgL_epairz00_1585)
	{
		AN_OBJECT;
		{	/* Eval/progn.scm 70 */
			return BGl_evepairifyz00zz__prognz00(BgL_pairz00_1584, BgL_epairz00_1585);
		}
	}



/* evepairify* */
	BGL_EXPORTED_DEF obj_t BGl_evepairifyza2za2zz__prognz00(obj_t BgL_pairz00_5,
		obj_t BgL_epairz00_6)
	{
		AN_OBJECT;
		{	/* Eval/progn.scm 89 */
			if (EXTENDED_PAIRP(BgL_epairz00_6))
				{	/* Eval/progn.scm 90 */
					return BGl_loopz72z72zz__prognz00(CER(BgL_epairz00_6), BgL_pairz00_5);
				}
			else
				{	/* Eval/progn.scm 90 */
					return BgL_pairz00_5;
				}
		}
	}



/* loop' */
	obj_t BGl_loopz72z72zz__prognz00(obj_t BgL_ez00_1592, obj_t BgL_objz00_748)
	{
		AN_OBJECT;
		{	/* Eval/progn.scm 93 */
			if (PAIRP(BgL_objz00_748))
				{	/* Eval/progn.scm 95 */
					if (EXTENDED_PAIRP(BgL_objz00_748))
						{	/* Eval/progn.scm 97 */
							return BgL_objz00_748;
						}
					else
						{	/* Eval/progn.scm 100 */
							obj_t BgL_arg1725z00_752;

							obj_t BgL_arg1726z00_753;

							BgL_arg1725z00_752 =
								BGl_loopz72z72zz__prognz00(BgL_ez00_1592, CAR(BgL_objz00_748));
							BgL_arg1726z00_753 =
								BGl_loopz72z72zz__prognz00(BgL_ez00_1592, CDR(BgL_objz00_748));
							{	/* Eval/progn.scm 100 */
								obj_t BgL_res2108z00_1334;

								BgL_res2108z00_1334 =
									MAKE_EXTENDED_PAIR(BgL_arg1725z00_752, BgL_arg1726z00_753,
									BgL_ez00_1592);
								return BgL_res2108z00_1334;
							}
						}
				}
			else
				{	/* Eval/progn.scm 95 */
					return BgL_objz00_748;
				}
		}
	}



/* _evepairify* */
	obj_t BGl__evepairifyza2za2zz__prognz00(obj_t BgL_envz00_1586,
		obj_t BgL_pairz00_1587, obj_t BgL_epairz00_1588)
	{
		AN_OBJECT;
		{	/* Eval/progn.scm 89 */
			return
				BGl_evepairifyza2za2zz__prognz00(BgL_pairz00_1587, BgL_epairz00_1588);
		}
	}



/* expand-progn */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t BgL_expsz00_7)
	{
		AN_OBJECT;
		{	/* Eval/progn.scm 108 */
			if (NULLP(BgL_expsz00_7))
				{	/* Eval/progn.scm 122 */
					return BUNSPEC;
				}
			else
				{	/* Eval/progn.scm 122 */
					if (NULLP(CDR(BgL_expsz00_7)))
						{	/* Eval/progn.scm 124 */
							return CAR(BgL_expsz00_7);
						}
					else
						{	/* Eval/progn.scm 126 */
							obj_t BgL_esz00_759;

							BgL_esz00_759 =
								BGl_flattenzd2sequencezd2zz__prognz00(BgL_expsz00_7);
							if (NULLP(BgL_esz00_759))
								{	/* Eval/progn.scm 128 */
									return BUNSPEC;
								}
							else
								{	/* Eval/progn.scm 128 */
									if (PAIRP(BgL_esz00_759))
										{	/* Eval/progn.scm 130 */
											if (NULLP(CDR(BgL_esz00_759)))
												{	/* Eval/progn.scm 132 */
													return CAR(BgL_esz00_759);
												}
											else
												{	/* Eval/progn.scm 135 */
													obj_t BgL_az00_1344;

													BgL_az00_1344 = BGl_symbol2124z00zz__prognz00;
													if (EXTENDED_PAIRP(BgL_esz00_759))
														{	/* Eval/progn.scm 135 */
															obj_t BgL_arg1710z00_1347;

															BgL_arg1710z00_1347 = CER(BgL_esz00_759);
															{	/* Eval/progn.scm 135 */
																obj_t BgL_res2109z00_1355;

																BgL_res2109z00_1355 =
																	MAKE_EXTENDED_PAIR(BgL_az00_1344,
																	BgL_esz00_759, BgL_arg1710z00_1347);
																return BgL_res2109z00_1355;
															}
														}
													else
														{	/* Eval/progn.scm 135 */
															if (EXTENDED_PAIRP(BgL_az00_1344))
																{	/* Eval/progn.scm 135 */
																	obj_t BgL_arg1712z00_1349;

																	BgL_arg1712z00_1349 = CER(BgL_az00_1344);
																	{	/* Eval/progn.scm 135 */
																		obj_t BgL_res2110z00_1361;

																		BgL_res2110z00_1361 =
																			MAKE_EXTENDED_PAIR(BgL_az00_1344,
																			BgL_esz00_759, BgL_arg1712z00_1349);
																		return BgL_res2110z00_1361;
																	}
																}
															else
																{	/* Eval/progn.scm 135 */
																	return
																		MAKE_PAIR(BgL_az00_1344, BgL_esz00_759);
																}
														}
												}
										}
									else
										{	/* Eval/progn.scm 130 */
											return BgL_esz00_759;
										}
								}
						}
				}
		}
	}



/* loop */
	obj_t BGl_loopz00zz__prognz00(obj_t BgL_expsz00_1591, obj_t BgL_esz00_767)
	{
		AN_OBJECT;
		{	/* Eval/progn.scm 110 */
		BGl_loopz00zz__prognz00:
			{	/* Eval/progn.scm 112 */
				bool_t BgL_testz00_1658;

				if (NULLP(BgL_esz00_767))
					{	/* Eval/progn.scm 112 */
						BgL_testz00_1658 = ((bool_t) 1);
					}
				else
					{	/* Eval/progn.scm 112 */
						BgL_testz00_1658 = NULLP(CDR(BgL_esz00_767));
					}
				if (BgL_testz00_1658)
					{	/* Eval/progn.scm 112 */
						return BgL_esz00_767;
					}
				else
					{	/* Eval/progn.scm 112 */
						if (PAIRP(BgL_esz00_767))
							{	/* Eval/progn.scm 116 */
								bool_t BgL_testz00_1665;

								{	/* Eval/progn.scm 116 */
									obj_t BgL_auxz00_1666;

									BgL_auxz00_1666 = CAR(BgL_esz00_767);
									BgL_testz00_1665 = PAIRP(BgL_auxz00_1666);
								}
								if (BgL_testz00_1665)
									{	/* Eval/progn.scm 118 */
										bool_t BgL_testz00_1669;

										{	/* Eval/progn.scm 118 */
											obj_t BgL_auxz00_1670;

											{	/* Eval/progn.scm 118 */
												obj_t BgL_pairz00_1368;

												BgL_pairz00_1368 = BgL_esz00_767;
												BgL_auxz00_1670 = CAR(CAR(BgL_pairz00_1368));
											}
											BgL_testz00_1669 =
												(BgL_auxz00_1670 == BGl_symbol2124z00zz__prognz00);
										}
										if (BgL_testz00_1669)
											{	/* Eval/progn.scm 119 */
												obj_t BgL_arg1741z00_773;

												{	/* Eval/progn.scm 119 */
													obj_t BgL_arg1742z00_774;

													obj_t BgL_arg1743z00_775;

													{	/* Eval/progn.scm 119 */
														obj_t BgL_arg1744z00_776;

														obj_t BgL_arg1745z00_777;

														{	/* Eval/progn.scm 119 */
															obj_t BgL_pairz00_1372;

															BgL_pairz00_1372 = BgL_esz00_767;
															BgL_arg1744z00_776 = CDR(CAR(BgL_pairz00_1372));
														}
														BgL_arg1745z00_777 =
															BGl_loopz00zz__prognz00(BgL_expsz00_1591,
															CDR(BgL_esz00_767));
														BgL_arg1742z00_774 =
															bgl_append2(BgL_arg1744z00_776,
															BgL_arg1745z00_777);
													}
													BgL_arg1743z00_775 = CAR(BgL_esz00_767);
													BgL_arg1741z00_773 =
														BGl_evepairifyz00zz__prognz00(BgL_arg1742z00_774,
														BgL_arg1743z00_775);
												}
												{
													obj_t BgL_esz00_1681;

													BgL_esz00_1681 = BgL_arg1741z00_773;
													BgL_esz00_767 = BgL_esz00_1681;
													goto BGl_loopz00zz__prognz00;
												}
											}
										else
											{	/* Eval/progn.scm 121 */
												obj_t BgL_arg1749z00_779;

												obj_t BgL_arg1750z00_780;

												BgL_arg1749z00_779 = CAR(BgL_esz00_767);
												BgL_arg1750z00_780 =
													BGl_loopz00zz__prognz00(BgL_expsz00_1591,
													CDR(BgL_esz00_767));
												if (EXTENDED_PAIRP(BgL_arg1750z00_780))
													{	/* Eval/progn.scm 121 */
														obj_t BgL_arg1710z00_1383;

														BgL_arg1710z00_1383 = CER(BgL_arg1750z00_780);
														{	/* Eval/progn.scm 121 */
															obj_t BgL_res2111z00_1391;

															BgL_res2111z00_1391 =
																MAKE_EXTENDED_PAIR(BgL_arg1749z00_779,
																BgL_arg1750z00_780, BgL_arg1710z00_1383);
															return BgL_res2111z00_1391;
														}
													}
												else
													{	/* Eval/progn.scm 121 */
														if (EXTENDED_PAIRP(BgL_arg1749z00_779))
															{	/* Eval/progn.scm 121 */
																obj_t BgL_arg1712z00_1385;

																BgL_arg1712z00_1385 = CER(BgL_arg1749z00_779);
																{	/* Eval/progn.scm 121 */
																	obj_t BgL_res2112z00_1397;

																	BgL_res2112z00_1397 =
																		MAKE_EXTENDED_PAIR(BgL_arg1749z00_779,
																		BgL_arg1750z00_780, BgL_arg1712z00_1385);
																	return BgL_res2112z00_1397;
																}
															}
														else
															{	/* Eval/progn.scm 121 */
																return
																	MAKE_PAIR(BgL_arg1749z00_779,
																	BgL_arg1750z00_780);
															}
													}
											}
									}
								else
									{
										obj_t BgL_esz00_1694;

										BgL_esz00_1694 = CDR(BgL_esz00_767);
										BgL_esz00_767 = BgL_esz00_1694;
										goto BGl_loopz00zz__prognz00;
									}
							}
						else
							{	/* Eval/progn.scm 114 */
								return
									BGl_errorz00zz__errorz00(BGl_symbol2124z00zz__prognz00,
									BGl_string2126z00zz__prognz00, BgL_expsz00_1591);
							}
					}
			}
		}
	}



/* flatten-sequence */
	obj_t BGl_flattenzd2sequencezd2zz__prognz00(obj_t BgL_expsz00_765)
	{
		AN_OBJECT;
		{	/* Eval/progn.scm 121 */
			return BGl_loopz00zz__prognz00(BgL_expsz00_765, BgL_expsz00_765);
		}
	}



/* _expand-progn */
	obj_t BGl__expandzd2prognzd2zz__prognz00(obj_t BgL_envz00_1589,
		obj_t BgL_expsz00_1590)
	{
		AN_OBJECT;
		{	/* Eval/progn.scm 108 */
			{	/* Eval/progn.scm 110 */
				obj_t BgL_auxz00_1698;

				{	/* Eval/progn.scm 110 */
					bool_t BgL_testz00_1699;

					if (PAIRP(BgL_expsz00_1590))
						{	/* Eval/progn.scm 110 */
							BgL_testz00_1699 = ((bool_t) 1);
						}
					else
						{	/* Eval/progn.scm 110 */
							BgL_testz00_1699 = NULLP(BgL_expsz00_1590);
						}
					if (BgL_testz00_1699)
						{	/* Eval/progn.scm 110 */
							BgL_auxz00_1698 = BgL_expsz00_1590;
						}
					else
						{	/* Eval/progn.scm 110 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2127z00zz__prognz00, BGl_string2129z00zz__prognz00,
								BgL_expsz00_1590);
							exit(-1);
						}
				}
				return BGl_expandzd2prognzd2zz__prognz00(BgL_auxz00_1698);
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__prognz00()
	{
		AN_OBJECT;
		{	/* Eval/progn.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__prognz00()
	{
		AN_OBJECT;
		{	/* Eval/progn.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__prognz00()
	{
		AN_OBJECT;
		{	/* Eval/progn.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19979746),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 36880833),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 89651882),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 333500458),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 503395061),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 318625392),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 327583589),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 247048963),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 441587319),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 414563758),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 271963892),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					233590657), BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					170547433), BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					400650732), BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					459721289), BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 123701502),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 504082187),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 54020034),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					523281442), BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 98427014),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					159305184), BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 294222032),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 249855100),
				BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					298558382), BSTRING_TO_STRING(BGl_string2130z00zz__prognz00));
		}
	}

#ifdef __cplusplus
}
#endif
