/*===========================================================================*/
/*   (Llib/bexit.scm)                                                        */
/*   Bigloo (3.2b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jun 2 11:20:18 CEST 2009        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.2b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Llib/bexit.scm -indent -o objs/obj_u/Llib/bexit.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__bexitz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zz__bexitz00();
	BGL_EXPORTED_DECL bool_t unwind_stack_value_p(obj_t);
	static obj_t BGl__unwindzd2stackzd2valuezf3zf3zz__bexitz00(obj_t, obj_t);
	static obj_t BGl__unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2015z00zz__bexitz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__bexitz00();
	BGL_EXPORTED_DECL obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl__valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__bexitz00();
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_EXPORTED_DECL obj_t bgl_uncaught_exception_handler(obj_t);
	BGL_EXPORTED_DECL obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__unwindzd2stackzd2untilz12z12zz__bexitz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl__defaultzd2uncaughtzd2exceptionzd2handlerzd2zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__bexitz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unwindzd2untilz12zd2envz12zz__bexitz00,
		BgL_bgl__unwindza7d2untilza72019z00, BGl__unwindzd2untilz12zc0zz__bexitz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2016z00zz__bexitz00,
		BgL_bgl_string2016za700za7za7_2020za7, "unwind-until!", 13);
	      DEFINE_STRING(BGl_string2017z00zz__bexitz00,
		BgL_bgl_string2017za700za7za7_2021za7, "exit out of dynamic scope", 25);
	      DEFINE_STRING(BGl_string2018z00zz__bexitz00,
		BgL_bgl_string2018za700za7za7_2022za7, "__bexit", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_valzd2fromzd2exitzf3zd2envz21zz__bexitz00,
		BgL_bgl__valza7d2fromza7d2ex2023z00,
		BGl__valzd2fromzd2exitzf3zf3zz__bexitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unwindzd2stackzd2untilz12zd2envzc0zz__bexitz00,
		BgL_bgl__unwindza7d2stackza72024z00,
		BGl__unwindzd2stackzd2untilz12z12zz__bexitz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defaultzd2uncaughtzd2exceptionzd2handlerzd2envz00zz__bexitz00,
		BgL_bgl__defaultza7d2uncau2025za7,
		BGl__defaultzd2uncaughtzd2exceptionzd2handlerzd2zz__bexitz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unwindzd2stackzd2valuezf3zd2envz21zz__bexitz00,
		BgL_bgl__unwindza7d2stackza72026z00,
		BGl__unwindzd2stackzd2valuezf3zf3zz__bexitz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long
		BgL_checksumz00_1335, char *BgL_fromz00_1336)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__bexitz00))
				{
					BGl_requirezd2initializa7ationz75zz__bexitz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__bexitz00();
					BGl_importedzd2moduleszd2initz00zz__bexitz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__bexitz00()
	{
		AN_OBJECT;
		{	/* Llib/bexit.scm 14 */
			return (BGl_symbol2015z00zz__bexitz00 =
				bstring_to_symbol(BGl_string2016z00zz__bexitz00), BUNSPEC);
		}
	}



/* val-from-exit? */
	BGL_EXPORTED_DEF obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t
		BgL_valz00_1)
	{
		AN_OBJECT;
		{	/* Llib/bexit.scm 91 */
			{	/* Llib/bexit.scm 92 */
				obj_t BgL_arg1699z00_1138;

				BgL_arg1699z00_1138 = BGL_EXITD_VAL();
				return BBOOL((BgL_valz00_1 == BgL_arg1699z00_1138));
			}
		}
	}



/* _val-from-exit? */
	obj_t BGl__valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t BgL_envz00_1321,
		obj_t BgL_valz00_1322)
	{
		AN_OBJECT;
		{	/* Llib/bexit.scm 91 */
			return BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(BgL_valz00_1322);
		}
	}



/* unwind-stack-value? */
	BGL_EXPORTED_DEF bool_t unwind_stack_value_p(obj_t BgL_valz00_2)
	{
		AN_OBJECT;
		{	/* Llib/bexit.scm 102 */
			{	/* Llib/bexit.scm 103 */
				obj_t BgL_arg1699z00_1140;

				BgL_arg1699z00_1140 = BGL_EXITD_VAL();
				return (BgL_valz00_2 == BgL_arg1699z00_1140);
			}
		}
	}



/* _unwind-stack-value? */
	obj_t BGl__unwindzd2stackzd2valuezf3zf3zz__bexitz00(obj_t BgL_envz00_1323,
		obj_t BgL_valz00_1324)
	{
		AN_OBJECT;
		{	/* Llib/bexit.scm 102 */
			return BBOOL(unwind_stack_value_p(BgL_valz00_1324));
		}
	}



/* unwind-until! */
	BGL_EXPORTED_DEF obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t
		BgL_exitdz00_3, obj_t BgL_valz00_4)
	{
		AN_OBJECT;
		{	/* Llib/bexit.scm 112 */
			if (PAIRP(BgL_exitdz00_3))
				{	/* Llib/bexit.scm 113 */
					return
						unwind_stack_until(CAR(BgL_exitdz00_3), BFALSE, BgL_valz00_4,
						CDR(BgL_exitdz00_3));
				}
			else
				{	/* Llib/bexit.scm 113 */
					return
						unwind_stack_until(BgL_exitdz00_3, BFALSE, BgL_valz00_4, BFALSE);
				}
		}
	}



/* _unwind-until! */
	obj_t BGl__unwindzd2untilz12zc0zz__bexitz00(obj_t BgL_envz00_1325,
		obj_t BgL_exitdz00_1326, obj_t BgL_valz00_1327)
	{
		AN_OBJECT;
		{	/* Llib/bexit.scm 112 */
			return
				BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_exitdz00_1326,
				BgL_valz00_1327);
		}
	}



/* unwind-stack-until! */
	BGL_EXPORTED_DEF obj_t unwind_stack_until(obj_t BgL_exitdz00_5,
		obj_t BgL_estampz00_6, obj_t BgL_valz00_7, obj_t BgL_procz00_8)
	{
		AN_OBJECT;
		{	/* Llib/bexit.scm 125 */
			{

			BgL_loopz00_678:
				{	/* Llib/bexit.scm 127 */
					bool_t BgL_testz00_1358;

					{	/* Llib/bexit.scm 127 */
						obj_t BgL_arg1721z00_696;

						BgL_arg1721z00_696 = BGL_EXITD_TOP();
						BgL_testz00_1358 = (BgL_arg1721z00_696 == BFALSE);
					}
					if (BgL_testz00_1358)
						{	/* Llib/bexit.scm 127 */
							if (PROCEDUREP(BgL_procz00_8))
								{	/* Llib/bexit.scm 128 */
									return
										PROCEDURE_ENTRY(BgL_procz00_8) (BgL_procz00_8, BgL_valz00_7,
										BEOA);
								}
							else
								{	/* Llib/bexit.scm 130 */
									obj_t BgL_hdlz00_681;

									BgL_hdlz00_681 = BGL_UNCAUGHT_EXCEPTION_HANDLER_GET();
									{	/* Llib/bexit.scm 131 */
										obj_t BgL_fun1706z00_683;

										if (PROCEDUREP(BgL_hdlz00_681))
											{	/* Llib/bexit.scm 131 */
												BgL_fun1706z00_683 = BgL_hdlz00_681;
											}
										else
											{	/* Llib/bexit.scm 131 */
												BgL_fun1706z00_683 =
													BGl_defaultzd2uncaughtzd2exceptionzd2handlerzd2envz00zz__bexitz00;
											}
										return
											PROCEDURE_ENTRY(BgL_fun1706z00_683) (BgL_fun1706z00_683,
											BgL_valz00_7, BEOA);
									}
								}
						}
					else
						{	/* Llib/bexit.scm 135 */
							obj_t BgL_exitzd2topzd2_684;

							BgL_exitzd2topzd2_684 = BGL_EXITD_TOP();
							POP_EXIT();
							{	/* Llib/bexit.scm 138 */
								bool_t BgL_testz00_1372;

								if ((BgL_exitzd2topzd2_684 == BgL_exitdz00_5))
									{	/* Llib/bexit.scm 139 */
										bool_t BgL__ortest_1640z00_693;

										if (INTEGERP(BgL_estampz00_6))
											{	/* Llib/bexit.scm 139 */
												BgL__ortest_1640z00_693 = ((bool_t) 0);
											}
										else
											{	/* Llib/bexit.scm 139 */
												BgL__ortest_1640z00_693 = ((bool_t) 1);
											}
										if (BgL__ortest_1640z00_693)
											{	/* Llib/bexit.scm 139 */
												BgL_testz00_1372 = BgL__ortest_1640z00_693;
											}
										else
											{	/* Llib/bexit.scm 140 */
												obj_t BgL_arg1717z00_694;

												BgL_arg1717z00_694 = EXITD_STAMP(BgL_exitzd2topzd2_684);
												BgL_testz00_1372 =
													(
													(long) CINT(BgL_arg1717z00_694) ==
													(long) CINT(BgL_estampz00_6));
									}}
								else
									{	/* Llib/bexit.scm 138 */
										BgL_testz00_1372 = ((bool_t) 0);
									}
								if (BgL_testz00_1372)
									{	/* Llib/bexit.scm 138 */
										if (EXITD_CALLCCP(BgL_exitzd2topzd2_684))
											{	/* Llib/bexit.scm 143 */
												void *BgL_arg1709z00_687;

												BgL_arg1709z00_687 =
													EXITD_TO_EXIT(BgL_exitzd2topzd2_684);
												CALLCC_JUMP_EXIT(BgL_arg1709z00_687, BgL_valz00_7);
											}
										else
											{	/* Llib/bexit.scm 141 */
												JUMP_EXIT(EXITD_TO_EXIT(BgL_exitzd2topzd2_684),
													BgL_valz00_7);
											}
										return BUNSPEC;
									}
								else
									{	/* Llib/bexit.scm 138 */
										if (EXITD_USERP(BgL_exitzd2topzd2_684))
											{	/* Llib/bexit.scm 147 */
												goto BgL_loopz00_678;
											}
										else
											{	/* Llib/bexit.scm 147 */
												{	/* Llib/bexit.scm 148 */
													obj_t BgL_pz00_689;

													BgL_pz00_689 = BGL_EXITD_VAL();
													{	/* Llib/bexit.scm 149 */
														obj_t BgL_auxz00_1392;

														BgL_auxz00_1392 = CAR(BgL_pz00_689);
														SET_CAR(BgL_auxz00_1392, BgL_exitdz00_5);
													}
													{	/* Llib/bexit.scm 150 */
														obj_t BgL_auxz00_1395;

														BgL_auxz00_1395 = CAR(BgL_pz00_689);
														SET_CDR(BgL_auxz00_1395, BgL_procz00_8);
													}
													SET_CDR(BgL_pz00_689, BgL_valz00_7);
													JUMP_EXIT(EXITD_TO_EXIT(BgL_exitzd2topzd2_684),
														BgL_pz00_689);
												}
												return BUNSPEC;
											}
									}
							}
						}
				}
			}
		}
	}



/* _unwind-stack-until! */
	obj_t BGl__unwindzd2stackzd2untilz12z12zz__bexitz00(obj_t BgL_envz00_1328,
		obj_t BgL_exitdz00_1329, obj_t BgL_estampz00_1330, obj_t BgL_valz00_1331,
		obj_t BgL_procz00_1332)
	{
		AN_OBJECT;
		{	/* Llib/bexit.scm 125 */
			return
				unwind_stack_until(BgL_exitdz00_1329, BgL_estampz00_1330,
				BgL_valz00_1331, BgL_procz00_1332);
		}
	}



/* default-uncaught-exception-handler */
	BGL_EXPORTED_DEF obj_t bgl_uncaught_exception_handler(obj_t BgL_valz00_9)
	{
		AN_OBJECT;
		{	/* Llib/bexit.scm 160 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol2015z00zz__bexitz00,
				BGl_string2017z00zz__bexitz00, BgL_valz00_9);
		}
	}



/* _default-uncaught-exception-handler */
	obj_t BGl__defaultzd2uncaughtzd2exceptionzd2handlerzd2zz__bexitz00(obj_t
		BgL_envz00_1333, obj_t BgL_valz00_1334)
	{
		AN_OBJECT;
		{	/* Llib/bexit.scm 160 */
			return bgl_uncaught_exception_handler(BgL_valz00_1334);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__bexitz00()
	{
		AN_OBJECT;
		{	/* Llib/bexit.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__bexitz00()
	{
		AN_OBJECT;
		{	/* Llib/bexit.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__bexitz00()
	{
		AN_OBJECT;
		{	/* Llib/bexit.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19979746),
				BSTRING_TO_STRING(BGl_string2018z00zz__bexitz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 441587319),
				BSTRING_TO_STRING(BGl_string2018z00zz__bexitz00));
			return
				BGl_modulezd2initializa7ationz75zz__threadz00(((long) 414563758),
				BSTRING_TO_STRING(BGl_string2018z00zz__bexitz00));
		}
	}

#ifdef __cplusplus
}
#endif
