/*===========================================================================*/
/*   (Unsafe/crc16.scm)                                                      */
/*   Bigloo (3.2b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jun 2 11:20:18 CEST 2009        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.2b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Unsafe/crc16.scm -indent -o objs/obj_u/Unsafe/crc16.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__crc16zd2stringzd2zz__crc16z00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__crc16z00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zz__crc16z00();
	BGL_EXPORTED_DECL int BGl_crc16zd2mmapzd2zz__crc16z00(obj_t);
	BGL_EXPORTED_DECL int BGl_crc16zd2stringzd2zz__crc16z00(obj_t);
	static obj_t BGl_zc3anonymousza31740ze3z83zz__crc16z00(obj_t);
	extern obj_t BGl_readzd2bytezd2zz__r4_input_6_10_2z00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__crc16z00();
	static obj_t BGl__crc16zd2portzd2zz__crc16z00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__crc16z00();
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2307z00zz__crc16z00 = BUNSPEC;
	static obj_t BGl_symbol2310z00zz__crc16z00 = BUNSPEC;
	static obj_t BGl_symbol2313z00zz__crc16z00 = BUNSPEC;
	static obj_t BGl_symbol2316z00zz__crc16z00 = BUNSPEC;
	static obj_t BGl_symbol2320z00zz__crc16z00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__crc16z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL int BGl_crc16zd2portzd2zz__crc16z00(obj_t);
	static obj_t BGl__crc16zd2filezd2zz__crc16z00(obj_t, obj_t);
	static long BGl_crczd2valuezd2zz__crc16z00(long, long);
	BGL_EXPORTED_DECL int BGl_crc16z00zz__crc16z00(obj_t);
	static obj_t BGl__crc16zd2mmapzd2zz__crc16z00(obj_t, obj_t);
	static obj_t BGl__crc16z00zz__crc16z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__crc16z00();
	BGL_EXPORTED_DECL int BGl_crc16zd2filezd2zz__crc16z00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_crc16zd2mmapzd2envz00zz__crc16z00,
		BgL_bgl__crc16za7d2mmapza7d22323z00, BGl__crc16zd2mmapzd2zz__crc16z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_crc16zd2portzd2envz00zz__crc16z00,
		BgL_bgl__crc16za7d2portza7d22324z00, BGl__crc16zd2portzd2zz__crc16z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_crc16zd2envzd2zz__crc16z00,
		BgL_bgl__crc16za700za7za7__crc2325za7, BGl__crc16z00zz__crc16z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_crc16zd2stringzd2envz00zz__crc16z00,
		BgL_bgl__crc16za7d2stringza72326z00, BGl__crc16zd2stringzd2zz__crc16z00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2319z00zz__crc16z00,
		BgL_bgl_za7c3anonymousza7a312327z00,
		BGl_zc3anonymousza31740ze3z83zz__crc16z00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2308z00zz__crc16z00,
		BgL_bgl_string2308za700za7za7_2328za7, "crc16", 5);
	      DEFINE_STRING(BGl_string2309z00zz__crc16z00,
		BgL_bgl_string2309za700za7za7_2329za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2311z00zz__crc16z00,
		BgL_bgl_string2311za700za7za7_2330za7, "_crc16-mmap", 11);
	      DEFINE_STRING(BGl_string2312z00zz__crc16z00,
		BgL_bgl_string2312za700za7za7_2331za7, "mmap", 4);
	      DEFINE_STRING(BGl_string2314z00zz__crc16z00,
		BgL_bgl_string2314za700za7za7_2332za7, "_crc16-string", 13);
	      DEFINE_STRING(BGl_string2315z00zz__crc16z00,
		BgL_bgl_string2315za700za7za7_2333za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2317z00zz__crc16z00,
		BgL_bgl_string2317za700za7za7_2334za7, "_crc16-port", 11);
	      DEFINE_STRING(BGl_string2318z00zz__crc16z00,
		BgL_bgl_string2318za700za7za7_2335za7, "input-port", 10);
	      DEFINE_STRING(BGl_string2321z00zz__crc16z00,
		BgL_bgl_string2321za700za7za7_2336za7, "_crc16-file", 11);
	      DEFINE_STRING(BGl_string2322z00zz__crc16z00,
		BgL_bgl_string2322za700za7za7_2337za7, "__crc16", 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_crc16zd2filezd2envz00zz__crc16z00,
		BgL_bgl__crc16za7d2fileza7d22338z00, BGl__crc16zd2filezd2zz__crc16z00, 0L,
		BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__crc16z00(long
		BgL_checksumz00_1985, char *BgL_fromz00_1986)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__crc16z00))
				{
					BGl_requirezd2initializa7ationz75zz__crc16z00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__crc16z00();
					BGl_importedzd2moduleszd2initz00zz__crc16z00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__crc16z00()
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 15 */
			BGl_symbol2307z00zz__crc16z00 =
				bstring_to_symbol(BGl_string2308z00zz__crc16z00);
			BGl_symbol2310z00zz__crc16z00 =
				bstring_to_symbol(BGl_string2311z00zz__crc16z00);
			BGl_symbol2313z00zz__crc16z00 =
				bstring_to_symbol(BGl_string2314z00zz__crc16z00);
			BGl_symbol2316z00zz__crc16z00 =
				bstring_to_symbol(BGl_string2317z00zz__crc16z00);
			return (BGl_symbol2320z00zz__crc16z00 =
				bstring_to_symbol(BGl_string2321z00zz__crc16z00), BUNSPEC);
		}
	}



/* crc16 */
	BGL_EXPORTED_DEF int BGl_crc16z00zz__crc16z00(obj_t BgL_objz00_1)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 63 */
			if (BGL_MMAPP(BgL_objz00_1))
				{	/* Unsafe/crc16.scm 65 */
					return BGl_crc16zd2mmapzd2zz__crc16z00(BgL_objz00_1);
				}
			else
				{	/* Unsafe/crc16.scm 65 */
					if (STRINGP(BgL_objz00_1))
						{	/* Unsafe/crc16.scm 67 */
							return BGl_crc16zd2stringzd2zz__crc16z00(BgL_objz00_1);
						}
					else
						{	/* Unsafe/crc16.scm 67 */
							if (INPUT_PORTP(BgL_objz00_1))
								{	/* Unsafe/crc16.scm 69 */
									return BGl_crc16zd2portzd2zz__crc16z00(BgL_objz00_1);
								}
							else
								{	/* Unsafe/crc16.scm 69 */
									return
										CINT(BGl_errorz00zz__errorz00(BGl_symbol2307z00zz__crc16z00,
											BGl_string2309z00zz__crc16z00, BgL_objz00_1));
								}
						}
				}
		}
	}



/* _crc16 */
	obj_t BGl__crc16z00zz__crc16z00(obj_t BgL_envz00_1965, obj_t BgL_objz00_1966)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 63 */
			return BINT(BGl_crc16z00zz__crc16z00(BgL_objz00_1966));
		}
	}



/* crc-value */
	long BGl_crczd2valuezd2zz__crc16z00(long BgL_valz00_2, long BgL_crcz00_3)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 77 */
			{
				long BgL_iz00_857;

				long BgL_valuez00_858;

				long BgL_crcz00_859;

				BgL_iz00_857 = ((long) 0);
				BgL_valuez00_858 = (BgL_valz00_2 << (int) (((long) 8)));
				BgL_crcz00_859 = BgL_crcz00_3;
			BgL_loopz00_860:
				if ((BgL_iz00_857 == ((long) 8)))
					{	/* Unsafe/crc16.scm 81 */
						return BgL_crcz00_859;
					}
				else
					{	/* Unsafe/crc16.scm 83 */
						long BgL_valuez00_862;

						long BgL_crcz00_863;

						BgL_valuez00_862 = (BgL_valuez00_858 << (int) (((long) 1)));
						BgL_crcz00_863 = (BgL_crcz00_859 << (int) (((long) 1)));
						{
							long BgL_crcz00_2019;

							long BgL_valuez00_2018;

							long BgL_iz00_2016;

							BgL_iz00_2016 = (BgL_iz00_857 + ((long) 1));
							BgL_valuez00_2018 = BgL_valuez00_862;
							if (
								(((long) 0) ==
									(((long) 65536) & (BgL_crcz00_863 ^ BgL_valuez00_862))))
								{	/* Unsafe/crc16.scm 87 */
									BgL_crcz00_2019 = BgL_crcz00_863;
								}
							else
								{	/* Unsafe/crc16.scm 87 */
									BgL_crcz00_2019 = (BgL_crcz00_863 ^ ((long) 32773));
								}
							BgL_crcz00_859 = BgL_crcz00_2019;
							BgL_valuez00_858 = BgL_valuez00_2018;
							BgL_iz00_857 = BgL_iz00_2016;
							goto BgL_loopz00_860;
						}
					}
			}
		}
	}



/* crc16-mmap */
	BGL_EXPORTED_DEF int BGl_crc16zd2mmapzd2zz__crc16z00(obj_t BgL_mmapz00_4)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 94 */
			{	/* Unsafe/crc16.scm 95 */
				long BgL_lenz00_872;

				BgL_lenz00_872 = BGL_MMAP_LENGTH(BgL_mmapz00_4);
				{
					long BgL_iz00_1660;

					long BgL_crcz00_1661;

					{	/* Unsafe/crc16.scm 96 */
						long BgL_auxz00_2028;

						BgL_iz00_1660 = ((long) 0);
						BgL_crcz00_1661 = ((long) 65535);
					BgL_loopz00_1659:
						{	/* Unsafe/crc16.scm 96 */
							bool_t BgL_testz00_2029;

							{	/* Unsafe/crc16.scm 96 */
								long BgL_n2z00_1673;

								BgL_n2z00_1673 = ELONG_TO_LONG(BgL_lenz00_872);
								BgL_testz00_2029 = (BgL_iz00_1660 == BgL_n2z00_1673);
							}
							if (BgL_testz00_2029)
								{	/* Unsafe/crc16.scm 96 */
									BgL_auxz00_2028 = (BgL_crcz00_1661 & ((long) 65535));
								}
							else
								{	/* Unsafe/crc16.scm 96 */
									long BgL_arg1727z00_1668;

									long BgL_arg1728z00_1669;

									BgL_arg1727z00_1668 = (BgL_iz00_1660 + ((long) 1));
									{	/* Unsafe/crc16.scm 96 */
										long BgL_arg1730z00_1670;

										{	/* Unsafe/crc16.scm 96 */
											unsigned char BgL_arg1731z00_1671;

											{	/* Unsafe/crc16.scm 96 */
												long BgL_auxz00_2034;

												BgL_auxz00_2034 = LONG_TO_ELONG(BgL_iz00_1660);
												BgL_arg1731z00_1671 =
													BGL_MMAP_REF(BgL_mmapz00_4, BgL_auxz00_2034);
											}
											BgL_arg1730z00_1670 = (BgL_arg1731z00_1671);
										}
										BgL_arg1728z00_1669 =
											BGl_crczd2valuezd2zz__crc16z00(BgL_arg1730z00_1670,
											BgL_crcz00_1661);
									}
									{
										long BgL_crcz00_2040;

										long BgL_iz00_2039;

										BgL_iz00_2039 = BgL_arg1727z00_1668;
										BgL_crcz00_2040 = BgL_arg1728z00_1669;
										BgL_crcz00_1661 = BgL_crcz00_2040;
										BgL_iz00_1660 = BgL_iz00_2039;
										goto BgL_loopz00_1659;
									}
								}
						}
						return (int) (BgL_auxz00_2028);
		}}}}
	}



/* _crc16-mmap */
	obj_t BGl__crc16zd2mmapzd2zz__crc16z00(obj_t BgL_envz00_1967,
		obj_t BgL_mmapz00_1968)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 94 */
			{	/* Unsafe/crc16.scm 95 */
				int BgL_auxz00_2042;

				{	/* Unsafe/crc16.scm 95 */
					obj_t BgL_auxz00_2043;

					if (BGL_MMAPP(BgL_mmapz00_1968))
						{	/* Unsafe/crc16.scm 95 */
							BgL_auxz00_2043 = BgL_mmapz00_1968;
						}
					else
						{	/* Unsafe/crc16.scm 95 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2310z00zz__crc16z00, BGl_string2312z00zz__crc16z00,
								BgL_mmapz00_1968);
							exit(-1);
						}
					BgL_auxz00_2042 = BGl_crc16zd2mmapzd2zz__crc16z00(BgL_auxz00_2043);
				}
				return BINT(BgL_auxz00_2042);
			}
		}
	}



/* crc16-string */
	BGL_EXPORTED_DEF int BGl_crc16zd2stringzd2zz__crc16z00(obj_t BgL_stringz00_5)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 106 */
			{	/* Unsafe/crc16.scm 107 */
				long BgL_lenz00_881;

				BgL_lenz00_881 = STRING_LENGTH(BgL_stringz00_5);
				{
					long BgL_iz00_1707;

					long BgL_crcz00_1708;

					{	/* Unsafe/crc16.scm 108 */
						long BgL_auxz00_2051;

						BgL_iz00_1707 = ((long) 0);
						BgL_crcz00_1708 = ((long) 65535);
					BgL_loopz00_1706:
						if ((BgL_iz00_1707 == BgL_lenz00_881))
							{	/* Unsafe/crc16.scm 108 */
								BgL_auxz00_2051 = (BgL_crcz00_1708 & ((long) 65535));
							}
						else
							{
								long BgL_crcz00_2057;

								long BgL_iz00_2055;

								BgL_iz00_2055 = (BgL_iz00_1707 + ((long) 1));
								BgL_crcz00_2057 =
									BGl_crczd2valuezd2zz__crc16z00(
									(STRING_REF(BgL_stringz00_5, BgL_iz00_1707)),
									BgL_crcz00_1708);
								BgL_crcz00_1708 = BgL_crcz00_2057;
								BgL_iz00_1707 = BgL_iz00_2055;
								goto BgL_loopz00_1706;
							}
						return (int) (BgL_auxz00_2051);
		}}}}
	}



/* _crc16-string */
	obj_t BGl__crc16zd2stringzd2zz__crc16z00(obj_t BgL_envz00_1969,
		obj_t BgL_stringz00_1970)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 106 */
			{	/* Unsafe/crc16.scm 107 */
				int BgL_auxz00_2062;

				{	/* Unsafe/crc16.scm 107 */
					obj_t BgL_auxz00_2063;

					if (STRINGP(BgL_stringz00_1970))
						{	/* Unsafe/crc16.scm 107 */
							BgL_auxz00_2063 = BgL_stringz00_1970;
						}
					else
						{	/* Unsafe/crc16.scm 107 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2313z00zz__crc16z00, BGl_string2315z00zz__crc16z00,
								BgL_stringz00_1970);
							exit(-1);
						}
					BgL_auxz00_2062 = BGl_crc16zd2stringzd2zz__crc16z00(BgL_auxz00_2063);
				}
				return BINT(BgL_auxz00_2062);
			}
		}
	}



/* crc16-port */
	BGL_EXPORTED_DEF int BGl_crc16zd2portzd2zz__crc16z00(obj_t BgL_portz00_6)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 118 */
			{
				long BgL_crcz00_1759;

				{	/* Unsafe/crc16.scm 119 */
					long BgL_auxz00_2070;

					BgL_crcz00_1759 = ((long) 65535);
				BgL_loopz00_1758:
					{	/* Unsafe/crc16.scm 119 */
						long BgL_bytez00_1763;

						BgL_bytez00_1763 =
							(long)
							CINT(BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_portz00_6));
						{	/* Unsafe/crc16.scm 119 */
							bool_t BgL_testz00_2073;

							{	/* Unsafe/crc16.scm 119 */
								obj_t BgL_auxz00_2074;

								BgL_auxz00_2074 = BINT(BgL_bytez00_1763);
								BgL_testz00_2073 = EOF_OBJECTP(BgL_auxz00_2074);
							}
							if (BgL_testz00_2073)
								{	/* Unsafe/crc16.scm 119 */
									BgL_auxz00_2070 = (BgL_crcz00_1759 & ((long) 65535));
								}
							else
								{
									long BgL_crcz00_2078;

									BgL_crcz00_2078 =
										BGl_crczd2valuezd2zz__crc16z00(BgL_bytez00_1763,
										BgL_crcz00_1759);
									BgL_crcz00_1759 = BgL_crcz00_2078;
									goto BgL_loopz00_1758;
								}
						}
					}
					return (int) (BgL_auxz00_2070);
		}}}
	}



/* _crc16-port */
	obj_t BGl__crc16zd2portzd2zz__crc16z00(obj_t BgL_envz00_1971,
		obj_t BgL_portz00_1972)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 118 */
			{	/* Unsafe/crc16.scm 119 */
				int BgL_auxz00_2081;

				{	/* Unsafe/crc16.scm 119 */
					obj_t BgL_auxz00_2082;

					if (INPUT_PORTP(BgL_portz00_1972))
						{	/* Unsafe/crc16.scm 119 */
							BgL_auxz00_2082 = BgL_portz00_1972;
						}
					else
						{	/* Unsafe/crc16.scm 119 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2316z00zz__crc16z00, BGl_string2318z00zz__crc16z00,
								BgL_portz00_1972);
							exit(-1);
						}
					BgL_auxz00_2081 = BGl_crc16zd2portzd2zz__crc16z00(BgL_auxz00_2082);
				}
				return BINT(BgL_auxz00_2081);
			}
		}
	}



/* crc16-file */
	BGL_EXPORTED_DEF int BGl_crc16zd2filezd2zz__crc16z00(obj_t BgL_filez00_7)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 128 */
			return
				CINT(BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00
				(BgL_filez00_7, BGl_proc2319z00zz__crc16z00));
		}
	}



/* _crc16-file */
	obj_t BGl__crc16zd2filezd2zz__crc16z00(obj_t BgL_envz00_1974,
		obj_t BgL_filez00_1975)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 128 */
			{	/* Unsafe/crc16.scm 130 */
				int BgL_auxz00_2091;

				{	/* Unsafe/crc16.scm 130 */
					obj_t BgL_auxz00_2092;

					if (STRINGP(BgL_filez00_1975))
						{	/* Unsafe/crc16.scm 130 */
							BgL_auxz00_2092 = BgL_filez00_1975;
						}
					else
						{	/* Unsafe/crc16.scm 130 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2320z00zz__crc16z00, BGl_string2315z00zz__crc16z00,
								BgL_filez00_1975);
							exit(-1);
						}
					BgL_auxz00_2091 = BGl_crc16zd2filezd2zz__crc16z00(BgL_auxz00_2092);
				}
				return BINT(BgL_auxz00_2091);
			}
		}
	}



/* <anonymous:1740> */
	obj_t BGl_zc3anonymousza31740ze3z83zz__crc16z00(obj_t BgL_envz00_1976)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 130 */
			{

				{	/* Unsafe/crc16.scm 130 */
					int BgL_auxz00_2099;

					{	/* Unsafe/crc16.scm 130 */
						obj_t BgL_arg1741z00_1784;

						{	/* Unsafe/crc16.scm 130 */
							obj_t BgL_res2289z00_1786;

							{	/* Unsafe/crc16.scm 130 */
								obj_t BgL_auxz00_2100;

								BgL_auxz00_2100 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2289z00_1786 =
									BGL_ENV_CURRENT_INPUT_PORT(BgL_auxz00_2100);
							}
							BgL_arg1741z00_1784 = BgL_res2289z00_1786;
						}
						BgL_auxz00_2099 =
							BGl_crc16zd2portzd2zz__crc16z00(BgL_arg1741z00_1784);
					}
					return BINT(BgL_auxz00_2099);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__crc16z00()
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__crc16z00()
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__crc16z00()
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 15 */
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 327583589),
				BSTRING_TO_STRING(BGl_string2322z00zz__crc16z00));
		}
	}

#ifdef __cplusplus
}
#endif
