/*===========================================================================*/
/*   (Unsafe/sha1.scm)                                                       */
/*   Bigloo (3.2b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jun 2 11:20:18 CEST 2009        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.2b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Unsafe/sha1.scm -indent -o objs/obj_u/Unsafe/sha1.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl__sha1sumzd2portzd2zz__sha1z00(obj_t, obj_t);
	extern obj_t BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(obj_t,
		unsigned char);
	extern obj_t BGl_makezd2u32vectorzd2zz__srfi4z00(long, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_Kz00zz__sha1z00 = BUNSPEC;
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumz00zz__sha1z00(obj_t);
	static unsigned long BGl_fz00zz__sha1z00(int, unsigned long, unsigned long,
		unsigned long);
	static obj_t BGl_requirezd2initializa7ationz75zz__sha1z00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t);
	static obj_t BGl_genericzd2initzd2zz__sha1z00();
	extern obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__sha1z00();
	static obj_t BGl__sha1sumzd2filezd2zz__sha1z00(obj_t, obj_t);
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00();
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t, long, unsigned long);
	static obj_t BGl__sha1sumzd2stringzd2zz__sha1z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t,
		obj_t);
	static obj_t BGl__hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza31765ze3z83zz__sha1z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t make_string(long, unsigned char);
	static obj_t BGl_toplevelzd2initzd2zz__sha1z00();
	static obj_t BGl__sha1sumzd2mmapzd2zz__sha1z00(obj_t, obj_t);
	static obj_t BGl__sha1sumz00zz__sha1z00(obj_t, obj_t);
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	extern obj_t make_vector(int, obj_t);
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	extern int BGl_readzd2fillzd2stringz12z12zz__r4_input_6_10_2z00(obj_t, long,
		long, obj_t);
	static obj_t BGl_symbol2539z00zz__sha1z00 = BUNSPEC;
	static obj_t BGl_symbol2542z00zz__sha1z00 = BUNSPEC;
	static obj_t BGl_symbol2545z00zz__sha1z00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t);
	static obj_t BGl_symbol2547z00zz__sha1z00 = BUNSPEC;
	static obj_t BGl_symbol2550z00zz__sha1z00 = BUNSPEC;
	static obj_t BGl_symbol2553z00zz__sha1z00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ceilingz00zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__sha1z00();
	static obj_t BGl_sha1z00zz__sha1z00(long, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2envzd2zz__sha1z00,
		BgL_bgl__sha1sumza700za7za7__s2556za7, BGl__sha1sumz00zz__sha1z00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2540z00zz__sha1z00,
		BgL_bgl_string2540za700za7za7_2557za7, "sha1sum", 7);
	      DEFINE_STRING(BGl_string2541z00zz__sha1z00,
		BgL_bgl_string2541za700za7za7_2558za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2543z00zz__sha1z00,
		BgL_bgl_string2543za700za7za7_2559za7, "_sha1sum-file", 13);
	      DEFINE_STRING(BGl_string2544z00zz__sha1z00,
		BgL_bgl_string2544za700za7za7_2560za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2546z00zz__sha1z00,
		BgL_bgl_string2546za700za7za7_2561za7, "_sha1sum-string", 15);
	      DEFINE_STRING(BGl_string2548z00zz__sha1z00,
		BgL_bgl_string2548za700za7za7_2562za7, "_sha1sum-mmap", 13);
	      DEFINE_STRING(BGl_string2549z00zz__sha1z00,
		BgL_bgl_string2549za700za7za7_2563za7, "mmap", 4);
	      DEFINE_STRING(BGl_string2551z00zz__sha1z00,
		BgL_bgl_string2551za700za7za7_2564za7, "_sha1sum-port", 13);
	      DEFINE_STRING(BGl_string2552z00zz__sha1z00,
		BgL_bgl_string2552za700za7za7_2565za7, "input-port", 10);
	      DEFINE_STRING(BGl_string2554z00zz__sha1z00,
		BgL_bgl_string2554za700za7za7_2566za7, "_hmac-sha1sum-string", 20);
	      DEFINE_STRING(BGl_string2555z00zz__sha1z00,
		BgL_bgl_string2555za700za7za7_2567za7, "__sha1", 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2filezd2envz00zz__sha1z00,
		BgL_bgl__sha1sumza7d2fileza72568z00, BGl__sha1sumzd2filezd2zz__sha1z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2mmapzd2envz00zz__sha1z00,
		BgL_bgl__sha1sumza7d2mmapza72569z00, BGl__sha1sumzd2mmapzd2zz__sha1z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2stringzd2envz00zz__sha1z00,
		BgL_bgl__sha1sumza7d2strin2570za7, BGl__sha1sumzd2stringzd2zz__sha1z00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hmaczd2sha1sumzd2stringzd2envzd2zz__sha1z00,
		BgL_bgl__hmacza7d2sha1sumza72571z00,
		BGl__hmaczd2sha1sumzd2stringz00zz__sha1z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2portzd2envz00zz__sha1z00,
		BgL_bgl__sha1sumza7d2portza72572z00, BGl__sha1sumzd2portzd2zz__sha1z00, 0L,
		BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long
		BgL_checksumz00_2742, char *BgL_fromz00_2743)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__sha1z00))
				{
					BGl_requirezd2initializa7ationz75zz__sha1z00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__sha1z00();
					BGl_importedzd2moduleszd2initz00zz__sha1z00();
					BGl_toplevelzd2initzd2zz__sha1z00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__sha1z00()
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 17 */
			BGl_symbol2539z00zz__sha1z00 =
				bstring_to_symbol(BGl_string2540z00zz__sha1z00);
			BGl_symbol2542z00zz__sha1z00 =
				bstring_to_symbol(BGl_string2543z00zz__sha1z00);
			BGl_symbol2545z00zz__sha1z00 =
				bstring_to_symbol(BGl_string2546z00zz__sha1z00);
			BGl_symbol2547z00zz__sha1z00 =
				bstring_to_symbol(BGl_string2548z00zz__sha1z00);
			BGl_symbol2550z00zz__sha1z00 =
				bstring_to_symbol(BGl_string2551z00zz__sha1z00);
			return (BGl_symbol2553z00zz__sha1z00 =
				bstring_to_symbol(BGl_string2554z00zz__sha1z00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__sha1z00()
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 17 */
			{	/* Unsafe/sha1.scm 162 */
				obj_t BgL_vz00_877;

				{	/* Llib/srfi4.scm 235 */

					BgL_vz00_877 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 4), BINT(((long) 0)));
				}
				{	/* Unsafe/sha1.scm 163 */
					long BgL_arg1738z00_879;

					BgL_arg1738z00_879 =
						((((long) 23170) << (int) (((long) 16))) | ((long) 31129));
					{	/* Unsafe/sha1.scm 163 */
						unsigned long BgL_auxz00_2761;

						BgL_auxz00_2761 = (unsigned long) (BgL_arg1738z00_879);
						BGL_U32VSET(BgL_vz00_877, ((long) 0), BgL_auxz00_2761);
					} BUNSPEC;
				}
				{	/* Unsafe/sha1.scm 164 */
					long BgL_arg1742z00_883;

					BgL_arg1742z00_883 =
						((((long) 28377) << (int) (((long) 16))) | ((long) 60321));
					{	/* Unsafe/sha1.scm 164 */
						unsigned long BgL_auxz00_2767;

						BgL_auxz00_2767 = (unsigned long) (BgL_arg1742z00_883);
						BGL_U32VSET(BgL_vz00_877, ((long) 1), BgL_auxz00_2767);
					} BUNSPEC;
				}
				{	/* Unsafe/sha1.scm 165 */
					long BgL_arg1748z00_887;

					BgL_arg1748z00_887 =
						((((long) 36635) << (int) (((long) 16))) | ((long) 48348));
					{	/* Unsafe/sha1.scm 165 */
						unsigned long BgL_auxz00_2773;

						BgL_auxz00_2773 = (unsigned long) (BgL_arg1748z00_887);
						BGL_U32VSET(BgL_vz00_877, ((long) 2), BgL_auxz00_2773);
					} BUNSPEC;
				}
				{	/* Unsafe/sha1.scm 166 */
					long BgL_arg1755z00_891;

					BgL_arg1755z00_891 =
						((((long) 51810) << (int) (((long) 16))) | ((long) 49622));
					{	/* Unsafe/sha1.scm 166 */
						unsigned long BgL_auxz00_2779;

						BgL_auxz00_2779 = (unsigned long) (BgL_arg1755z00_891);
						BGL_U32VSET(BgL_vz00_877, ((long) 3), BgL_auxz00_2779);
					} BUNSPEC;
				}
				return (BGl_Kz00zz__sha1z00 = BgL_vz00_877, BUNSPEC);
			}
		}
	}



/* sha1sum */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumz00zz__sha1z00(obj_t BgL_objz00_1)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 62 */
			if (BGL_MMAPP(BgL_objz00_1))
				{	/* Unsafe/sha1.scm 64 */
					return BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_objz00_1);
				}
			else
				{	/* Unsafe/sha1.scm 64 */
					if (STRINGP(BgL_objz00_1))
						{	/* Unsafe/sha1.scm 66 */
							return BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_objz00_1);
						}
					else
						{	/* Unsafe/sha1.scm 66 */
							if (INPUT_PORTP(BgL_objz00_1))
								{	/* Unsafe/sha1.scm 68 */
									return BGl_sha1sumzd2portzd2zz__sha1z00(BgL_objz00_1);
								}
							else
								{	/* Unsafe/sha1.scm 68 */
									return
										BGl_errorz00zz__errorz00(BGl_symbol2539z00zz__sha1z00,
										BGl_string2541z00zz__sha1z00, BgL_objz00_1);
								}
						}
				}
		}
	}



/* _sha1sum */
	obj_t BGl__sha1sumz00zz__sha1z00(obj_t BgL_envz00_2714, obj_t BgL_objz00_2715)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 62 */
			return BGl_sha1sumz00zz__sha1z00(BgL_objz00_2715);
		}
	}



/* sha1sum-file */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t BgL_fnamez00_2)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 76 */
			{	/* Unsafe/sha1.scm 77 */
				obj_t BgL_mmz00_899;

				BgL_mmz00_899 =
					BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_2, BTRUE, BFALSE);
				{	/* Unsafe/sha1.scm 78 */
					obj_t BgL_val1640z00_900;

					BgL_val1640z00_900 =
						BGl_zc3exitza31765ze3z83zz__sha1z00(BgL_mmz00_899);
					bgl_close_mmap(BgL_mmz00_899);
					if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
							(BgL_val1640z00_900)))
						{	/* Unsafe/sha1.scm 80 */
							return
								BGl_unwindzd2untilz12zc0zz__bexitz00(CAR(BgL_val1640z00_900),
								CDR(BgL_val1640z00_900));
						}
					else
						{	/* Unsafe/sha1.scm 80 */
							return BgL_val1640z00_900;
						}
				}
			}
		}
	}



/* <exit:1765> */
	obj_t BGl_zc3exitza31765ze3z83zz__sha1z00(obj_t BgL_mmz00_2727)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 80 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit1641z00_905;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit1641z00_905))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit1641z00_905 = (void *) jmpbuf;
						{	/* Unsafe/sha1.scm 80 */

							PUSH_EXIT(BgL_an_exit1641z00_905, ((long) 0));
							{	/* Unsafe/sha1.scm 79 */
								obj_t BgL_val1642z00_906;

								BgL_val1642z00_906 =
									BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_mmz00_2727);
								POP_EXIT();
								return BgL_val1642z00_906;
							}
						}
					}
			}
		}
	}



/* _sha1sum-file */
	obj_t BGl__sha1sumzd2filezd2zz__sha1z00(obj_t BgL_envz00_2716,
		obj_t BgL_fnamez00_2717)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 76 */
			{	/* Unsafe/sha1.scm 77 */
				obj_t BgL_auxz00_2807;

				if (STRINGP(BgL_fnamez00_2717))
					{	/* Unsafe/sha1.scm 77 */
						BgL_auxz00_2807 = BgL_fnamez00_2717;
					}
				else
					{	/* Unsafe/sha1.scm 77 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2542z00zz__sha1z00, BGl_string2544z00zz__sha1z00,
							BgL_fnamez00_2717);
						exit(-1);
					}
				return BGl_sha1sumzd2filezd2zz__sha1z00(BgL_auxz00_2807);
			}
		}
	}



/* u32-fill! */
	obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t BgL_strz00_6,
		long BgL_offsetz00_7, unsigned long BgL_wz00_8)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 138 */
			{	/* Unsafe/sha1.scm 139 */
				obj_t BgL_s1z00_931;

				BgL_s1z00_931 =
					BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
					(long) ((BgL_wz00_8 >> (int) (((long) 16)))), ((long) 16));
				{	/* Unsafe/sha1.scm 139 */
					long BgL_l1z00_932;

					BgL_l1z00_932 = STRING_LENGTH(BgL_s1z00_931);
					{	/* Unsafe/sha1.scm 140 */
						obj_t BgL_s2z00_933;

						BgL_s2z00_933 =
							BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
							((long) (BgL_wz00_8) &
								((((long) 1) <<
										(int) (((long) 16))) - ((long) 1))), ((long) 16));
						{	/* Unsafe/sha1.scm 141 */
							long BgL_l2z00_934;

							BgL_l2z00_934 = STRING_LENGTH(BgL_s2z00_933);
							{	/* Unsafe/sha1.scm 142 */

								blit_string(BgL_s1z00_931, ((long) 0), BgL_strz00_6,
									(BgL_offsetz00_7 +
										(((long) 4) - BgL_l1z00_932)), BgL_l1z00_932);
								return
									blit_string(BgL_s2z00_933, ((long) 0), BgL_strz00_6,
									(BgL_offsetz00_7 +
										(((long) 4) +
											(((long) 4) - BgL_l2z00_934))), BgL_l2z00_934);
		}}}}}}
	}



/* f */
	unsigned long BGl_fz00zz__sha1z00(int BgL_sz00_21, unsigned long BgL_xz00_22,
		unsigned long BgL_yz00_23, unsigned long BgL_za7za7_24)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 198 */
			{

				switch ((long) (BgL_sz00_21))
					{
					case ((long) 0):

						return
							(unsigned long) (
							(((long) (BgL_xz00_22) &
									(long) (BgL_yz00_23)) ^
								(~((long) (BgL_xz00_22)) & (long) (BgL_za7za7_24))));
						break;
					case ((long) 1):
					case ((long) 3):

						return
							(unsigned long) (
							((long) (BgL_xz00_22) ^
								((long) (BgL_yz00_23) ^ (long) (BgL_za7za7_24))));
						break;
					default:
						{	/* Unsafe/sha1.scm 199 */
							long BgL_auxz00_2847;

							BgL_auxz00_2847 =
								(
								(((long) (BgL_xz00_22) &
										(long) (BgL_yz00_23)) ^
									((long) (BgL_xz00_22) &
										(long) (BgL_za7za7_24))) ^
								((long) (BgL_yz00_23) & (long) (BgL_za7za7_24)));
							return (unsigned long) (BgL_auxz00_2847);
		}}}}
	}



/* sha1 */
	obj_t BGl_sha1z00zz__sha1z00(long BgL_lenz00_25, obj_t BgL_mz00_26)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 210 */
			{	/* Unsafe/sha1.scm 212 */
				obj_t BgL_wz00_972;

				long BgL_nz00_973;

				BgL_wz00_972 =
					BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 80), BINT(((long) 0)));
				{	/* Unsafe/sha1.scm 213 */
					obj_t BgL_vectorz00_2045;

					BgL_vectorz00_2045 = BgL_mz00_26;
					BgL_nz00_973 = (long) (VECTOR_LENGTH(BgL_vectorz00_2045));
				}
				{	/* Unsafe/sha1.scm 216 */
					obj_t BgL_vecz00_974;

					{	/* Unsafe/sha1.scm 216 */
						long BgL_arg1815z00_977;

						BgL_arg1815z00_977 = (BgL_nz00_973 - ((long) 1));
						BgL_vecz00_974 =
							VECTOR_REF(BgL_mz00_26, (int) (BgL_arg1815z00_977));
					}
					{	/* Unsafe/sha1.scm 217 */
						long BgL_v15z00_976;

						BgL_v15z00_976 = (BgL_lenz00_25 * ((long) 8));
						{	/* Unsafe/sha1.scm 218 */

							{	/* Unsafe/sha1.scm 219 */
								unsigned long BgL_auxz00_2870;

								BgL_auxz00_2870 = (unsigned long) (((long) 0));
								BGL_U32VSET(BgL_vecz00_974, ((long) 14), BgL_auxz00_2870);
							} BUNSPEC;
							{	/* Unsafe/sha1.scm 220 */
								unsigned long BgL_auxz00_2873;

								BgL_auxz00_2873 = (unsigned long) (BgL_v15z00_976);
								BGL_U32VSET(BgL_vecz00_974, ((long) 15), BgL_auxz00_2873);
							} BUNSPEC;
				}}}
				{	/* Unsafe/sha1.scm 223 */
					unsigned long BgL_h0z00_978;

					BgL_h0z00_978 =
						(unsigned long) (
						((((long) 26437) << (int) (((long) 16))) | ((long) 8961)));
					{	/* Unsafe/sha1.scm 223 */
						unsigned long BgL_h1z00_979;

						BgL_h1z00_979 =
							(unsigned long) (
							((((long) 61389) << (int) (((long) 16))) | ((long) 43913)));
						{	/* Unsafe/sha1.scm 224 */
							unsigned long BgL_h2z00_980;

							BgL_h2z00_980 =
								(unsigned long) (
								((((long) 39098) << (int) (((long) 16))) | ((long) 56574)));
							{	/* Unsafe/sha1.scm 225 */
								unsigned long BgL_h3z00_981;

								BgL_h3z00_981 =
									(unsigned long) (
									((((long) 4146) << (int) (((long) 16))) | ((long) 21622)));
								{	/* Unsafe/sha1.scm 226 */
									unsigned long BgL_h4z00_982;

									BgL_h4z00_982 =
										(unsigned long) (
										((((long) 50130) << (int) (((long) 16))) | ((long) 57840)));
									{	/* Unsafe/sha1.scm 227 */

										{
											long BgL_iz00_983;

											BgL_iz00_983 = ((long) 0);
										BgL_loopzd2izd21659z00_984:
											if ((BgL_iz00_983 < BgL_nz00_973))
												{	/* Unsafe/sha1.scm 230 */
													{
														long BgL_tz00_986;

														BgL_tz00_986 = ((long) 0);
													BgL_loopzd2tzd21660z00_987:
														if ((BgL_tz00_986 < ((long) 16)))
															{	/* Unsafe/sha1.scm 233 */
																{	/* Unsafe/sha1.scm 234 */
																	unsigned long BgL_arg1818z00_989;

																	{	/* Unsafe/sha1.scm 234 */
																		unsigned long BgL_res2493z00_2082;

																		{	/* Unsafe/sha1.scm 234 */
																			int BgL_iz00_2077;

																			int BgL_jz00_2078;

																			BgL_iz00_2077 = (int) (BgL_iz00_983);
																			BgL_jz00_2078 = (int) (BgL_tz00_986);
																			{	/* Unsafe/sha1.scm 234 */
																				long BgL_auxz00_2904;

																				obj_t BgL_auxz00_2902;

																				BgL_auxz00_2904 =
																					(long) (BgL_jz00_2078);
																				BgL_auxz00_2902 =
																					VECTOR_REF(BgL_mz00_26,
																					BgL_iz00_2077);
																				BgL_res2493z00_2082 =
																					BGL_U32VREF(BgL_auxz00_2902,
																					BgL_auxz00_2904);
																		}}
																		BgL_arg1818z00_989 = BgL_res2493z00_2082;
																	}
																	BGL_U32VSET(BgL_wz00_972, BgL_tz00_986,
																		BgL_arg1818z00_989);
																	BUNSPEC;
																}
																{
																	long BgL_tz00_2908;

																	BgL_tz00_2908 = (BgL_tz00_986 + ((long) 1));
																	BgL_tz00_986 = BgL_tz00_2908;
																	goto BgL_loopzd2tzd21660z00_987;
																}
															}
														else
															{	/* Unsafe/sha1.scm 233 */
																((bool_t) 0);
															}
													}
													{
														long BgL_tz00_991;

														BgL_tz00_991 = ((long) 16);
													BgL_loopzd2tzd21661z00_992:
														if ((BgL_tz00_991 < ((long) 80)))
															{	/* Unsafe/sha1.scm 235 */
																{	/* Unsafe/sha1.scm 236 */
																	unsigned long BgL_w0z00_994;

																	{	/* Unsafe/sha1.scm 236 */
																		long BgL_auxz00_2912;

																		BgL_auxz00_2912 =
																			(BgL_tz00_991 - ((long) 3));
																		BgL_w0z00_994 =
																			BGL_U32VREF(BgL_wz00_972,
																			BgL_auxz00_2912);
																	}
																	{	/* Unsafe/sha1.scm 236 */
																		unsigned long BgL_w1z00_995;

																		{	/* Unsafe/sha1.scm 237 */
																			long BgL_auxz00_2915;

																			BgL_auxz00_2915 =
																				(BgL_tz00_991 - ((long) 8));
																			BgL_w1z00_995 =
																				BGL_U32VREF(BgL_wz00_972,
																				BgL_auxz00_2915);
																		}
																		{	/* Unsafe/sha1.scm 237 */
																			unsigned long BgL_w2z00_996;

																			{	/* Unsafe/sha1.scm 238 */
																				long BgL_auxz00_2918;

																				BgL_auxz00_2918 =
																					(BgL_tz00_991 - ((long) 14));
																				BgL_w2z00_996 =
																					BGL_U32VREF(BgL_wz00_972,
																					BgL_auxz00_2918);
																			}
																			{	/* Unsafe/sha1.scm 238 */
																				unsigned long BgL_w3z00_997;

																				{	/* Unsafe/sha1.scm 239 */
																					long BgL_auxz00_2921;

																					BgL_auxz00_2921 =
																						(BgL_tz00_991 - ((long) 16));
																					BgL_w3z00_997 =
																						BGL_U32VREF(BgL_wz00_972,
																						BgL_auxz00_2921);
																				}
																				{	/* Unsafe/sha1.scm 239 */
																					unsigned long BgL_vz00_998;

																					BgL_vz00_998 =
																						(unsigned long) (
																						((long) (BgL_w0z00_994) ^
																							((long) (BgL_w1z00_995) ^
																								((long) (BgL_w2z00_996) ^
																									(long) (BgL_w3z00_997)))));
																					{	/* Unsafe/sha1.scm 240 */

																						{	/* Unsafe/sha1.scm 241 */
																							unsigned long BgL_arg1821z00_999;

																							{	/* Unsafe/sha1.scm 241 */
																								int BgL_nz00_2102;

																								BgL_nz00_2102 =
																									(int) (((long) 1));
																								BgL_arg1821z00_999 =
																									(unsigned long) (
																									(((long) (BgL_vz00_998) <<
																											(int) (
																												(long) (BgL_nz00_2102)))
																										| (long) ((BgL_vz00_998 >>
																												(int) ((((long) 32) -
																														(long)
																														(BgL_nz00_2102)))))));
																							}
																							BGL_U32VSET(BgL_wz00_972,
																								BgL_tz00_991,
																								BgL_arg1821z00_999);
																							BUNSPEC;
																}}}}}}}
																{
																	long BgL_tz00_2945;

																	BgL_tz00_2945 = (BgL_tz00_991 + ((long) 1));
																	BgL_tz00_991 = BgL_tz00_2945;
																	goto BgL_loopzd2tzd21661z00_992;
																}
															}
														else
															{	/* Unsafe/sha1.scm 235 */
																((bool_t) 0);
															}
													}
													{	/* Unsafe/sha1.scm 245 */
														unsigned long BgL_az00_1007;

														unsigned long BgL_bz00_1008;

														unsigned long BgL_cz00_1009;

														unsigned long BgL_dz00_1010;

														unsigned long BgL_ez00_1011;

														BgL_az00_1007 = BgL_h0z00_978;
														BgL_bz00_1008 = BgL_h1z00_979;
														BgL_cz00_1009 = BgL_h2z00_980;
														BgL_dz00_1010 = BgL_h3z00_981;
														BgL_ez00_1011 = BgL_h4z00_982;
														{
															long BgL_tz00_1012;

															BgL_tz00_1012 = ((long) 0);
														BgL_loopzd2tzd21662z00_1013:
															if ((BgL_tz00_1012 < ((long) 80)))
																{	/* Unsafe/sha1.scm 252 */
																	{	/* Unsafe/sha1.scm 253 */
																		long BgL_sz00_1015;

																		BgL_sz00_1015 =
																			(BgL_tz00_1012 / ((long) 20));
																		{	/* Unsafe/sha1.scm 253 */
																			unsigned long BgL_a5z00_1016;

																			{	/* Unsafe/sha1.scm 254 */
																				unsigned long BgL_res2495z00_2134;

																				{	/* Unsafe/sha1.scm 254 */
																					unsigned long BgL_xz00_2121;

																					int BgL_nz00_2122;

																					BgL_xz00_2121 = BgL_az00_1007;
																					BgL_nz00_2122 = (int) (((long) 5));
																					BgL_res2495z00_2134 =
																						(unsigned long) (
																						(((long) (BgL_xz00_2121) <<
																								(int) (
																									(long) (BgL_nz00_2122))) |
																							(long) (
																								(BgL_xz00_2121 >>
																									(int) (
																										(((long) 32) -
																											(long)
																											(BgL_nz00_2122)))))));
																				}
																				BgL_a5z00_1016 = BgL_res2495z00_2134;
																			}
																			{	/* Unsafe/sha1.scm 254 */
																				unsigned long BgL_fz00_1017;

																				BgL_fz00_1017 =
																					BGl_fz00zz__sha1z00(
																					(int) (BgL_sz00_1015), BgL_bz00_1008,
																					BgL_cz00_1009, BgL_dz00_1010);
																				{	/* Unsafe/sha1.scm 255 */
																					unsigned long BgL_kz00_1018;

																					BgL_kz00_1018 =
																						BGL_U32VREF(BGl_Kz00zz__sha1z00,
																						BgL_sz00_1015);
																					{	/* Unsafe/sha1.scm 256 */
																						unsigned long BgL_wz00_1019;

																						BgL_wz00_1019 =
																							BGL_U32VREF(BgL_wz00_972,
																							BgL_tz00_1012);
																						{	/* Unsafe/sha1.scm 257 */
																							unsigned long BgL_yz00_1020;

																							{	/* Unsafe/sha1.scm 258 */
																								long BgL_arg1833z00_1024;

																								BgL_arg1833z00_1024 =
																									(
																									(long) (BgL_fz00_1017) +
																									((long) (BgL_ez00_1011) +
																										((long) (BgL_kz00_1018) +
																											(long) (BgL_wz00_1019))));
																								BgL_yz00_1020 =
																									(unsigned long) (
																									((long) (BgL_a5z00_1016) +
																										BgL_arg1833z00_1024));
																							}
																							{	/* Unsafe/sha1.scm 258 */

																								BgL_ez00_1011 = BgL_dz00_1010;
																								BgL_dz00_1010 = BgL_cz00_1009;
																								{	/* Unsafe/sha1.scm 261 */
																									unsigned long
																										BgL_res2496z00_2156;
																									{	/* Unsafe/sha1.scm 261 */
																										unsigned long BgL_xz00_2143;

																										int BgL_nz00_2144;

																										BgL_xz00_2143 =
																											BgL_bz00_1008;
																										BgL_nz00_2144 =
																											(int) (((long) 30));
																										BgL_res2496z00_2156 =
																											(unsigned
																											long) ((((long)
																													(BgL_xz00_2143) <<
																													(int) ((long)
																														(BgL_nz00_2144))) |
																												(long) ((BgL_xz00_2143
																														>> (int) ((((long)
																																	32) -
																																(long)
																																(BgL_nz00_2144)))))));
																									}
																									BgL_cz00_1009 =
																										BgL_res2496z00_2156;
																								}
																								BgL_bz00_1008 = BgL_az00_1007;
																								BgL_az00_1007 =
																									(unsigned long) (
																									((long) (BgL_yz00_1020) &
																										((((long) 65535) <<
																												(int) (((long) 16))) |
																											((long) 65535))));
																	}}}}}}}
																	{
																		long BgL_tz00_2994;

																		BgL_tz00_2994 =
																			(BgL_tz00_1012 + ((long) 1));
																		BgL_tz00_1012 = BgL_tz00_2994;
																		goto BgL_loopzd2tzd21662z00_1013;
																	}
																}
															else
																{	/* Unsafe/sha1.scm 252 */
																	((bool_t) 0);
																}
														}
														BgL_h0z00_978 =
															(unsigned long) (
															(((long) (BgL_h0z00_978) +
																	(long) (BgL_az00_1007)) &
																((((long) 65535) <<
																		(int) (((long) 16))) | ((long) 65535))));
														BgL_h1z00_979 =
															(unsigned long) (
															(((long) (BgL_h1z00_979) +
																	(long) (BgL_bz00_1008)) &
																((((long) 65535) <<
																		(int) (((long) 16))) | ((long) 65535))));
														BgL_h2z00_980 =
															(unsigned long) (
															(((long) (BgL_h2z00_980) +
																	(long) (BgL_cz00_1009)) &
																((((long) 65535) <<
																		(int) (((long) 16))) | ((long) 65535))));
														BgL_h3z00_981 =
															(unsigned long) (
															(((long) (BgL_h3z00_981) +
																	(long) (BgL_dz00_1010)) &
																((((long) 65535) <<
																		(int) (((long) 16))) | ((long) 65535))));
														BgL_h4z00_982 =
															(unsigned long) (
															(((long) (BgL_h4z00_982) +
																	(long) (BgL_ez00_1011)) &
																((((long) 65535) <<
																		(int) (((long) 16))) | ((long) 65535))));
													}
													{
														long BgL_iz00_3036;

														BgL_iz00_3036 = (BgL_iz00_983 + ((long) 1));
														BgL_iz00_983 = BgL_iz00_3036;
														goto BgL_loopzd2izd21659z00_984;
													}
												}
											else
												{	/* Unsafe/sha1.scm 230 */
													((bool_t) 0);
												}
										}
										{	/* Unsafe/sha1.scm 271 */
											unsigned long BgL_w0z00_2207;

											unsigned long BgL_w1z00_2208;

											unsigned long BgL_w2z00_2209;

											unsigned long BgL_w3z00_2210;

											unsigned long BgL_w4z00_2211;

											BgL_w0z00_2207 = BgL_h0z00_978;
											BgL_w1z00_2208 = BgL_h1z00_979;
											BgL_w2z00_2209 = BgL_h2z00_980;
											BgL_w3z00_2210 = BgL_h3z00_981;
											BgL_w4z00_2211 = BgL_h4z00_982;
											{	/* Unsafe/sha1.scm 271 */
												obj_t BgL_rz00_2212;

												{	/* Unsafe/sha1.scm 271 */
													obj_t BgL_list1798z00_2213;

													BgL_list1798z00_2213 =
														MAKE_PAIR(BCHAR(((unsigned char) '0')), BNIL);
													{	/* Unsafe/sha1.scm 271 */
														obj_t BgL_res2497z00_2220;

														{	/* Unsafe/sha1.scm 271 */
															obj_t BgL_arg2306z00_2217;

															BgL_arg2306z00_2217 = CAR(BgL_list1798z00_2213);
															BgL_res2497z00_2220 =
																make_string(((long) 40),
																CCHAR(BgL_arg2306z00_2217));
														}
														BgL_rz00_2212 = BgL_res2497z00_2220;
												}}
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2212,
													((long) 0), BgL_w0z00_2207);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2212,
													((long) 8), BgL_w1z00_2208);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2212,
													((long) 16), BgL_w2z00_2209);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2212,
													((long) 24), BgL_w3z00_2210);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2212,
													((long) 32), BgL_w4z00_2211);
												return BgL_rz00_2212;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* sha1sum-string */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t BgL_strz00_27)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 276 */
			{	/* Unsafe/sha1.scm 279 */
				long BgL_lenz00_1059;

				BgL_lenz00_1059 = STRING_LENGTH(BgL_strz00_27);
				{	/* Unsafe/sha1.scm 279 */
					long BgL_lz00_1060;

					{	/* Unsafe/sha1.scm 280 */
						long BgL_auxz00_3049;

						{	/* Unsafe/sha1.scm 280 */
							obj_t BgL_auxz00_3050;

							{	/* Unsafe/sha1.scm 280 */
								obj_t BgL_za7za7_2222;

								BgL_za7za7_2222 =
									BGl_ceilingz00zz__r4_numbers_6_5z00
									(BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(BgL_lenz00_1059),
										BINT(((long) 4))));
								if (REALP(BgL_za7za7_2222))
									{	/* Unsafe/sha1.scm 280 */
										BgL_auxz00_3050 =
											BINT((long) (REAL_TO_DOUBLE(BgL_za7za7_2222)));
									}
								else
									{	/* Unsafe/sha1.scm 280 */
										BgL_auxz00_3050 = BgL_za7za7_2222;
									}
							}
							BgL_auxz00_3049 = (long) CINT(BgL_auxz00_3050);
						}
						BgL_lz00_1060 = (BgL_auxz00_3049 + ((long) 2));
					}
					{	/* Unsafe/sha1.scm 280 */
						long BgL_nz00_1061;

						{	/* Unsafe/sha1.scm 281 */
							obj_t BgL_za7za7_2228;

							BgL_za7za7_2228 =
								BGl_ceilingz00zz__r4_numbers_6_5z00
								(BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(BgL_lz00_1060),
									BINT(((long) 16))));
							if (REALP(BgL_za7za7_2228))
								{	/* Unsafe/sha1.scm 281 */
									BgL_nz00_1061 = (long) (REAL_TO_DOUBLE(BgL_za7za7_2228));
								}
							else
								{	/* Unsafe/sha1.scm 281 */
									BgL_nz00_1061 = (long) CINT(BgL_za7za7_2228);
						}}
						{	/* Unsafe/sha1.scm 281 */
							obj_t BgL_mz00_1062;

							BgL_mz00_1062 = make_vector((int) (BgL_nz00_1061), BUNSPEC);
							{	/* Unsafe/sha1.scm 282 */

								{
									long BgL_iz00_1063;

									BgL_iz00_1063 = ((long) 0);
								BgL_loopzd2izd21663z00_1064:
									if ((BgL_iz00_1063 < BgL_nz00_1061))
										{	/* Unsafe/sha1.scm 284 */
											{	/* Unsafe/sha1.scm 285 */
												obj_t BgL_vecz00_1066;

												{	/* Llib/srfi4.scm 235 */

													BgL_vecz00_1066 =
														BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 16),
														BINT(((long) 0)));
												}
												{
													long BgL_jz00_1067;

													BgL_jz00_1067 = ((long) 0);
												BgL_loopzd2jzd21664z00_1068:
													if ((BgL_jz00_1067 < ((long) 16)))
														{	/* Unsafe/sha1.scm 286 */
															{	/* Unsafe/sha1.scm 287 */
																int BgL_nz00_1070;

																BgL_nz00_1070 =
																	(int) (
																	((BgL_iz00_1063 * ((long) 64)) +
																		(BgL_jz00_1067 * ((long) 4))));
																{	/* Unsafe/sha1.scm 287 */
																	unsigned long BgL_v0z00_1071;

																	{	/* Unsafe/sha1.scm 288 */
																		long BgL_lenz00_2245;

																		BgL_lenz00_2245 =
																			STRING_LENGTH(BgL_strz00_27);
																		if (
																			((long) (BgL_nz00_1070) <
																				BgL_lenz00_2245))
																			{	/* Unsafe/sha1.scm 288 */
																				BgL_v0z00_1071 =
																					(unsigned long) (
																					(STRING_REF(BgL_strz00_27,
																							(long) (BgL_nz00_1070))));
																			}
																		else
																			{	/* Unsafe/sha1.scm 288 */
																				if (
																					((long) (BgL_nz00_1070) ==
																						BgL_lenz00_2245))
																					{	/* Unsafe/sha1.scm 288 */
																						BgL_v0z00_1071 =
																							(unsigned long) (((long) 128));
																					}
																				else
																					{	/* Unsafe/sha1.scm 288 */
																						BgL_v0z00_1071 =
																							(unsigned long) (((long) 0));
																	}}}
																	{	/* Unsafe/sha1.scm 288 */
																		unsigned long BgL_v1z00_1072;

																		{	/* Unsafe/sha1.scm 289 */
																			int BgL_iz00_2261;

																			BgL_iz00_2261 =
																				(int) (
																				((long) (BgL_nz00_1070) + ((long) 1)));
																			{	/* Unsafe/sha1.scm 289 */
																				long BgL_lenz00_2262;

																				BgL_lenz00_2262 =
																					STRING_LENGTH(BgL_strz00_27);
																				if (
																					((long) (BgL_iz00_2261) <
																						BgL_lenz00_2262))
																					{	/* Unsafe/sha1.scm 289 */
																						BgL_v1z00_1072 =
																							(unsigned long) (
																							(STRING_REF(BgL_strz00_27,
																									(long) (BgL_iz00_2261))));
																					}
																				else
																					{	/* Unsafe/sha1.scm 289 */
																						if (
																							((long) (BgL_iz00_2261) ==
																								BgL_lenz00_2262))
																							{	/* Unsafe/sha1.scm 289 */
																								BgL_v1z00_1072 =
																									(unsigned long) (((long)
																										128));
																							}
																						else
																							{	/* Unsafe/sha1.scm 289 */
																								BgL_v1z00_1072 =
																									(unsigned long) (((long) 0));
																		}}}}
																		{	/* Unsafe/sha1.scm 289 */
																			unsigned long BgL_v2z00_1073;

																			{	/* Unsafe/sha1.scm 290 */
																				int BgL_iz00_2278;

																				BgL_iz00_2278 =
																					(int) (
																					((long) (BgL_nz00_1070) +
																						((long) 2)));
																				{	/* Unsafe/sha1.scm 290 */
																					long BgL_lenz00_2279;

																					BgL_lenz00_2279 =
																						STRING_LENGTH(BgL_strz00_27);
																					if (
																						((long) (BgL_iz00_2278) <
																							BgL_lenz00_2279))
																						{	/* Unsafe/sha1.scm 290 */
																							BgL_v2z00_1073 =
																								(unsigned long) (
																								(STRING_REF(BgL_strz00_27,
																										(long) (BgL_iz00_2278))));
																						}
																					else
																						{	/* Unsafe/sha1.scm 290 */
																							if (
																								((long) (BgL_iz00_2278) ==
																									BgL_lenz00_2279))
																								{	/* Unsafe/sha1.scm 290 */
																									BgL_v2z00_1073 =
																										(unsigned long) (((long)
																											128));
																								}
																							else
																								{	/* Unsafe/sha1.scm 290 */
																									BgL_v2z00_1073 =
																										(unsigned long) (((long)
																											0));
																			}}}}
																			{	/* Unsafe/sha1.scm 290 */
																				unsigned long BgL_v3z00_1074;

																				{	/* Unsafe/sha1.scm 291 */
																					int BgL_iz00_2295;

																					BgL_iz00_2295 =
																						(int) (
																						((long) (BgL_nz00_1070) +
																							((long) 3)));
																					{	/* Unsafe/sha1.scm 291 */
																						long BgL_lenz00_2296;

																						BgL_lenz00_2296 =
																							STRING_LENGTH(BgL_strz00_27);
																						if (
																							((long) (BgL_iz00_2295) <
																								BgL_lenz00_2296))
																							{	/* Unsafe/sha1.scm 291 */
																								BgL_v3z00_1074 =
																									(unsigned long) (
																									(STRING_REF(BgL_strz00_27,
																											(long) (BgL_iz00_2295))));
																							}
																						else
																							{	/* Unsafe/sha1.scm 291 */
																								if (
																									((long) (BgL_iz00_2295) ==
																										BgL_lenz00_2296))
																									{	/* Unsafe/sha1.scm 291 */
																										BgL_v3z00_1074 =
																											(unsigned long) (((long)
																												128));
																									}
																								else
																									{	/* Unsafe/sha1.scm 291 */
																										BgL_v3z00_1074 =
																											(unsigned long) (((long)
																												0));
																				}}}}
																				{	/* Unsafe/sha1.scm 291 */
																					long BgL_vz00_1075;

																					BgL_vz00_1075 =
																						(
																						((((long) (BgL_v0z00_1071) <<
																									(int) (((long) 8))) |
																								(long) (BgL_v1z00_1072)) <<
																							(int) (((long) 16))) |
																						(((long) (BgL_v2z00_1073) <<
																								(int) (((long) 8))) |
																							(long) (BgL_v3z00_1074)));
																					{	/* Unsafe/sha1.scm 292 */

																						{	/* Unsafe/sha1.scm 293 */
																							unsigned long BgL_auxz00_3157;

																							BgL_auxz00_3157 =
																								(unsigned long) (BgL_vz00_1075);
																							BGL_U32VSET(BgL_vecz00_1066,
																								BgL_jz00_1067, BgL_auxz00_3157);
																						} BUNSPEC;
															}}}}}}}
															VECTOR_SET(BgL_mz00_1062,
																(int) (BgL_iz00_1063), BgL_vecz00_1066);
															{
																long BgL_jz00_3162;

																BgL_jz00_3162 = (BgL_jz00_1067 + ((long) 1));
																BgL_jz00_1067 = BgL_jz00_3162;
																goto BgL_loopzd2jzd21664z00_1068;
															}
														}
													else
														{	/* Unsafe/sha1.scm 286 */
															((bool_t) 0);
														}
												}
											}
											{
												long BgL_iz00_3164;

												BgL_iz00_3164 = (BgL_iz00_1063 + ((long) 1));
												BgL_iz00_1063 = BgL_iz00_3164;
												goto BgL_loopzd2izd21663z00_1064;
											}
										}
									else
										{	/* Unsafe/sha1.scm 284 */
											((bool_t) 0);
										}
								}
								return BGl_sha1z00zz__sha1z00(BgL_lenz00_1059, BgL_mz00_1062);
							}
						}
					}
				}
			}
		}
	}



/* _sha1sum-string */
	obj_t BGl__sha1sumzd2stringzd2zz__sha1z00(obj_t BgL_envz00_2718,
		obj_t BgL_strz00_2719)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 276 */
			{	/* Unsafe/sha1.scm 279 */
				obj_t BgL_auxz00_3167;

				if (STRINGP(BgL_strz00_2719))
					{	/* Unsafe/sha1.scm 279 */
						BgL_auxz00_3167 = BgL_strz00_2719;
					}
				else
					{	/* Unsafe/sha1.scm 279 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2545z00zz__sha1z00, BGl_string2544z00zz__sha1z00,
							BgL_strz00_2719);
						exit(-1);
					}
				return BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_auxz00_3167);
			}
		}
	}



/* sha1sum-mmap */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t BgL_strz00_28)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 301 */
			{	/* Unsafe/sha1.scm 304 */
				long BgL_lenz00_1098;

				{	/* Unsafe/sha1.scm 304 */
					long BgL_auxz00_3173;

					BgL_auxz00_3173 = BGL_MMAP_LENGTH(BgL_strz00_28);
					BgL_lenz00_1098 = ELONG_TO_LONG(BgL_auxz00_3173);
				}
				{	/* Unsafe/sha1.scm 304 */
					long BgL_lz00_1099;

					{	/* Unsafe/sha1.scm 305 */
						long BgL_auxz00_3176;

						{	/* Unsafe/sha1.scm 305 */
							obj_t BgL_auxz00_3177;

							{	/* Unsafe/sha1.scm 305 */
								obj_t BgL_za7za7_2329;

								BgL_za7za7_2329 =
									BGl_ceilingz00zz__r4_numbers_6_5z00
									(BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(BgL_lenz00_1098),
										BINT(((long) 4))));
								if (REALP(BgL_za7za7_2329))
									{	/* Unsafe/sha1.scm 305 */
										BgL_auxz00_3177 =
											BINT((long) (REAL_TO_DOUBLE(BgL_za7za7_2329)));
									}
								else
									{	/* Unsafe/sha1.scm 305 */
										BgL_auxz00_3177 = BgL_za7za7_2329;
									}
							}
							BgL_auxz00_3176 = (long) CINT(BgL_auxz00_3177);
						}
						BgL_lz00_1099 = (BgL_auxz00_3176 + ((long) 2));
					}
					{	/* Unsafe/sha1.scm 305 */
						long BgL_nz00_1100;

						{	/* Unsafe/sha1.scm 306 */
							obj_t BgL_za7za7_2335;

							BgL_za7za7_2335 =
								BGl_ceilingz00zz__r4_numbers_6_5z00
								(BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(BgL_lz00_1099),
									BINT(((long) 16))));
							if (REALP(BgL_za7za7_2335))
								{	/* Unsafe/sha1.scm 306 */
									BgL_nz00_1100 = (long) (REAL_TO_DOUBLE(BgL_za7za7_2335));
								}
							else
								{	/* Unsafe/sha1.scm 306 */
									BgL_nz00_1100 = (long) CINT(BgL_za7za7_2335);
						}}
						{	/* Unsafe/sha1.scm 306 */
							obj_t BgL_mz00_1101;

							BgL_mz00_1101 = make_vector((int) (BgL_nz00_1100), BUNSPEC);
							{	/* Unsafe/sha1.scm 307 */

								{
									long BgL_iz00_1102;

									BgL_iz00_1102 = ((long) 0);
								BgL_loopzd2izd21665z00_1103:
									if ((BgL_iz00_1102 < BgL_nz00_1100))
										{	/* Unsafe/sha1.scm 309 */
											{	/* Unsafe/sha1.scm 310 */
												obj_t BgL_vecz00_1105;

												{	/* Llib/srfi4.scm 235 */

													BgL_vecz00_1105 =
														BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 16),
														BINT(((long) 0)));
												}
												{
													long BgL_jz00_1106;

													BgL_jz00_1106 = ((long) 0);
												BgL_loopzd2jzd21666z00_1107:
													if ((BgL_jz00_1106 < ((long) 16)))
														{	/* Unsafe/sha1.scm 311 */
															{	/* Unsafe/sha1.scm 312 */
																long BgL_nz00_1109;

																{	/* Unsafe/sha1.scm 312 */
																	long BgL_auxz00_3206;

																	BgL_auxz00_3206 =
																		(
																		(BgL_iz00_1102 * ((long) 64)) +
																		(BgL_jz00_1106 * ((long) 4)));
																	BgL_nz00_1109 =
																		LONG_TO_ELONG(BgL_auxz00_3206);
																}
																{	/* Unsafe/sha1.scm 312 */
																	unsigned long BgL_v0z00_1110;

																	{	/* Unsafe/sha1.scm 313 */
																		unsigned long BgL_res2506z00_2372;

																		{	/* Unsafe/sha1.scm 313 */
																			long BgL_lenz00_2352;

																			BgL_lenz00_2352 =
																				BGL_MMAP_LENGTH(BgL_strz00_28);
																			{	/* Unsafe/sha1.scm 313 */
																				bool_t BgL_testz00_3212;

																				{	/* Unsafe/sha1.scm 313 */
																					long BgL_n1z00_2357;

																					long BgL_n2z00_2358;

																					BgL_n1z00_2357 =
																						ELONG_TO_LONG(BgL_nz00_1109);
																					BgL_n2z00_2358 =
																						ELONG_TO_LONG(BgL_lenz00_2352);
																					BgL_testz00_3212 =
																						(BgL_n1z00_2357 < BgL_n2z00_2358);
																				}
																				if (BgL_testz00_3212)
																					{	/* Unsafe/sha1.scm 313 */
																						unsigned char BgL_arg1803z00_2354;

																						{	/* Unsafe/sha1.scm 313 */
																							unsigned char BgL_res2505z00_2368;

																							{	/* Unsafe/sha1.scm 313 */
																								unsigned char BgL_cz00_2361;

																								BgL_cz00_2361 =
																									BGL_MMAP_REF(BgL_strz00_28,
																									BgL_nz00_1109);
																								{	/* Unsafe/sha1.scm 313 */
																									long BgL_arg2236z00_2362;

																									BgL_arg2236z00_2362 =
																										(BgL_nz00_1109 +
																										((long) 1));
																									{	/* Unsafe/sha1.scm 313 */
																										long BgL_res2504z00_2367;

																										BGL_MMAP_RP_SET
																											(BgL_strz00_28,
																											BgL_arg2236z00_2362);
																										BUNSPEC;
																										BgL_res2504z00_2367 =
																											BgL_arg2236z00_2362;
																										BgL_res2504z00_2367;
																								}}
																								BgL_res2505z00_2368 =
																									BgL_cz00_2361;
																							}
																							BgL_arg1803z00_2354 =
																								BgL_res2505z00_2368;
																						}
																						BgL_res2506z00_2372 =
																							(unsigned long) (
																							(BgL_arg1803z00_2354));
																					}
																				else
																					{	/* Unsafe/sha1.scm 313 */
																						bool_t BgL_testz00_3221;

																						{	/* Unsafe/sha1.scm 313 */
																							long BgL_n1z00_2370;

																							long BgL_n2z00_2371;

																							BgL_n1z00_2370 =
																								ELONG_TO_LONG(BgL_nz00_1109);
																							BgL_n2z00_2371 =
																								ELONG_TO_LONG(BgL_lenz00_2352);
																							BgL_testz00_3221 =
																								(BgL_n1z00_2370 ==
																								BgL_n2z00_2371);
																						}
																						if (BgL_testz00_3221)
																							{	/* Unsafe/sha1.scm 313 */
																								BgL_res2506z00_2372 =
																									(unsigned long) (((long)
																										128));
																							}
																						else
																							{	/* Unsafe/sha1.scm 313 */
																								BgL_res2506z00_2372 =
																									(unsigned long) (((long) 0));
																		}}}}
																		BgL_v0z00_1110 = BgL_res2506z00_2372;
																	}
																	{	/* Unsafe/sha1.scm 313 */
																		unsigned long BgL_v1z00_1111;

																		{	/* Unsafe/sha1.scm 314 */
																			long BgL_arg1915z00_1123;

																			{	/* Unsafe/sha1.scm 314 */
																				long BgL_za71za7_2373;

																				BgL_za71za7_2373 =
																					ELONG_TO_LONG(BgL_nz00_1109);
																				BgL_arg1915z00_1123 =
																					(BgL_za71za7_2373 + ((long) 1));
																			}
																			{	/* Unsafe/sha1.scm 314 */
																				unsigned long BgL_res2509z00_2397;

																				{	/* Unsafe/sha1.scm 314 */
																					long BgL_iz00_2376;

																					BgL_iz00_2376 =
																						LONG_TO_ELONG(BgL_arg1915z00_1123);
																					{	/* Unsafe/sha1.scm 314 */
																						long BgL_lenz00_2377;

																						BgL_lenz00_2377 =
																							BGL_MMAP_LENGTH(BgL_strz00_28);
																						{	/* Unsafe/sha1.scm 314 */
																							bool_t BgL_testz00_3231;

																							{	/* Unsafe/sha1.scm 314 */
																								long BgL_n1z00_2382;

																								long BgL_n2z00_2383;

																								BgL_n1z00_2382 =
																									ELONG_TO_LONG(BgL_iz00_2376);
																								BgL_n2z00_2383 =
																									ELONG_TO_LONG
																									(BgL_lenz00_2377);
																								BgL_testz00_3231 =
																									(BgL_n1z00_2382 <
																									BgL_n2z00_2383);
																							}
																							if (BgL_testz00_3231)
																								{	/* Unsafe/sha1.scm 314 */
																									unsigned char
																										BgL_arg1803z00_2379;
																									{	/* Unsafe/sha1.scm 314 */
																										unsigned char
																											BgL_res2508z00_2393;
																										{	/* Unsafe/sha1.scm 314 */
																											unsigned char
																												BgL_cz00_2386;
																											BgL_cz00_2386 =
																												BGL_MMAP_REF
																												(BgL_strz00_28,
																												BgL_iz00_2376);
																											{	/* Unsafe/sha1.scm 314 */
																												long
																													BgL_arg2236z00_2387;
																												BgL_arg2236z00_2387 =
																													(BgL_iz00_2376 +
																													((long) 1));
																												{	/* Unsafe/sha1.scm 314 */
																													long
																														BgL_res2507z00_2392;
																													BGL_MMAP_RP_SET
																														(BgL_strz00_28,
																														BgL_arg2236z00_2387);
																													BUNSPEC;
																													BgL_res2507z00_2392 =
																														BgL_arg2236z00_2387;
																													BgL_res2507z00_2392;
																											}}
																											BgL_res2508z00_2393 =
																												BgL_cz00_2386;
																										}
																										BgL_arg1803z00_2379 =
																											BgL_res2508z00_2393;
																									}
																									BgL_res2509z00_2397 =
																										(unsigned long) (
																										(BgL_arg1803z00_2379));
																								}
																							else
																								{	/* Unsafe/sha1.scm 314 */
																									bool_t BgL_testz00_3240;

																									{	/* Unsafe/sha1.scm 314 */
																										long BgL_n1z00_2395;

																										long BgL_n2z00_2396;

																										BgL_n1z00_2395 =
																											ELONG_TO_LONG
																											(BgL_iz00_2376);
																										BgL_n2z00_2396 =
																											ELONG_TO_LONG
																											(BgL_lenz00_2377);
																										BgL_testz00_3240 =
																											(BgL_n1z00_2395 ==
																											BgL_n2z00_2396);
																									}
																									if (BgL_testz00_3240)
																										{	/* Unsafe/sha1.scm 314 */
																											BgL_res2509z00_2397 =
																												(unsigned long) (((long)
																													128));
																										}
																									else
																										{	/* Unsafe/sha1.scm 314 */
																											BgL_res2509z00_2397 =
																												(unsigned long) (((long)
																													0));
																				}}}}}
																				BgL_v1z00_1111 = BgL_res2509z00_2397;
																		}}
																		{	/* Unsafe/sha1.scm 314 */
																			unsigned long BgL_v2z00_1112;

																			{	/* Unsafe/sha1.scm 315 */
																				long BgL_arg1914z00_1122;

																				{	/* Unsafe/sha1.scm 315 */
																					long BgL_za71za7_2398;

																					BgL_za71za7_2398 =
																						ELONG_TO_LONG(BgL_nz00_1109);
																					BgL_arg1914z00_1122 =
																						(BgL_za71za7_2398 + ((long) 2));
																				}
																				{	/* Unsafe/sha1.scm 315 */
																					unsigned long BgL_res2512z00_2422;

																					{	/* Unsafe/sha1.scm 315 */
																						long BgL_iz00_2401;

																						BgL_iz00_2401 =
																							LONG_TO_ELONG
																							(BgL_arg1914z00_1122);
																						{	/* Unsafe/sha1.scm 315 */
																							long BgL_lenz00_2402;

																							BgL_lenz00_2402 =
																								BGL_MMAP_LENGTH(BgL_strz00_28);
																							{	/* Unsafe/sha1.scm 315 */
																								bool_t BgL_testz00_3250;

																								{	/* Unsafe/sha1.scm 315 */
																									long BgL_n1z00_2407;

																									long BgL_n2z00_2408;

																									BgL_n1z00_2407 =
																										ELONG_TO_LONG
																										(BgL_iz00_2401);
																									BgL_n2z00_2408 =
																										ELONG_TO_LONG
																										(BgL_lenz00_2402);
																									BgL_testz00_3250 =
																										(BgL_n1z00_2407 <
																										BgL_n2z00_2408);
																								}
																								if (BgL_testz00_3250)
																									{	/* Unsafe/sha1.scm 315 */
																										unsigned char
																											BgL_arg1803z00_2404;
																										{	/* Unsafe/sha1.scm 315 */
																											unsigned char
																												BgL_res2511z00_2418;
																											{	/* Unsafe/sha1.scm 315 */
																												unsigned char
																													BgL_cz00_2411;
																												BgL_cz00_2411 =
																													BGL_MMAP_REF
																													(BgL_strz00_28,
																													BgL_iz00_2401);
																												{	/* Unsafe/sha1.scm 315 */
																													long
																														BgL_arg2236z00_2412;
																													BgL_arg2236z00_2412 =
																														(BgL_iz00_2401 +
																														((long) 1));
																													{	/* Unsafe/sha1.scm 315 */
																														long
																															BgL_res2510z00_2417;
																														BGL_MMAP_RP_SET
																															(BgL_strz00_28,
																															BgL_arg2236z00_2412);
																														BUNSPEC;
																														BgL_res2510z00_2417
																															=
																															BgL_arg2236z00_2412;
																														BgL_res2510z00_2417;
																												}}
																												BgL_res2511z00_2418 =
																													BgL_cz00_2411;
																											}
																											BgL_arg1803z00_2404 =
																												BgL_res2511z00_2418;
																										}
																										BgL_res2512z00_2422 =
																											(unsigned long) (
																											(BgL_arg1803z00_2404));
																									}
																								else
																									{	/* Unsafe/sha1.scm 315 */
																										bool_t BgL_testz00_3259;

																										{	/* Unsafe/sha1.scm 315 */
																											long BgL_n1z00_2420;

																											long BgL_n2z00_2421;

																											BgL_n1z00_2420 =
																												ELONG_TO_LONG
																												(BgL_iz00_2401);
																											BgL_n2z00_2421 =
																												ELONG_TO_LONG
																												(BgL_lenz00_2402);
																											BgL_testz00_3259 =
																												(BgL_n1z00_2420 ==
																												BgL_n2z00_2421);
																										}
																										if (BgL_testz00_3259)
																											{	/* Unsafe/sha1.scm 315 */
																												BgL_res2512z00_2422 =
																													(unsigned
																													long) (((long) 128));
																											}
																										else
																											{	/* Unsafe/sha1.scm 315 */
																												BgL_res2512z00_2422 =
																													(unsigned
																													long) (((long) 0));
																					}}}}}
																					BgL_v2z00_1112 = BgL_res2512z00_2422;
																			}}
																			{	/* Unsafe/sha1.scm 315 */
																				unsigned long BgL_v3z00_1113;

																				{	/* Unsafe/sha1.scm 316 */
																					long BgL_arg1913z00_1121;

																					{	/* Unsafe/sha1.scm 316 */
																						long BgL_za71za7_2423;

																						BgL_za71za7_2423 =
																							ELONG_TO_LONG(BgL_nz00_1109);
																						BgL_arg1913z00_1121 =
																							(BgL_za71za7_2423 + ((long) 3));
																					}
																					{	/* Unsafe/sha1.scm 316 */
																						unsigned long BgL_res2515z00_2447;

																						{	/* Unsafe/sha1.scm 316 */
																							long BgL_iz00_2426;

																							BgL_iz00_2426 =
																								LONG_TO_ELONG
																								(BgL_arg1913z00_1121);
																							{	/* Unsafe/sha1.scm 316 */
																								long BgL_lenz00_2427;

																								BgL_lenz00_2427 =
																									BGL_MMAP_LENGTH
																									(BgL_strz00_28);
																								{	/* Unsafe/sha1.scm 316 */
																									bool_t BgL_testz00_3269;

																									{	/* Unsafe/sha1.scm 316 */
																										long BgL_n1z00_2432;

																										long BgL_n2z00_2433;

																										BgL_n1z00_2432 =
																											ELONG_TO_LONG
																											(BgL_iz00_2426);
																										BgL_n2z00_2433 =
																											ELONG_TO_LONG
																											(BgL_lenz00_2427);
																										BgL_testz00_3269 =
																											(BgL_n1z00_2432 <
																											BgL_n2z00_2433);
																									}
																									if (BgL_testz00_3269)
																										{	/* Unsafe/sha1.scm 316 */
																											unsigned char
																												BgL_arg1803z00_2429;
																											{	/* Unsafe/sha1.scm 316 */
																												unsigned char
																													BgL_res2514z00_2443;
																												{	/* Unsafe/sha1.scm 316 */
																													unsigned char
																														BgL_cz00_2436;
																													BgL_cz00_2436 =
																														BGL_MMAP_REF
																														(BgL_strz00_28,
																														BgL_iz00_2426);
																													{	/* Unsafe/sha1.scm 316 */
																														long
																															BgL_arg2236z00_2437;
																														BgL_arg2236z00_2437
																															=
																															(BgL_iz00_2426 +
																															((long) 1));
																														{	/* Unsafe/sha1.scm 316 */
																															long
																																BgL_res2513z00_2442;
																															BGL_MMAP_RP_SET
																																(BgL_strz00_28,
																																BgL_arg2236z00_2437);
																															BUNSPEC;
																															BgL_res2513z00_2442
																																=
																																BgL_arg2236z00_2437;
																															BgL_res2513z00_2442;
																													}}
																													BgL_res2514z00_2443 =
																														BgL_cz00_2436;
																												}
																												BgL_arg1803z00_2429 =
																													BgL_res2514z00_2443;
																											}
																											BgL_res2515z00_2447 =
																												(unsigned long) (
																												(BgL_arg1803z00_2429));
																										}
																									else
																										{	/* Unsafe/sha1.scm 316 */
																											bool_t BgL_testz00_3278;

																											{	/* Unsafe/sha1.scm 316 */
																												long BgL_n1z00_2445;

																												long BgL_n2z00_2446;

																												BgL_n1z00_2445 =
																													ELONG_TO_LONG
																													(BgL_iz00_2426);
																												BgL_n2z00_2446 =
																													ELONG_TO_LONG
																													(BgL_lenz00_2427);
																												BgL_testz00_3278 =
																													(BgL_n1z00_2445 ==
																													BgL_n2z00_2446);
																											}
																											if (BgL_testz00_3278)
																												{	/* Unsafe/sha1.scm 316 */
																													BgL_res2515z00_2447 =
																														(unsigned
																														long) (((long)
																															128));
																												}
																											else
																												{	/* Unsafe/sha1.scm 316 */
																													BgL_res2515z00_2447 =
																														(unsigned
																														long) (((long) 0));
																						}}}}}
																						BgL_v3z00_1113 =
																							BgL_res2515z00_2447;
																				}}
																				{	/* Unsafe/sha1.scm 316 */
																					long BgL_vz00_1114;

																					BgL_vz00_1114 =
																						(
																						((((long) (BgL_v0z00_1110) <<
																									(int) (((long) 8))) |
																								(long) (BgL_v1z00_1111)) <<
																							(int) (((long) 16))) |
																						(((long) (BgL_v2z00_1112) <<
																								(int) (((long) 8))) |
																							(long) (BgL_v3z00_1113)));
																					{	/* Unsafe/sha1.scm 317 */

																						{	/* Unsafe/sha1.scm 318 */
																							unsigned long BgL_auxz00_3297;

																							BgL_auxz00_3297 =
																								(unsigned long) (BgL_vz00_1114);
																							BGL_U32VSET(BgL_vecz00_1105,
																								BgL_jz00_1106, BgL_auxz00_3297);
																						} BUNSPEC;
															}}}}}}}
															VECTOR_SET(BgL_mz00_1101,
																(int) (BgL_iz00_1102), BgL_vecz00_1105);
															{
																long BgL_jz00_3302;

																BgL_jz00_3302 = (BgL_jz00_1106 + ((long) 1));
																BgL_jz00_1106 = BgL_jz00_3302;
																goto BgL_loopzd2jzd21666z00_1107;
															}
														}
													else
														{	/* Unsafe/sha1.scm 311 */
															((bool_t) 0);
														}
												}
											}
											{
												long BgL_iz00_3304;

												BgL_iz00_3304 = (BgL_iz00_1102 + ((long) 1));
												BgL_iz00_1102 = BgL_iz00_3304;
												goto BgL_loopzd2izd21665z00_1103;
											}
										}
									else
										{	/* Unsafe/sha1.scm 309 */
											((bool_t) 0);
										}
								}
								return BGl_sha1z00zz__sha1z00(BgL_lenz00_1098, BgL_mz00_1101);
							}
						}
					}
				}
			}
		}
	}



/* _sha1sum-mmap */
	obj_t BGl__sha1sumzd2mmapzd2zz__sha1z00(obj_t BgL_envz00_2720,
		obj_t BgL_strz00_2721)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 301 */
			{	/* Unsafe/sha1.scm 304 */
				obj_t BgL_auxz00_3307;

				if (BGL_MMAPP(BgL_strz00_2721))
					{	/* Unsafe/sha1.scm 304 */
						BgL_auxz00_3307 = BgL_strz00_2721;
					}
				else
					{	/* Unsafe/sha1.scm 304 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2547z00zz__sha1z00, BGl_string2549z00zz__sha1z00,
							BgL_strz00_2721);
						exit(-1);
					}
				return BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_auxz00_3307);
			}
		}
	}



/* sha1sum-port */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t BgL_ipz00_29)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 326 */
			{	/* Unsafe/sha1.scm 329 */
				obj_t BgL_bufz00_1137;

				BgL_bufz00_1137 = make_string(((long) 64), ((unsigned char) ' '));
				{
					long BgL_lenz00_1139;

					obj_t BgL_lz00_1140;

					BgL_lenz00_1139 = ((long) 0);
					BgL_lz00_1140 = BNIL;
				BgL_loopz00_1141:
					BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(BgL_bufz00_1137,
						((unsigned char) '\000'));
					{	/* Unsafe/sha1.scm 335 */
						int BgL_lz00_1142;

						BgL_lz00_1142 =
							BGl_readzd2fillzd2stringz12z12zz__r4_input_6_10_2z00
							(BgL_bufz00_1137, ((long) 0), ((long) 64), BgL_ipz00_29);
						{	/* Unsafe/sha1.scm 335 */
							long BgL_nlenz00_1143;

							BgL_nlenz00_1143 = ((long) (BgL_lz00_1142) + BgL_lenz00_1139);
							{	/* Unsafe/sha1.scm 336 */
								obj_t BgL_vecz00_1144;

								BgL_vecz00_1144 =
									BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 16),
									BINT(((long) 0)));
								{	/* Unsafe/sha1.scm 337 */

									if (((long) (BgL_lz00_1142) < ((long) 64)))
										{	/* Unsafe/sha1.scm 338 */
											long BgL_auxz00_3323;

											BgL_auxz00_3323 = (long) (BgL_lz00_1142);
											STRING_SET(BgL_bufz00_1137, BgL_auxz00_3323,
												((unsigned char) ''));
										}
									else
										{	/* Unsafe/sha1.scm 338 */
											BFALSE;
										}
									{
										long BgL_jz00_1146;

										BgL_jz00_1146 = ((long) 0);
									BgL_loopzd2jzd21668z00_1147:
										if ((BgL_jz00_1146 < ((long) 16)))
											{	/* Unsafe/sha1.scm 339 */
												{	/* Unsafe/sha1.scm 340 */
													int BgL_nz00_1149;

													BgL_nz00_1149 = (int) ((BgL_jz00_1146 * ((long) 4)));
													{	/* Unsafe/sha1.scm 340 */
														unsigned long BgL_v0z00_1150;

														BgL_v0z00_1150 =
															(unsigned long) (
															(STRING_REF(BgL_bufz00_1137,
																	(long) (BgL_nz00_1149))));
														{	/* Unsafe/sha1.scm 341 */
															unsigned long BgL_v1z00_1151;

															BgL_v1z00_1151 =
																(unsigned long) (
																(STRING_REF(BgL_bufz00_1137,
																		((long) (BgL_nz00_1149) + ((long) 1)))));
															{	/* Unsafe/sha1.scm 342 */
																unsigned long BgL_v2z00_1152;

																BgL_v2z00_1152 =
																	(unsigned long) (
																	(STRING_REF(BgL_bufz00_1137,
																			((long) (BgL_nz00_1149) + ((long) 2)))));
																{	/* Unsafe/sha1.scm 343 */
																	unsigned long BgL_v3z00_1153;

																	BgL_v3z00_1153 =
																		(unsigned long) (
																		(STRING_REF(BgL_bufz00_1137,
																				((long) (BgL_nz00_1149) +
																					((long) 3)))));
																	{	/* Unsafe/sha1.scm 344 */
																		long BgL_vz00_1154;

																		BgL_vz00_1154 =
																			(
																			((((long) (BgL_v0z00_1150) <<
																						(int) (((long) 8))) |
																					(long) (BgL_v1z00_1151)) <<
																				(int) (((long) 16))) |
																			(((long) (BgL_v2z00_1152) <<
																					(int) (((long) 8))) |
																				(long) (BgL_v3z00_1153)));
																		{	/* Unsafe/sha1.scm 345 */

																			{	/* Unsafe/sha1.scm 346 */
																				unsigned long BgL_auxz00_3362;

																				BgL_auxz00_3362 =
																					(unsigned long) (BgL_vz00_1154);
																				BGL_U32VSET(BgL_vecz00_1144,
																					BgL_jz00_1146, BgL_auxz00_3362);
																			} BUNSPEC;
												}}}}}}}
												{
													long BgL_jz00_3365;

													BgL_jz00_3365 = (BgL_jz00_1146 + ((long) 1));
													BgL_jz00_1146 = BgL_jz00_3365;
													goto BgL_loopzd2jzd21668z00_1147;
												}
											}
										else
											{	/* Unsafe/sha1.scm 339 */
												((bool_t) 0);
											}
									}
									if (((long) (BgL_lz00_1142) < ((long) 64)))
										{	/* Unsafe/sha1.scm 349 */
											obj_t BgL_mz00_1170;

											{	/* Unsafe/sha1.scm 351 */
												obj_t BgL_arg1948z00_1171;

												{	/* Unsafe/sha1.scm 351 */
													obj_t BgL_arg1949z00_1172;

													if (((long) (BgL_lz00_1142) == ((long) 63)))
														{	/* Unsafe/sha1.scm 352 */
															obj_t BgL_arg1951z00_1174;

															obj_t BgL_arg1954z00_1175;

															BgL_arg1951z00_1174 =
																BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 16),
																BINT(((long) 0)));
															{	/* Unsafe/sha1.scm 352 */
																obj_t BgL_list1955z00_1176;

																BgL_list1955z00_1176 =
																	MAKE_PAIR(BgL_lz00_1140, BNIL);
																BgL_arg1954z00_1175 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_vecz00_1144, BgL_list1955z00_1176);
															}
															BgL_arg1949z00_1172 =
																MAKE_PAIR(BgL_arg1951z00_1174,
																BgL_arg1954z00_1175);
														}
													else
														{	/* Unsafe/sha1.scm 351 */
															BgL_arg1949z00_1172 =
																MAKE_PAIR(BgL_vecz00_1144, BgL_lz00_1140);
														}
													BgL_arg1948z00_1171 =
														bgl_reverse_bang(BgL_arg1949z00_1172);
												}
												BgL_mz00_1170 =
													BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
													(BgL_arg1948z00_1171);
											}
											return
												BGl_sha1z00zz__sha1z00(BgL_nlenz00_1143, BgL_mz00_1170);
										}
									else
										{	/* Unsafe/sha1.scm 355 */
											obj_t BgL_arg1956z00_1177;

											BgL_arg1956z00_1177 =
												MAKE_PAIR(BgL_vecz00_1144, BgL_lz00_1140);
											{
												obj_t BgL_lz00_3384;

												long BgL_lenz00_3383;

												BgL_lenz00_3383 = BgL_nlenz00_1143;
												BgL_lz00_3384 = BgL_arg1956z00_1177;
												BgL_lz00_1140 = BgL_lz00_3384;
												BgL_lenz00_1139 = BgL_lenz00_3383;
												goto BgL_loopz00_1141;
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* _sha1sum-port */
	obj_t BGl__sha1sumzd2portzd2zz__sha1z00(obj_t BgL_envz00_2722,
		obj_t BgL_ipz00_2723)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 326 */
			{	/* Unsafe/sha1.scm 329 */
				obj_t BgL_auxz00_3385;

				if (INPUT_PORTP(BgL_ipz00_2723))
					{	/* Unsafe/sha1.scm 329 */
						BgL_auxz00_3385 = BgL_ipz00_2723;
					}
				else
					{	/* Unsafe/sha1.scm 329 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2550z00zz__sha1z00, BGl_string2552z00zz__sha1z00,
							BgL_ipz00_2723);
						exit(-1);
					}
				return BGl_sha1sumzd2portzd2zz__sha1z00(BgL_auxz00_3385);
			}
		}
	}



/* hmac-sha1sum-string */
	BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t
		BgL_keyz00_30, obj_t BgL_messagez00_31)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 360 */
			return
				BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_30, BgL_messagez00_31,
				BGl_sha1sumzd2stringzd2envz00zz__sha1z00);
		}
	}



/* _hmac-sha1sum-string */
	obj_t BGl__hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t BgL_envz00_2724,
		obj_t BgL_keyz00_2725, obj_t BgL_messagez00_2726)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 360 */
			{	/* Unsafe/sha1.scm 361 */
				obj_t BgL_auxz00_3397;

				obj_t BgL_auxz00_3392;

				if (STRINGP(BgL_messagez00_2726))
					{	/* Unsafe/sha1.scm 361 */
						BgL_auxz00_3397 = BgL_messagez00_2726;
					}
				else
					{	/* Unsafe/sha1.scm 361 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2553z00zz__sha1z00, BGl_string2544z00zz__sha1z00,
							BgL_messagez00_2726);
						exit(-1);
					}
				if (STRINGP(BgL_keyz00_2725))
					{	/* Unsafe/sha1.scm 361 */
						BgL_auxz00_3392 = BgL_keyz00_2725;
					}
				else
					{	/* Unsafe/sha1.scm 361 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2553z00zz__sha1z00, BGl_string2544z00zz__sha1z00,
							BgL_keyz00_2725);
						exit(-1);
					}
				return
					BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(BgL_auxz00_3392,
					BgL_auxz00_3397);
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__sha1z00()
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 17 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__sha1z00()
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 17 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00()
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 17 */
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 327583589),
				BSTRING_TO_STRING(BGl_string2555z00zz__sha1z00));
			return
				BGl_modulezd2initializa7ationz75zz__hmacz00(((long) 2744903),
				BSTRING_TO_STRING(BGl_string2555z00zz__sha1z00));
		}
	}

#ifdef __cplusplus
}
#endif
